/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEvent = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any */
const react_1 = require("react");
const use_sync_ref_1 = require("./use-sync-ref");
/**
 * useEvent shim from the latest React RFC.
 *
 * @see https://github.com/reactjs/rfcs/pull/220
 * @see https://github.com/reactjs/rfcs/blob/useevent/text/0000-useevent.md#internal-implementation
 */
function useEvent(callback) {
    const callbackRef = (0, use_sync_ref_1.useSyncRef)(callback);
    return (0, react_1.useCallback)((...args) => callbackRef.current(...args), []);
}
exports.useEvent = useEvent;

        