/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTimer = void 0;
const react_1 = require("react");
const use_event_1 = require("../use-event");
const timer_1 = require("./timer");
function useTimer(props = {}) {
    const { callback, delay, isDisabled, timer: propsTimer = null } = props;
    const callbackEvent = (0, use_event_1.useEvent)(() => callback?.());
    const [timer, setTimer] = (0, react_1.useState)(() => {
        if (propsTimer) {
            return propsTimer;
        }
        if (typeof delay === 'number') {
            return new timer_1.Timer(callbackEvent, delay);
        }
        return null;
    });
    if (isDisabled) {
        timer?.reset();
    }
    else {
        timer?.resume();
    }
    (0, react_1.useEffect)(() => {
        setTimer(propsTimer);
        return () => timer?.reset();
    }, [propsTimer]);
    (0, react_1.useEffect)(() => {
        if (propsTimer)
            return;
        if (typeof delay === 'number') {
            setTimer(new timer_1.Timer(callbackEvent, delay));
        }
        return () => timer?.reset();
    }, [delay, propsTimer]);
    (0, react_1.useEffect)(() => () => timer?.reset(), [timer]);
    return { timer };
}
exports.useTimer = useTimer;

        