/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Base = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const styled_components_1 = __importDefault(require("styled-components"));
const tasty_1 = require("../tasty");
const BLOCK_MAP = {
    inline: 'block',
    'inline-grid': 'grid',
    'inline-flex': 'flex',
};
const INLINE_MAP = {
    block: 'inline-block',
    grid: 'inline-grid',
    flex: 'inline-flex',
};
const BaseElement = styled_components_1.default.div((css) => css);
/**
 * @deprecated consider using tasty() instead
 */
function Base(allProps, ref) {
    let { as, styles: originalStyles, breakpoints, block, mods, inline, isHidden, isDisabled, qa, qaVal, css, element, ...props } = allProps;
    const styles = { ...originalStyles };
    if (block) {
        styles.display =
            typeof styles.display === 'string'
                ? BLOCK_MAP[styles.display || 'inline']
                : 'block';
    }
    if (inline) {
        styles.display =
            typeof styles.display === 'string'
                ? INLINE_MAP[styles.display || 'block']
                : 'inline-block';
    }
    const contextBreakpoints = (0, react_1.useContext)(tasty_1.BreakpointsContext);
    const zones = (0, tasty_1.pointsToZones)(breakpoints || contextBreakpoints);
    css = `${css ?? ''}${(0, tasty_1.renderStyles)(styles, zones)}`;
    if (mods) {
        Object.assign(props, (0, tasty_1.modAttrs)(mods));
    }
    return ((0, jsx_runtime_1.jsx)(BaseElement, { as: as, "data-element": element, "data-qa": qa, "data-qaval": qaVal, ...props, ref: ref, hidden: isHidden, disabled: isDisabled, css: css }, void 0));
}
/**
 * @deprecated consider using tasty() instead
 */
const _Base = (0, react_1.forwardRef)(Base);
exports.Base = _Base;

        