/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../tasty");
const react_2 = require("../utils/react");
const tasty_2 = require("../tasty");
const GridElement = (0, tasty_2.tasty)({
    styled: {
        display: 'contents',
    },
});
const COLUMN_WIDTH = '((@grid-width - (@column-gap * (@columns-amount - 1))) / @columns-amount)';
exports.GridProvider = (0, react_1.forwardRef)(function GridProvider(props, outerRef) {
    let ref = (0, react_2.useCombinedRefs)(outerRef);
    let { children, columns = 2, gap = '0', width: forcedWidth, initialWidth, } = props;
    let [width, setWidth] = (0, react_1.useState)(forcedWidth || initialWidth || '100vw');
    const resizeCallback = (0, react_1.useCallback)(() => {
        const el = ref?.current?.parentElement;
        if (!el)
            return;
        const computedStyle = getComputedStyle(el);
        const containerWidth = el.clientWidth -
            parseFloat(computedStyle.paddingLeft) -
            parseFloat(computedStyle.paddingRight);
        setWidth(`${containerWidth}px`);
    }, [ref, columns, gap]);
    (0, react_1.useEffect)(() => {
        if (forcedWidth)
            return;
        const el = ref && ref.current && ref.current.parentNode;
        if (!el)
            return;
        let sensor;
        Promise.resolve().then(() => __importStar(require('../utils/ResizeSensor'))).then((module) => module.ResizeSensor)
            .then((ResizeSensor) => {
            sensor = new ResizeSensor(el, resizeCallback);
        });
        return () => {
            if (sensor) {
                sensor.detach();
            }
        };
    }, [resizeCallback]);
    (0, react_1.useEffect)(() => {
        if (forcedWidth)
            return;
        resizeCallback();
    }, [resizeCallback]);
    return ((0, jsx_runtime_1.jsx)(GridElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: {
            '--grid-width': width,
            '--columns-amount': columns,
            '--column-gap': gap,
            '--column-width': COLUMN_WIDTH,
        }, children: children }, void 0));
});

        