/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenTransition = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const OPEN_STATES = {
    entering: false,
    entered: true,
};
/**
 * Timeout issues adding css animations to enter may be related to
 * https://github.com/reactjs/react-transition-group/issues/189 or
 * https://github.com/reactjs/react-transition-group/issues/22
 * my VM isn't good enough to debug accurately and get a better answer.
 *
 * As a result, use enter 0 so that is-open is applied once entered
 * it doesn't matter if we know when the css-animation is done on entering
 * for exiting though, give time for the css-animation to play
 * before removing from the DOM
 * **note** hitting esc bypasses exit animation for anyone testing.
 */
function OpenTransition(props) {
    return ((0, jsx_runtime_1.jsx)(react_transition_group_1.Transition, { timeout: { enter: 0, exit: 350 }, ...props, children: (state) => react_1.Children.map(props.children, (child) => child && (0, react_1.cloneElement)(child, { isOpen: !!OPEN_STATES[state] })) }, void 0));
}
exports.OpenTransition = OpenTransition;

        