/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Action = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const use_action_1 = require("./use-action");
const DEFAULT_ACTION_STYLES = {
    reset: 'button',
    position: 'relative',
    margin: 0,
    preset: 'inherit',
    border: 0,
    padding: 0,
    outline: {
        '': '#purple-03.0',
        focused: '#purple-03',
    },
    transition: 'theme',
    cursor: 'pointer',
    textDecoration: 'none',
    fill: '#clear',
};
const ActionElement = (0, tasty_1.tasty)({
    as: 'button',
    styles: DEFAULT_ACTION_STYLES,
});
const STYLE_PROPS = [...tasty_1.CONTAINER_STYLES, ...tasty_1.TEXT_STYLES];
exports.Action = (0, react_1.forwardRef)(function Action({ to, as, htmlType, label, theme, mods, onPress, ...props }, ref) {
    const { actionProps } = (0, use_action_1.useAction)({ to, as, htmlType, label, onPress, mods, ...props }, ref);
    const styles = (0, tasty_1.extractStyles)(props, STYLE_PROPS);
    return (0, jsx_runtime_1.jsx)(ActionElement, { "data-theme": theme, ...actionProps, styles: styles }, void 0);
});

        