/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Submit = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const provider_1 = require("../../../provider");
const Form_1 = require("../../forms/Form/Form");
const Button_1 = require("./Button");
function Submit(props, ref) {
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFormProps)(props);
    const { form, ...otherProps } = props;
    const formData = form.getFieldsValue();
    const isValid = !Object.keys(formData).find((name) => {
        return form.isFieldInvalid(name);
    });
    return ((0, jsx_runtime_1.jsx)(Button_1.Button, { ref: ref, type: "primary", htmlType: "submit", isLoading: form.isSubmitting, isDisabled: !isValid, ...otherProps }, void 0));
}
const _Submit = (0, react_1.forwardRef)(Submit);
exports.Submit = _Submit;

        