/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActiveZone = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const interactions_1 = require("@react-aria/interactions");
const utils_1 = require("@react-spectrum/utils");
const focus_1 = require("@react-aria/focus");
const react_2 = require("../../../utils/react");
const tasty_1 = require("../../../tasty");
const interactions_2 = require("../../../utils/react/interactions");
const DEFAULT_STYLES = {
    display: 'inline-grid',
    position: 'relative',
    opacity: {
        '': 1,
        '[disabled]': 0.4,
    },
    transition: 'theme',
};
const STYLE_PROPS = [...tasty_1.CONTAINER_STYLES, ...tasty_1.TEXT_STYLES];
function ActiveZone({ as, label, onClick, ...props }, ref) {
    const isDisabled = props.isDisabled;
    const styles = (0, tasty_1.extractStyles)(props, STYLE_PROPS, DEFAULT_STYLES);
    const domRef = (0, utils_1.useFocusableRef)(ref);
    let { hoverProps, isHovered } = (0, interactions_1.useHover)({ isDisabled });
    let { focusProps, isFocused } = (0, interactions_2.useFocus)({ isDisabled });
    let { focusableProps } = (0, focus_1.useFocusable)(props, domRef);
    return ((0, jsx_runtime_1.jsx)(tasty_1.Element, { "data-is-hovered": isHovered && !isDisabled ? '' : null, "data-is-focused": isFocused && !isDisabled ? '' : null, "data-is-disabled": isDisabled || null, "aria-label": label, ...(0, react_2.mergeProps)(hoverProps, focusProps, focusableProps, { onClick }, (0, tasty_1.filterBaseProps)(props, { eventProps: true })), ref: domRef, tabIndex: props.excludeFromTabOrder || isDisabled ? -1 : 0, as: as, styles: styles }, void 0));
}
const _ActiveZone = (0, react_1.forwardRef)(ActiveZone);
exports.ActiveZone = _ActiveZone;

        