/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alert = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const themes_1 = __importDefault(require("../../../data/themes"));
const tasty_1 = require("../../../tasty");
const use_alert_1 = require("./use-alert");
const AlertElement = (0, tasty_1.tasty)({
    name: 'Alert',
    role: 'alert',
    qa: 'Alert',
    styles: {
        display: 'block',
        flow: 'column',
        radius: '1r',
        padding: '1.5x',
        preset: 't3',
        color: {
            '': '#dark',
            '[data-type="disabled"]': themes_1.default.disabled.color,
        },
        fill: {
            '': '#clear',
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].fill;
                return map;
            }, {}),
        },
        border: {
            '': '#clear',
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].border;
                return map;
            }, {}),
        },
    },
});
exports.Alert = (0, react_1.forwardRef)(function Alert(props, ref) {
    const { styles, theme, filteredProps } = (0, use_alert_1.useAlert)(props);
    return ((0, jsx_runtime_1.jsx)(AlertElement, { ...filteredProps, ref: ref, "data-type": theme, styles: styles }, void 0));
});

        