/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAlert = void 0;
const tasty_1 = require("../../../tasty");
const _internal_1 = require("../../../_internal");
const STYLE_LIST = [...tasty_1.CONTAINER_STYLES, ...tasty_1.TEXT_STYLES];
function useAlert(props) {
    const { type, isDisabled = false, theme } = props;
    const styles = (0, tasty_1.extractStyles)(props, STYLE_LIST);
    (0, _internal_1.useDeprecationWarning)(typeof type === 'undefined', {
        property: 'type',
        name: 'Alert',
        betterAlternative: 'theme',
    });
    const _theme = isDisabled ? 'disabled' : theme ?? type ?? 'note';
    return {
        styles,
        theme: _theme,
        filteredProps: (0, tasty_1.filterBaseProps)(props, { eventProps: true }),
    };
}
exports.useAlert = useAlert;

        