/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../../tasty");
const DEFAULT_STYLES = {
    display: 'grid',
    gap: '1x',
    flow: 'row',
    fill: '#purple',
    color: '#white',
    radius: 'round',
    placeContent: 'center',
    width: '@avatar-size @avatar-size @avatar-size',
    height: '@avatar-size @avatar-size @avatar-size',
    fontSize: 'calc(@avatar-size / 2)',
    lineHeight: 'calc(@avatar-size / 2)',
    fontWeight: 500,
};
exports.Avatar = (0, react_1.forwardRef)(function Avatar({ size = '4x', icon, children, ...props }, ref) {
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES, {
        ...DEFAULT_STYLES,
        '--avatar-size': size,
    });
    return ((0, jsx_runtime_1.jsxs)(tasty_1.Element, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles, "data-theme": "special", children: [icon, children] }, void 0));
});

        