/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const themes_1 = __importDefault(require("../../../data/themes"));
const tasty_1 = require("../../../tasty");
const BadgeElement = (0, tasty_1.tasty)({
    qa: 'Badge',
    role: 'region',
    styles: {
        display: 'inline-flex',
        placeContent: 'center',
        placeItems: 'center',
        padding: {
            '': '0',
            long: '0 .5x',
        },
        radius: 'round',
        preset: 'tag',
        width: 'min 16px',
        height: '16px 16px',
        textAlign: 'center',
        color: '#white',
        fill: {
            '': '#purple',
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].color;
                return map;
            }, {}),
        },
    },
});
exports.Badge = (0, react_1.forwardRef)(function Badge(allProps, ref) {
    let { type, children, ...props } = allProps;
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES);
    return ((0, jsx_runtime_1.jsx)(BadgeElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, "data-type": type, mods: {
            long: typeof children !== 'string' || children.length > 1,
        }, styles: styles, children: children }, void 0));
});

        