/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Placeholder = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const styled_components_1 = __importDefault(require("styled-components"));
const tasty_1 = require("../../../tasty");
const PlaceholderElement = (0, tasty_1.tasty)({
    role: 'alert',
    'aria-live': 'polite',
    'aria-label': 'Content is loading',
    styles: {
        display: 'block',
        fill: '#dark.10',
        height: '2x',
        opacity: '.35',
    },
});
const StyledPlaceholder = (0, styled_components_1.default)(PlaceholderElement) `
  --placeholder-animation-time: 1.4s;
  --placeholder-animation-size: calc((180rem + 100vw) / 3);
  background-image: linear-gradient(
    135deg,
    rgba(var(--dark-color-rgb), 0.15) 0%,
    rgba(var(--dark-color-rgb), 0.15) 5%,
    rgba(var(--dark-color-rgb), 0) 35%,
    rgba(var(--dark-03-color-rgb), 0.2) 50%,
    rgba(var(--dark-03-color-rgb), 0) 65%,
    rgba(var(--dark-color-rgb), 0.15) 95%,
    rgba(var(--dark-color-rgb), 0.15) 100%
  );
  background-repeat: repeat;
  background-size: var(--placeholder-animation-size);
  animation: placeholder-animation var(--placeholder-animation-time) linear
    infinite;

  @keyframes placeholder-animation {
    0% {
      background-position: 0 0;
    }
    100% {
      background-position: var(--placeholder-animation-size) 0;
    }
  }
`;
exports.Placeholder = (0, react_1.forwardRef)(function Placeholder(allProps, ref) {
    let { size = '2x', circle, ...props } = allProps;
    let styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES);
    return ((0, jsx_runtime_1.jsx)(StyledPlaceholder, { role: "region", ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: {
            height: size,
            width: circle ? size : false,
            radius: circle ? '9999rem' : '1r',
            ...styles,
        } }, void 0));
});

        