/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skeleton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Placeholder_1 = require("../Placeholder/Placeholder");
const Flow_1 = require("../../layout/Flow");
const Space_1 = require("../../layout/Space");
const Grid_1 = require("../../layout/Grid");
const LAYOUT_MAP = {
    page({ lines, children, ...props }) {
        return ((0, jsx_runtime_1.jsxs)(Flow_1.Flow, { gap: "4x", ...props, children: [(0, jsx_runtime_1.jsxs)(Space_1.Space, { placeContent: "space-between", children: [(0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { width: "100px 25% 300px" }, void 0), (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { width: "50px 10% 150px" }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(Flow_1.Flow, { gap: "2x", children: children ||
                        Array(lines || 5)
                            .fill(0)
                            .map((item, i) => (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, {}, i)) }, void 0)] }, void 0));
    },
    content({ children, lines, ...props }) {
        return ((0, jsx_runtime_1.jsx)(Flow_1.Flow, { gap: "2x", ...props, children: children ||
                Array(lines || 5)
                    .fill(0)
                    .map((item, i) => (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, {}, i)) }, void 0));
    },
    topbar(props) {
        return ((0, jsx_runtime_1.jsxs)(Space_1.Space, { gap: "4x", placeContent: "space-between", height: "6x", padding: "1x", border: "bottom", ...props, children: [(0, jsx_runtime_1.jsxs)(Space_1.Space, { children: [(0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { circle: true, size: "4x" }, void 0), (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { width: "20x" }, void 0)] }, void 0), (0, jsx_runtime_1.jsxs)(Space_1.Space, { children: [(0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { width: "10x" }, void 0), (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { circle: true, size: "4x" }, void 0)] }, void 0)] }, void 0));
    },
    menu({ lines, ...props }) {
        return ((0, jsx_runtime_1.jsx)(Flow_1.Flow, { gap: "3.25x", ...props, padding: "3x 1x", children: Array(lines || 5)
                .fill(0)
                .map((item, i) => ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, {}, i))) }, void 0));
    },
    stats({ cards, ...props }) {
        return ((0, jsx_runtime_1.jsx)(Space_1.Space, { gap: "4x", ...props, children: Array(cards || 3)
                .fill(0)
                .map((item, i) => ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { radius: "1x", width: "20x", height: "12x", flexGrow: 1 }, i))) }, void 0));
    },
    tabs({ tabs, children, lines, ...props }) {
        return ((0, jsx_runtime_1.jsxs)(Flow_1.Flow, { gap: "4x", ...props, children: [(0, jsx_runtime_1.jsx)(Space_1.Space, { children: Array(tabs || 3)
                        .fill(0)
                        .map((item, i) => ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { width: "15x" }, i))) }, void 0), (0, jsx_runtime_1.jsx)(Flow_1.Flow, { gap: "2x", children: children ||
                        Array(lines || 5)
                            .fill(0)
                            .map((item, i) => (0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, {}, i)) }, void 0)] }, void 0));
    },
    table({ rows, columns, ...props }) {
        columns = columns || 5;
        rows = rows || 5;
        return ((0, jsx_runtime_1.jsx)(Grid_1.Grid, { columns: `repeat(${columns}, 1fr)`, gap: "3x", ...props, padding: "1x 0", children: Array(rows)
                .fill(0)
                .map((item, i) => {
                return Array(columns)
                    .fill(0)
                    .map((item, j) => {
                    return ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { size: !i ? '3x' : '2x' }, `${i}.${j}`));
                });
            }) }, void 0));
    },
    chart({ columns, ...props }) {
        columns = columns || 12;
        const heightMap = [1, 4, 2, 5, 8, 9, 5, 3, 4, 2, 6, 7, 2];
        return ((0, jsx_runtime_1.jsx)(Grid_1.Grid, { columns: `repeat(${columns}, 1fr)`, gap: "3x", padding: "1x 0", placeItems: "end stretch", height: "40x", ...props, children: Array(columns)
                .fill(0)
                .map((item, i) => {
                return ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { height: `${heightMap[i % 12] * 10}%`, width: "max 6x" }, i));
            }) }, void 0));
    },
};
function Skeleton({ layout, ...props }) {
    layout = layout || 'page';
    return LAYOUT_MAP[layout] ? (LAYOUT_MAP[layout]({ ...props, qa: 'Skeleton' })) : ((0, jsx_runtime_1.jsx)(Placeholder_1.Placeholder, { ...props }, void 0));
}
exports.Skeleton = Skeleton;

        