/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("@jengaicons/react");
const themes_1 = __importDefault(require("../../../data/themes"));
const tasty_1 = require("../../../tasty");
const actions_1 = require("../../actions");
const Suffix_1 = require("../../layout/Suffix");
const TagElement = (0, tasty_1.tasty)({
    qa: 'Tag',
    role: 'status',
    styles: {
        position: 'relative',
        display: 'inline-flex',
        gap: '1x',
        placeContent: 'center start',
        placeItems: 'center start',
        radius: '1r',
        preset: 'tag',
        width: '16px max-content max-content',
        height: 'min-content',
        textAlign: 'left',
        whiteSpace: 'nowrap',
        padding: {
            '': '0 (1x - 1bw)',
            closable: '0 (2.5x - 1bw) 0 (1x - 1bw)',
        },
        fill: {
            '': '#dark.04',
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].fill;
                return map;
            }, {}),
        },
        color: {
            '': '#dark.65',
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].color;
                return map;
            }, {}),
        },
        border: {
            '': true,
            ...Object.keys(themes_1.default).reduce((map, type) => {
                map[`[data-type="${type}"]`] = themes_1.default[type].border;
                return map;
            }, {}),
        },
        Icon: {
            fontSize: '@icon-size',
        },
        Content: {
            display: 'block',
            width: 'max 100%',
            textOverflow: 'ellipsis',
            overflow: 'hidden',
            pointerEvents: 'none',
        },
    },
});
const CloseAction = (0, tasty_1.tasty)(actions_1.Action, {
    label: 'Close',
    styles: {
        display: 'grid',
        placeItems: 'center',
        color: true,
        placeSelf: 'center',
        opacity: {
            '': 0.85,
            'pressed | hovered': 1,
        },
        transition: 'opacity',
        padding: '0 .5x',
    },
});
function Tag(allProps, ref) {
    let { type, icon, isClosable, onClose, closeButtonStyles, children, ...props } = allProps;
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES);
    return ((0, jsx_runtime_1.jsxs)(TagElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles, "data-type": type, mods: { closable: isClosable }, children: [icon ? (0, jsx_runtime_1.jsx)("div", { "data-element": "TagIcon", children: icon }, void 0) : null, (0, jsx_runtime_1.jsx)("div", { "data-element": "Content", children: children }, void 0), isClosable ? ((0, jsx_runtime_1.jsx)(Suffix_1.Suffix, { outerGap: "0", children: (0, jsx_runtime_1.jsx)(CloseAction, { styles: closeButtonStyles, onPress: onClose, children: (0, jsx_runtime_1.jsx)(react_2.X, { style: {
                            fontSize: 'var(--font-size, inherit)',
                        } }, void 0) }, void 0) }, void 0)) : undefined] }, void 0));
}
const _Tag = (0, react_1.forwardRef)(Tag);
exports.Tag = _Tag;

        