/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Title = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const react_2 = require("../../utils/react");
const Text_1 = require("./Text");
const STYLE_LIST = [...tasty_1.TEXT_STYLES, ...tasty_1.CONTAINER_STYLES];
const TitleElement = (0, tasty_1.tasty)({
    qa: 'Title',
    as: 'h1',
    styles: {
        gridArea: 'heading',
        display: 'block',
        color: '#dark',
        preset: {
            '': 'h6m',
            '[data-level="1"]': 'h1',
            '[data-level="2"]': 'h2',
            '[data-level="3"]': 'h3',
            '[data-level="4"]': 'h4',
            '[data-level="5"]': 'h5',
            '[data-level="6"]': 'h6',
        },
        margin: '0',
        whiteSpace: {
            '': 'inherit',
            'nowrap | ellipsis': 'nowrap',
        },
        textOverflow: {
            '': false,
            ellipsis: 'ellipsis',
        },
        overflow: {
            '': false,
            ellipsis: 'hidden',
        },
        width: {
            '': false,
            ellipsis: 'max 100%',
        },
    },
});
const _Title = (0, react_1.forwardRef)(function Title({ qa, as, styleName, inline, nowrap, ellipsis, level, ...props }, ref) {
    const propsWithSlots = (0, react_2.useSlotProps)(props, 'heading');
    const tag = `h${level || 1}`;
    const styles = (0, tasty_1.extractStyles)(propsWithSlots, STYLE_LIST, {}, Text_1.TEXT_PROP_MAP);
    return ((0, jsx_runtime_1.jsx)(TitleElement, { qa: qa || 'Title', as: as || tag, styleName: styleName, "data-level": level || 1, mods: {
            nowrap,
            ellipsis,
        }, inline: inline, ...(0, tasty_1.filterBaseProps)(propsWithSlots, { eventProps: true }), ref: ref, styles: styles }, void 0));
});
const Title = Object.assign(_Title, {
    Danger: (0, react_1.forwardRef)(function DangerTitle(props, ref) {
        return (0, jsx_runtime_1.jsx)(Title, { ref: ref, color: "#danger-text", ...props }, void 0);
    }),
    Success: (0, react_1.forwardRef)(function SuccessTitle(props, ref) {
        return (0, jsx_runtime_1.jsx)(Title, { ref: ref, color: "#success-text", ...props }, void 0);
    }),
});
exports.Title = Title;

        