/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckboxGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const utils_1 = require("@react-spectrum/utils");
const checkbox_1 = require("@react-aria/checkbox");
const checkbox_2 = require("@react-stately/checkbox");
const provider_1 = require("../../../provider");
const tasty_1 = require("../../../tasty");
const FieldWrapper_1 = require("../FieldWrapper");
const nullableValue_1 = require("../../../utils/react/nullableValue");
const Form_1 = require("../Form");
const context_1 = require("./context");
const CheckGroupElement = (0, tasty_1.tasty)({
    qa: 'CheckboxGroup',
    styles: {
        display: 'flex',
        placeItems: 'start',
        placeContent: 'start',
        flow: {
            '': 'column',
            horizontal: 'row wrap',
        },
        gap: {
            '': '1x',
            horizontal: '1x 2x',
        },
    },
});
function CheckboxGroup(props, ref) {
    props = (0, nullableValue_1.castNullableArrayValue)(props);
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFormProps)(props);
    props = (0, Form_1.useFieldProps)(props, {
        defaultValidationTrigger: 'onChange',
        valuePropsMapper: ({ value, onChange }) => ({
            value: value != null ? value : [],
            onChange: onChange,
        }),
    });
    let { isDisabled, isRequired, necessityIndicator, necessityLabel, label, extra, validationState, children, orientation = 'vertical', message, description, labelStyles, tooltip, labelSuffix, inputStyles, ...otherProps } = props;
    let domRef = (0, utils_1.useDOMRef)(ref);
    let styles = (0, tasty_1.extractStyles)(otherProps, tasty_1.CONTAINER_STYLES);
    let { fieldWrapperProps } = (0, FieldWrapper_1.extractFieldWrapperProps)(props);
    let state = (0, checkbox_2.useCheckboxGroupState)(props);
    let { groupProps, labelProps } = (0, checkbox_1.useCheckboxGroup)(props, state);
    let radioGroup = ((0, jsx_runtime_1.jsx)(CheckGroupElement, { styles: inputStyles, mods: {
            horizontal: orientation === 'horizontal',
        }, children: (0, jsx_runtime_1.jsx)(Form_1.FormContext.Provider, { value: {
                isDisabled,
                validationState,
            }, children: (0, jsx_runtime_1.jsx)(context_1.CheckboxGroupContext.Provider, { value: state, children: children }, void 0) }, void 0) }, void 0));
    return ((0, jsx_runtime_1.jsx)(FieldWrapper_1.FieldWrapper, { ...fieldWrapperProps, ref: domRef, Component: radioGroup, fieldProps: groupProps, labelProps: labelProps, styles: styles }, void 0));
}
/**
 * Checkbox groups allow users to select a single option from a list of mutually exclusive options.
 * All possible options are exposed up front for users to compare.
 */
const _CheckboxGroup = (0, react_1.forwardRef)(CheckboxGroup);
exports.CheckboxGroup = _CheckboxGroup;
_CheckboxGroup.jengaInputType = 'CheckboxGroup';

        