/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractFieldWrapperProps = void 0;
const createFieldWrapperPropsKeys = (arr) => new Set(arr);
const fieldWrapperPropsKeys = createFieldWrapperPropsKeys([
    'as',
    'validationState',
    'styles',
    'isRequired',
    'isDisabled',
    'fieldProps',
    'isHidden',
    'label',
    'labelPosition',
    'labelSuffix',
    'labelStyles',
    'labelProps',
    'description',
    'requiredMark',
    'tooltip',
    'extra',
    'necessityLabel',
    'necessityIndicator',
    'message',
    'messageStyles',
    'Component',
]);
function extractFieldWrapperProps(props) {
    const fieldWrapperProps = {};
    const rest = {};
    for (const [key, prop] of Object.entries(props)) {
        if (fieldWrapperPropsKeys.has(key)) {
            fieldWrapperProps[key] = prop;
        }
        else {
            rest[key] = prop;
        }
    }
    return { fieldWrapperProps, rest };
}
exports.extractFieldWrapperProps = extractFieldWrapperProps;

        