/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Submit = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const provider_1 = require("../../../../provider");
const Form_1 = require("../Form");
const actions_1 = require("../../../actions");
exports.Submit = (0, react_1.forwardRef)(function Submit(props, ref) {
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFormProps)(props);
    const { form, ...otherProps } = props;
    const formData = form?.getFieldsValue() ?? {};
    const isInvalid = Object.keys(formData).some((name) => form?.isFieldInvalid(name) ?? false);
    return ((0, jsx_runtime_1.jsx)(actions_1.Button, { ref: ref, type: "primary", htmlType: "submit", isLoading: form?.isSubmitting, isDisabled: isInvalid, ...otherProps }, void 0));
});

        