/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubmitError = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Alert_1 = require("../../content/Alert");
const Form_1 = require("./Form");
/**
 * An alert that shows a form error message received from the onSubmit callback.
 */
const SubmitError = function SubmitError(props) {
    let { submitError } = (0, react_1.useContext)(Form_1.FormContext);
    if (!submitError) {
        return null;
    }
    if (!(0, react_1.isValidElement)(submitError) &&
        typeof submitError !== 'string') {
        submitError = 'Internal error';
    }
    return ((0, jsx_runtime_1.jsx)(Alert_1.Alert, { theme: "danger", ...props, children: submitError }, void 0));
};
exports.SubmitError = SubmitError;

        