/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFieldProps = void 0;
const react_1 = require("react");
const react_2 = require("react");
const _internal_1 = require("../../../../_internal");
const Field_1 = require("../Field");
const react_3 = require("../../../../utils/react");
const use_field_1 = require("./use-field");
function useFieldProps(props, params = {}) {
    // We use ref here to "memoize" initial value
    const isDisabledRef = (0, react_1.useRef)(params.unsafe__isDisabled ?? false);
    const { valuePropsMapper = ({ value, onChange }) => ({
        value: value ?? null,
        onChange,
    }), defaultValidationTrigger = 'onBlur', } = params;
    const isInsideLegacyField = (0, Field_1.useInsideLegacyField)();
    (0, _internal_1.useWarn)(isInsideLegacyField, {
        key: 'use-field-props',
        args: ['<Field /> is deprecated, use component without <Field /> instead.'],
    });
    if (isInsideLegacyField === true ||
        isDisabledRef.current === true ||
        props.name == null) {
        return props;
    }
    // eslint-disable-next-line react-hooks/rules-of-hooks
    const field = (0, use_field_1.useField)(props, {
        defaultValidationTrigger: params.defaultValidationTrigger,
    });
    const isOutsideOfForm = field?.form == null;
    // eslint-disable-next-line react-hooks/rules-of-hooks
    const onBlurChained = (0, _internal_1.useChainedCallback)(field?.onBlur, 
    // TODO: remove type casting after updating to typescipt@4.9
    'onBlur' in props ? props.onBlur : undefined);
    // eslint-disable-next-line react-hooks/rules-of-hooks
    const onChangeEvent = (0, _internal_1.useEvent)((value, dontTouch) => field?.onChange?.(value, dontTouch, field?.validateTrigger ?? defaultValidationTrigger));
    const result = isOutsideOfForm
        ? props
        : (0, react_3.mergeProps)(props, field, valuePropsMapper({ value: field.value, onChange: onChangeEvent }), {
            validateTrigger: field.validateTrigger ?? defaultValidationTrigger,
            onBlur: onBlurChained,
        });
    if (process.env.NODE_ENV === 'development') {
        // eslint-disable-next-line react-hooks/rules-of-hooks
        (0, react_2.useDebugValue)(result);
    }
    return result;
}
exports.useFieldProps = useFieldProps;

        