/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const i18n_1 = require("@react-aria/i18n");
const numberfield_1 = require("@react-stately/numberfield");
const numberfield_2 = require("@react-aria/numberfield");
const Form_1 = require("../Form");
const provider_1 = require("../../../provider");
const TextInputBase_1 = require("../TextInput/TextInputBase");
const tasty_1 = require("../../../tasty");
const nullableValue_1 = require("../../../utils/react/nullableValue");
const StepButton_1 = require("./StepButton");
const StyledTextInputBase = (0, tasty_1.tasty)(TextInputBase_1.TextInputBase, {});
const StepperContainer = (0, tasty_1.tasty)({
    styles: {
        display: 'grid',
        gridColumns: '1fr',
        gridRows: 'minmax(1px, 1fr) minmax(1px, 1fr)',
        flow: 'column',
        placeSelf: 'stretch',
    },
});
function NumberInput(props, ref) {
    props = (0, nullableValue_1.castNullableNumberValue)(props);
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFieldProps)(props);
    let { hideStepper, suffix, value, defaultValue, onChange, ...otherProps } = props;
    let showStepper = !hideStepper;
    let { locale } = (0, i18n_1.useLocale)();
    let state = (0, numberfield_1.useNumberFieldState)({ ...props, locale });
    let inputRef = (0, react_1.useRef)(null);
    let { groupProps, labelProps, inputProps, incrementButtonProps, decrementButtonProps, } = (0, numberfield_2.useNumberField)(props, state, inputRef);
    return ((0, jsx_runtime_1.jsx)(StyledTextInputBase, { ...otherProps, ref: ref, labelProps: labelProps, inputProps: inputProps, inputRef: inputRef, wrapperProps: groupProps, suffixPosition: "after", suffix: showStepper ? ((0, jsx_runtime_1.jsxs)(StepperContainer, { children: [(0, jsx_runtime_1.jsx)(StepButton_1.StepButton, { isDisabled: props.isDisabled, direction: "up", ...incrementButtonProps, size: otherProps.size }, void 0), (0, jsx_runtime_1.jsx)(StepButton_1.StepButton, { isDisabled: props.isDisabled, direction: "down", ...decrementButtonProps, size: otherProps.size }, void 0)] }, void 0)) : (suffix) }, void 0));
}
/**
 * NumberFields allow users to enter a number, and increment or decrement the value using stepper buttons.
 */
const _NumberInput = (0, react_1.forwardRef)(NumberInput);
exports.NumberInput = _NumberInput;
_NumberInput.jengaInputType = 'Number';

        