/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@jengaicons/react");
const actions_1 = require("../../actions");
const STEP_BUTTON_STYLES = {
    width: '4x',
    radius: {
        '': '0 (1r - 1bw) 0 0',
        down: '0 0 (1r - 1bw) 0',
    },
    fontSize: '12px',
    lineHeight: '12px',
    height: 'auto',
    fill: {
        '': '#dark.0',
        hovered: '#dark.04',
        pressed: '#purple.10',
        '[disabled]': '#dark.0',
    },
    '@icon-size': {
        '': '14px',
        '[data-size="small"]': '13px',
    },
};
/**
 * Buttons for NumberField.
 */
function StepButton(props) {
    return ((0, jsx_runtime_1.jsx)(actions_1.Button, { preventDefault: true, type: "clear", border: "0", padding: "0", styles: STEP_BUTTON_STYLES, icon: props.direction === 'up' ? ((0, jsx_runtime_1.jsx)(react_1.CaretUpFill, { style: { fontSize: 'var(--icon-size)' } }, void 0)) : ((0, jsx_runtime_1.jsx)(react_1.CaretDownFill, { style: { fontSize: 'var(--icon-size)' } }, void 0)), mods: {
            up: props.direction === 'up',
            down: props.direction === 'down',
        }, label: `Step ${props.direction}`, ...props }, void 0));
}
exports.StepButton = StepButton;

        