/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const textfield_1 = require("@react-aria/textfield");
const react_2 = require("@jengaicons/react");
const TextInputBase_1 = require("../TextInput/TextInputBase");
const provider_1 = require("../../../provider");
const actions_1 = require("../../actions");
const nullableValue_1 = require("../../../utils/react/nullableValue");
const Form_1 = require("../Form");
function PasswordInput(props, ref) {
    props = (0, nullableValue_1.castNullableStringValue)(props);
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFieldProps)(props, {
        defaultValidationTrigger: 'onBlur',
        valuePropsMapper: ({ value, onChange }) => ({
            value: value?.toString() ?? '',
            onChange,
        }),
    });
    let [type, setType] = (0, react_1.useState)('password');
    let inputRef = (0, react_1.useRef)(null);
    let { labelProps, inputProps } = (0, textfield_1.useTextField)({
        ...props,
        type,
    }, inputRef);
    const { suffix, multiLine, ...rest } = props;
    const toggleType = (0, react_1.useCallback)(() => {
        setType((type) => (type === 'password' ? 'text' : 'password'));
    }, []);
    const wrappedSuffix = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [suffix, (0, jsx_runtime_1.jsx)(actions_1.Button, { excludeFromTabOrder: true, type: "outline", styles: {
                    border: '0',
                    borderLeft: '1px solid #op-border',
                    zIndex: 1,
                    borderTopLeftRadius: '0',
                    borderBottomLeftRadius: '0',
                }, htmlType: "button", placeSelf: "stretch", height: "auto", width: "4.5x", label: "Toggle masking", icon: type === 'password' ? (0, jsx_runtime_1.jsx)(react_2.EyeSlash, {}, void 0) : (0, jsx_runtime_1.jsx)(react_2.Eye, {}, void 0), onPress: toggleType }, void 0)] }, void 0));
    return ((0, jsx_runtime_1.jsx)(TextInputBase_1.TextInputBase, { ref: ref, labelProps: labelProps, inputProps: inputProps, inputRef: inputRef, inputStyles: { paddingRight: '4x' }, type: type, suffixPosition: "after", overflow: "hidden", suffix: wrappedSuffix, multiLine: multiLine, ...rest }, void 0));
}
/**
 * PasswordInputs are password inputs that allow users to input passwords or code entries
 * with a keyboard. Various decorations can be displayed around the field to
 * communicate the entry requirements.
 */
const _PasswordInput = (0, react_1.forwardRef)(PasswordInput);
exports.PasswordInput = _PasswordInput;
_PasswordInput.jengaInputType = 'Text';

        