/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("@jengaicons/react");
const searchfield_1 = require("@react-stately/searchfield");
const searchfield_2 = require("@react-aria/searchfield");
const TextInputBase_1 = require("../TextInput/TextInputBase");
const provider_1 = require("../../../provider");
const actions_1 = require("../../actions");
const mapProps_1 = require("../../../utils/react/mapProps");
const nullableValue_1 = require("../../../utils/react/nullableValue");
const tasty_1 = require("../../../tasty");
const ClearButton = (0, tasty_1.tasty)(actions_1.Button, {
    icon: (0, jsx_runtime_1.jsx)(react_2.X, {}, void 0),
    type: 'clear',
    styles: {
        radius: 'right (1r - 1bw)',
        width: '4x',
        height: 'auto',
        placeSelf: 'stretch',
    },
});
exports.SearchInput = (0, react_1.forwardRef)(function SearchInput(props, ref) {
    props = (0, nullableValue_1.castNullableStringValue)(props);
    props = (0, provider_1.useProviderProps)(props);
    let { isClearable, validationState } = props;
    let inputRef = (0, react_1.useRef)(null);
    let state = (0, searchfield_1.useSearchFieldState)(props);
    let { inputProps, clearButtonProps } = (0, searchfield_2.useSearchField)(props, state, inputRef);
    let showClearButton = isClearable && state.value !== '' && !props.isReadOnly;
    return ((0, jsx_runtime_1.jsx)(TextInputBase_1.TextInputBase, { ref: ref, inputProps: inputProps, inputRef: inputRef, type: "search", icon: (0, jsx_runtime_1.jsx)(react_2.SearchFill, {}, void 0), suffixPosition: "after", ...props, suffix: props.suffix || showClearButton ? ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [props.suffix, showClearButton && ((0, jsx_runtime_1.jsx)(ClearButton, { type: validationState === 'invalid' ? 'invisible' : 'invisible', theme: validationState === 'invalid' ? 'danger' : undefined, ...(0, mapProps_1.ariaToJengaButtonProps)(clearButtonProps) }, void 0))] }, void 0)) : undefined }, void 0));
});

        