/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../../tasty");
const SliderThumb_1 = require("./SliderThumb");
const SliderTrack_1 = require("./SliderTrack");
const SliderBase_1 = require("./SliderBase");
const Gradation_1 = require("./Gradation");
function Slider(props, ref) {
    const { onChange, onChangeEnd, value, defaultValue, getValueLabel, isDisabled, styles, gradation, orientation, ...otherProps } = props;
    let baseProps = {
        ...otherProps,
        // Normalize `value: number[]` to `value: number`
        value: value != null ? [value] : undefined,
        defaultValue: defaultValue != null ? [defaultValue] : undefined,
        onChange: (v) => {
            onChange?.(v[0]);
        },
        onChangeEnd: (v) => {
            onChangeEnd?.(v[0]);
        },
        getValueLabel: getValueLabel ? ([v]) => getValueLabel(v) : undefined,
    };
    const extractedStyles = (0, tasty_1.extractStyles)(otherProps, tasty_1.OUTER_STYLES, styles);
    return ((0, jsx_runtime_1.jsx)(SliderBase_1.SliderBase, { ...otherProps, ...baseProps, ref: ref, orientation: orientation, styles: extractedStyles, children: ({ trackRef, inputRef, state }) => {
            return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Gradation_1.Gradation, { state: state, ranges: [0, 1], values: gradation }, void 0), (0, jsx_runtime_1.jsx)(SliderTrack_1.SliderTrack, { state: state, isDisabled: isDisabled, orientation: orientation }, void 0), (0, jsx_runtime_1.jsx)(SliderThumb_1.SliderThumb, { index: 0, state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0)] }, void 0));
        } }, void 0));
}
const _Slider = (0, react_1.forwardRef)(Slider);
const __Slider = Object.assign(_Slider, {
    jengaInputType: 'Number',
});
exports.Slider = __Slider;

        