/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SliderThumb = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const slider_1 = require("@react-aria/slider");
const interactions_1 = require("@react-aria/interactions");
const visually_hidden_1 = require("@react-aria/visually-hidden");
const react_2 = require("../../../utils/react");
const elements_1 = require("./elements");
function SliderThumb(props) {
    let { state, inputRef, isDisabled } = props;
    const backupRef = (0, react_1.useRef)(null);
    inputRef = inputRef || backupRef;
    const { thumbProps, inputProps, isDragging, isFocused } = (0, slider_1.useSliderThumb)({
        ...props,
        inputRef,
    }, state);
    const { hoverProps, isHovered } = (0, interactions_1.useHover)({ isDisabled });
    return ((0, jsx_runtime_1.jsx)(elements_1.SliderThumbElement, { mods: {
            hovered: isHovered,
            dragged: isDragging,
            focused: !isDragging && isFocused,
            disabled: isDisabled,
        }, ...(0, react_2.mergeProps)(thumbProps, hoverProps), role: "presentation", children: (0, jsx_runtime_1.jsx)(visually_hidden_1.VisuallyHidden, { children: (0, jsx_runtime_1.jsx)("input", { ref: inputRef, ...inputProps }, void 0) }, void 0) }, void 0));
}
exports.SliderThumb = SliderThumb;

        