/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SliderTrack = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const elements_1 = require("./elements");
function SliderTrack(props) {
    const { isDisabled, state, orientation = 'horizontal' } = props;
    const selectedTrack = [state.getThumbPercent(0), state.getThumbPercent(1)];
    const showRangeTrack = !Number.isNaN(selectedTrack[1]);
    const mods = (0, react_1.useMemo)(() => ({
        disabled: isDisabled,
        horizontal: orientation === 'horizontal',
        range: showRangeTrack,
    }), [isDisabled, showRangeTrack]);
    return ((0, jsx_runtime_1.jsx)(elements_1.SliderTrackContainerElement, { mods: mods, style: showRangeTrack
            ? {
                '--slider-range-start': `${selectedTrack[0] * 100}%`,
                '--slider-range-end': `${selectedTrack[1] * 100}%`,
            }
            : {} }, void 0));
}
exports.SliderTrack = SliderTrack;

        