/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const textfield_1 = require("@react-aria/textfield");
const provider_1 = require("../../../provider");
const nullableValue_1 = require("../../../utils/react/nullableValue");
const Form_1 = require("../Form");
const TextInputBase_1 = require("./TextInputBase");
exports.TextInput = (0, react_1.forwardRef)(function TextInput(props, ref) {
    props = (0, nullableValue_1.castNullableStringValue)(props);
    props = (0, provider_1.useProviderProps)(props);
    props = (0, Form_1.useFieldProps)(props, {
        defaultValidationTrigger: 'onBlur',
        valuePropsMapper: ({ value, onChange }) => ({
            onChange,
            value: value?.toString() ?? '',
        }),
    });
    let inputRef = (0, react_1.useRef)(null);
    let { labelProps, inputProps } = (0, textfield_1.useTextField)(props, inputRef);
    return ((0, jsx_runtime_1.jsx)(TextInputBase_1.TextInputBase, { ...props, ref: ref, labelProps: labelProps, inputProps: inputProps, inputRef: inputRef }, void 0));
});
/**
 * TextInputs are text inputs that allow users to input custom text entries
 * with a keyboard. Various decorations can be displayed around the field to
 * communicate the entry requirements.
 */
exports.TextInput.jengaInputType = 'Text';

        