/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Prefix = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const react_2 = require("../../utils/react");
const PrefixElement = (0, tasty_1.tasty)({
    element: 'Prefix',
    styles: {
        position: 'absolute',
        display: 'grid',
        placeContent: 'stretch',
        placeItems: 'center',
        flow: 'column',
        gap: 0,
        left: '@prefix-gap',
        top: '@prefix-gap',
        bottom: '@prefix-gap',
        color: '#dark.75',
        height: '(100% - (2 * @prefix-gap))',
    },
});
exports.Prefix = (0, react_1.forwardRef)(function Prefix(allProps, outerRef) {
    let { onWidthChange, outerGap = '1bw', children, ...props } = allProps;
    const styles = (0, tasty_1.extractStyles)(props, tasty_1.CONTAINER_STYLES);
    const ref = (0, react_2.useCombinedRefs)(outerRef);
    (0, react_2.useLayoutEffect)(() => {
        if (ref?.current && onWidthChange) {
            onWidthChange(ref.current.offsetWidth);
        }
    }, [children, ref, onWidthChange]);
    return ((0, jsx_runtime_1.jsx)(PrefixElement, { ...(0, tasty_1.filterBaseProps)(props, { eventProps: true }), ref: ref, styles: styles, style: {
            // @ts-ignore
            '--prefix-gap': (0, tasty_1.parseStyle)(outerGap).value,
        }, children: children }, void 0));
});

        