/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Space = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../tasty");
const SpaceElement = (0, tasty_1.tasty)({
    styles: {
        display: 'flex',
        gap: true,
        flow: {
            '': 'row',
            vertical: 'column',
        },
        placeItems: {
            '': 'center stretch',
            vertical: 'stretch',
        },
    },
});
exports.Space = (0, react_1.forwardRef)(function Space(props, ref) {
    const { mods, direction, ...otherProps } = props;
    const styles = (0, tasty_1.extractStyles)(otherProps, tasty_1.CONTAINER_STYLES);
    return ((0, jsx_runtime_1.jsx)(SpaceElement, { ...(0, tasty_1.filterBaseProps)(otherProps, { eventProps: true }), ref: ref, mods: {
            vertical: direction === 'vertical' || otherProps.flow === 'column',
            ...mods,
        }, styles: styles }, void 0));
});

        