/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const table_1 = require("@react-aria/table");
const table_2 = require("@react-stately/table");
const react_1 = require("react");
const provider_1 = require("../../../provider");
const react_2 = require("../../../utils/react");
const TableElementsBase_1 = require("./TableElementsBase");
const TableHeadSection_1 = require("./TableHeadSection");
const TableBodySection_1 = require("./TableBodySection");
const TableFooter_1 = require("./TableFooter");
const DefaultTableProps = {
    showFooter: true,
    customHeaderRowPostion: 'top',
    selectionMode: 'none',
    selectionBehavior: 'toggle',
    stickyHeader: false,
    zebraStripes: false,
    checkboxProps: {},
    checkboxStyles: {},
    wrapperProps: {},
    wrapperStyles: {},
    headerStyles: {},
    tableBodyStyles: {},
    tableBodyProps: {},
    footerStyles: {},
    footerProps: {},
    headerProps: {},
    cellPadding: 'regular',
    showAlternateBody: false,
    cellProps: {},
    cellStyles: {},
    setKeyboardNavigationDisabled: false,
    rowStyles: {},
    headerRowProps: {},
    headerRowStyles: {},
    rowProps: {},
};
function withDefaultTableProps(props) {
    for (let key of Object.keys(DefaultTableProps)) {
        if (!props.hasOwnProperty(key)) {
            props[key] = DefaultTableProps[key];
        }
    }
    return props;
}
function _Table(props, ref) {
    props = withDefaultTableProps((0, provider_1.useProviderProps)(props));
    let { showFooter = true, alternateBody, showAlternateBody, headerProps, headerStyles, wrapperProps, wrapperStyles, footerProps, footerStyles, customHeaderRowPostion, tableBodyProps, tableBodyStyles, customHeaderRow, customFooter, onEmpty, headerRowProps, headerRowStyles, stickyHeader, ...otherProps } = props;
    let state = (0, table_2.useTableState)({
        ...props,
        showSelectionCheckboxes: props.selectionMode === 'multiple' &&
            props.selectionBehavior !== 'replace',
    });
    ref = (0, react_2.useCombinedRefs)([ref, (0, react_1.useRef)(null)]);
    let { gridProps } = (0, table_1.useTable)(props, state, ref);
    const { styles: wrapperStylesFromProps, ...wrapperOtherProps } = wrapperProps || { styles: {} };
    const { styles: headerStylesFromProps, ...headerOtherProps } = headerProps || { styles: {} };
    const { styles: tableBodyStylesFromProps, ...tableBodyOtherProps } = tableBodyProps || { styles: {} };
    const { styles: footerStylesFromProps, ...footerOtherProps } = footerProps || { styles: {} };
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.TableWrapper, { ...wrapperOtherProps, styles: { ...wrapperStylesFromProps, ...wrapperStyles }, children: (0, jsx_runtime_1.jsxs)(TableElementsBase_1.TableBase, { ref: ref, ...gridProps, ...otherProps, children: [(0, jsx_runtime_1.jsx)(TableHeadSection_1.TableHeadSection, { customHeaderPosition: customHeaderRowPostion || 'top', state: state, headerRowProps: {
                        ...headerRowProps,
                        styles: {
                            ...(headerRowProps?.styles || {}),
                            ...headerRowStyles,
                        },
                    }, stickyHeader: stickyHeader, ...headerOtherProps, styles: { ...headerStylesFromProps, ...headerStyles }, children: customHeaderRow }, void 0), (0, jsx_runtime_1.jsx)(TableBodySection_1.TableBodySection, { state: state, alternateBody: alternateBody, showAlternateBody: showAlternateBody, onEmpty: onEmpty, ...tableBodyOtherProps, styles: { ...tableBodyStylesFromProps, ...tableBodyStyles } }, void 0), showFooter ? (customFooter ? (customFooter) : ((0, jsx_runtime_1.jsx)(TableFooter_1.TableFooter, { styles: { ...footerStylesFromProps, ...footerStyles }, ...footerOtherProps, totalRecords: [...state.collection.body.childNodes].length }, void 0))) : ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, {}, void 0))] }, void 0) }, void 0));
}
const Table = (0, react_1.forwardRef)(_Table);
exports.Table = Table;

        