/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableBodySection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const ReactStatelyCollections_1 = require("./ReactStatelyCollections");
const TableCell_1 = require("./TableCell");
const TableCheckboxCell_1 = require("./TableCheckboxCell");
const TableElementsBase_1 = require("./TableElementsBase");
const TableRow_1 = require("./TableRow");
const TableRowGroup_1 = require("./TableRowGroup");
function TableBodySection(props) {
    const { state, alternateBody, showAlternateBody, onEmpty, ...otherProps } = props;
    const { collection } = state;
    const { cellPadding } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    return ((0, jsx_runtime_1.jsx)(TableRowGroup_1.TableRowGroup, { as: "tbody", ...otherProps, children: showAlternateBody
            ? alternateBody
            : [...collection.body.childNodes].length === 0
                ? onEmpty
                : [...collection.body.childNodes].map((row) => ((0, jsx_runtime_1.jsx)(TableRow_1.TableRow, { item: row, state: state, styles: {
                        borderTop: '1px solid #E5E5FC',
                    }, children: [...row.childNodes].map((cell) => {
                        const align = cell.column?.props.align ||
                            ReactStatelyCollections_1.AligmentFromDTCatalog[cell.column?.props.dataType || 'generic'] ||
                            'left';
                        const stylesFromColumn = cell.column?.props.colCellStyles || {};
                        return cell.props.isSelectionCell ? ((0, jsx_runtime_1.jsx)(TableCheckboxCell_1.TableCheckboxCell, { item: cell, state: state, styles: {
                                padding: cellPadding,
                                textAlign: align,
                                ...stylesFromColumn,
                            } }, cell.key)) : ((0, jsx_runtime_1.jsx)(TableCell_1.TableCell, { item: cell, state: state, styles: {
                                padding: cellPadding,
                                textAlign: align,
                                ...stylesFromColumn,
                            } }, cell.key));
                    }) }, row.key))) }, void 0));
}
exports.TableBodySection = TableBodySection;

        