/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const table_1 = require("@react-aria/table");
const interactions_1 = require("@react-aria/interactions");
const react_2 = require("../../../utils/react");
const interactions_2 = require("../../../utils/react/interactions");
const TableElementsBase_1 = require("./TableElementsBase");
function TableCell(props) {
    const { item: cell, state, styles, ...otherProps } = props;
    let ref = (0, react_1.useRef)(null);
    let { gridCellProps } = (0, table_1.useTableCell)({ node: cell }, state, ref);
    let { isFocused, focusProps } = (0, interactions_2.useFocus)({ isDisabled: false });
    const { hoverProps, isHovered } = (0, interactions_1.useHover)({});
    const { cellProps, cellStyles } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    const { styles: cellStylesFromProps, ...otherCellProps } = cellProps;
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Td, { ref: ref, ...otherProps, ...otherCellProps, ...(0, react_2.mergeProps)(gridCellProps, focusProps, hoverProps), ...cell.props, mods: {
            focused: isFocused,
            hovered: isHovered,
            ...(cell.props?.mods || {}),
        }, styles: {
            outline: { '': 'none', 'focused ': '1px solid rgba(94, 234, 212, 1)' },
            cursor: 'default',
            color: 'rgba(43, 41, 98, 1)',
            ...styles,
            ...cellStylesFromProps,
            ...cellStyles,
            ...(cell.props.styles || {}),
        }, children: cell.rendered }, void 0));
}
exports.TableCell = TableCell;

        