/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableColumnHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const table_1 = require("@react-aria/table");
const interactions_1 = require("@react-aria/interactions");
const react_2 = require("../../../utils/react");
const interactions_2 = require("../../../utils/react/interactions");
const Flex_1 = require("../../layout/Flex");
const TableElementsBase_1 = require("./TableElementsBase");
const ReactStatelyCollections_1 = require("./ReactStatelyCollections");
function TableColumnHeader(props) {
    const { item: column, state, styles = {}, isDisabled, ...otherProps } = props;
    let ref = (0, react_1.useRef)(null);
    let { columnHeaderProps } = (0, table_1.useTableColumnHeader)({ node: column }, state, ref);
    const { hoverProps, isHovered } = (0, interactions_1.useHover)({ isDisabled });
    const { isFocused, focusProps } = (0, interactions_2.useFocus)({ isDisabled });
    const colspan = column.colspan ? column.colspan : 1;
    const align = column.props.align ||
        ReactStatelyCollections_1.AligmentFromDTCatalog[column.props.dataType || 'generic'] ||
        'left';
    const sortState = state.sortDescriptor?.column === column.key
        ? state.sortDescriptor?.direction
        : 'unknown';
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Th, { ...(0, react_2.mergeProps)(columnHeaderProps, focusProps, hoverProps), ref: ref, colSpan: colspan, mods: {
            ...(column.props?.mods || {}),
            focused: isFocused,
            hovered: isHovered,
        }, styles: {
            outline: { '': 'none', focused: '2px solid orange' },
            cursor: 'default',
            color: 'rgba(43, 41, 98, 1)',
            ...styles,
            ...(column.props?.colCellStyles || {}),
            ...(column.props?.styles || {}),
        }, ...otherProps, children: column.props.allowsSorting ? ((0, jsx_runtime_1.jsxs)(Flex_1.Flex, { height: "100%", width: "100%", alignItems: 'center', justifyContent: align, children: [(0, jsx_runtime_1.jsxs)(Flex_1.Flex, { flow: 'column', display: 'inline-flex', alignItems: 'center', margin: '0 3px', gap: '2px', children: [(0, jsx_runtime_1.jsx)("div", { style: {
                                width: 0,
                                height: 0,
                                borderLeft: '5px solid transparent',
                                borderRight: '5px solid transparent',
                                borderBottom: `5px solid ${sortState === 'ascending' ? 'black' : 'lightgrey'}`,
                            } }, void 0), (0, jsx_runtime_1.jsx)("div", { style: {
                                width: 0,
                                height: 0,
                                borderLeft: '5px solid transparent',
                                borderRight: '5px solid transparent',
                                borderTop: `5px solid ${sortState === 'descending' ? 'black' : 'lightgrey'}`,
                            } }, void 0)] }, void 0), column.rendered] }, void 0)) : (column.rendered) }, void 0));
}
exports.TableColumnHeader = TableColumnHeader;

        