/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableBase = exports._TableBase = exports.JengaTablePropsContext = exports.TableTemplate = exports.TableWrapper = exports.Td = exports.Th = exports.Tr = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../../tasty");
exports.Tr = (0, tasty_1.tasty)({
    as: 'tr',
    role: 'row',
});
exports.Th = (0, tasty_1.tasty)({
    as: 'th',
    role: 'gridcell',
});
exports.Td = (0, tasty_1.tasty)({
    as: 'td',
    role: 'gridcell',
});
exports.TableWrapper = (0, tasty_1.tasty)({
    styles: {
        border: '1px solid #e5e5fc',
        overflow: 'auto',
        position: 'relative',
        padding: '0',
    },
});
exports.TableTemplate = (0, tasty_1.tasty)(tasty_1.Element, {
    as: 'table',
});
exports.JengaTablePropsContext = (0, react_1.createContext)({
    zebraStripes: false,
    cellPadding: '10px',
    rowProps: {},
    rowStyles: {},
    cellProps: {},
    cellStyles: {},
    checkboxProps: {},
    checkboxStyles: {},
});
const cellPaddingCatalog = {
    dense: '6px 12px',
    regular: '16px 12px',
    spacious: '12px',
};
const parseCellPadding = (cellPadding) => {
    if (Array.isArray(cellPadding)) {
        return cellPadding.map((cp) => cellPaddingCatalog.hasOwnProperty(cp) ? cellPaddingCatalog[cp] : cp);
    }
    return cellPaddingCatalog.hasOwnProperty(cellPadding)
        ? cellPaddingCatalog[cellPadding]
        : cellPadding;
};
function _TableBase(props, ref) {
    let { styles, zebraStripes = false, cellPadding = ['regular', 'dense'], checkboxProps = {}, checkboxStyles = {}, cellStyles = {}, cellProps = {}, rowProps = {}, rowStyles = {}, ...otherProps } = props;
    return ((0, jsx_runtime_1.jsx)(exports.JengaTablePropsContext.Provider, { value: {
            zebraStripes,
            cellPadding: parseCellPadding(cellPadding),
            checkboxProps,
            checkboxStyles,
            cellStyles,
            cellProps,
            rowProps,
            rowStyles,
        }, children: (0, jsx_runtime_1.jsx)(exports.TableTemplate, { styles: {
                borderCollapse: 'collapse',
                display: 'table',
                height: '100%',
                width: '100%',
                fill: '#fffff',
                ...styles,
            }, role: 'Table', ...otherProps, ref: ref }, void 0) }, void 0));
}
exports._TableBase = _TableBase;
exports.TableBase = (0, react_1.forwardRef)(_TableBase);

        