/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableHeadSection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const TableColumnHeader_1 = require("./TableColumnHeader");
const TableElementsBase_1 = require("./TableElementsBase");
const TableHeaderRow_1 = require("./TableHeaderRow");
const TableRowGroup_1 = require("./TableRowGroup");
const TableSelectAllCells_1 = require("./TableSelectAllCells");
function TableHeadSection(props) {
    const { state, stickyHeader = false, styles, children, headerRowProps, customHeaderPosition, ...otherProps } = props;
    const { collection } = state;
    const { cellPadding } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    const stickyStyles = stickyHeader
        ? { position: 'sticky', top: 0 }
        : {};
    return ((0, jsx_runtime_1.jsxs)(TableRowGroup_1.TableRowGroup, { as: 'thead', styles: {
            background: '#fff',
            zIndex: 1,
            ...stickyStyles,
            ...styles,
        }, ...otherProps, children: [customHeaderPosition === 'top' && children, collection.headerRows.map((headerRow) => ((0, jsx_runtime_1.jsx)(TableHeaderRow_1.TableHeaderRow, { item: headerRow, state: state, ...headerRowProps, children: [...headerRow.childNodes].map((column) => column.props.isSelectionCell ? ((0, jsx_runtime_1.jsx)(TableSelectAllCells_1.TableSelectAllCell, { item: column, state: state, element: 'TableSelectAllElement', styles: { padding: cellPadding } }, column.key)) : ((0, jsx_runtime_1.jsx)(TableColumnHeader_1.TableColumnHeader, { item: column, element: 'TableColumnElement', state: state, styles: { padding: cellPadding } }, column.key))) }, headerRow.key))), customHeaderPosition === 'bottom' && children] }, void 0));
}
exports.TableHeadSection = TableHeadSection;

        