/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const interactions_1 = require("@react-aria/interactions");
const react_1 = require("react");
const table_1 = require("@react-aria/table");
const interactions_2 = require("../../../utils/react/interactions");
const react_2 = require("../../../utils/react");
const TableElementsBase_1 = require("./TableElementsBase");
function TableRow(props) {
    let { state, item, children, styles = {}, isDisabled, isHidden, ...otherProps } = props;
    const { zebraStripes, rowProps: jengaRowProps, rowStyles, } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    let ref = (0, react_1.useRef)(null);
    // @ts-ignore
    let isSelected = state.selectionManager.isSelected(item.key);
    let { rowProps, isPressed } = (0, table_1.useTableRow)({
        node: item,
    }, state, ref);
    const index = item.index ? item.index : 0;
    let { isFocused, focusProps } = (0, interactions_2.useFocus)({ isDisabled });
    let { hoverProps, isHovered } = (0, interactions_1.useHover)({ isDisabled });
    const { styles: rowStylesFromProps, ...otherRowProps } = jengaRowProps;
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Tr, { ...otherRowProps, ...otherProps, ...item.props, mods: {
            selected: isSelected,
            pressed: isPressed,
            zebraStripes: zebraStripes,
            focused: isFocused,
            hidden: isHidden,
            hovered: isHovered,
            ...(item.props?.mods || {}),
        }, ...(0, react_2.mergeProps)(rowProps, focusProps, hoverProps), ref: ref, styles: {
            fill: {
                '': 'none',
                selected: '#primary.20',
                pressed: '#primary.10',
                zebraStripes: index % 2 ? '#primary.10' : 'none',
            },
            color: { selected: 'white' },
            outline: { '': 'none', focused: '1px rgba(94, 234, 212, 1)' },
            ...styles,
            ...rowStylesFromProps,
            ...rowStyles,
            ...(item.props.styles || {}),
        }, children: children }, void 0));
}
exports.TableRow = TableRow;

        