/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableSelectAllCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const table_1 = require("@react-aria/table");
const visually_hidden_1 = require("@react-aria/visually-hidden");
const react_1 = require("react");
const Checkbox_1 = require("../../forms/Checkbox/Checkbox");
const TableElementsBase_1 = require("./TableElementsBase");
function TableSelectAllCell(props) {
    const { state, item: column, ...otherProps } = props;
    let ref = (0, react_1.useRef)(null);
    // @ts-ignore
    let isSingleSelectionMode = state.selectionManager.selectionMode === 'single';
    let { columnHeaderProps } = (0, table_1.useTableColumnHeader)({ node: column }, state, ref);
    const { checkboxProps: jengaCheckboxProps, checkboxStyles } = (0, react_1.useContext)(TableElementsBase_1.JengaTablePropsContext);
    let { checkboxProps } = (0, table_1.useTableSelectAllCheckbox)(state);
    const { styles: checkboxStylesFromProps, ...otherCheckboxProps } = jengaCheckboxProps;
    return ((0, jsx_runtime_1.jsx)(TableElementsBase_1.Th, { ...columnHeaderProps, ...otherProps, ref: ref, children: isSingleSelectionMode ? ((0, jsx_runtime_1.jsx)(visually_hidden_1.VisuallyHidden, { children: checkboxProps['aria-label'] }, void 0)) : ((0, jsx_runtime_1.jsx)(Checkbox_1.Checkbox, { ...otherCheckboxProps, ...checkboxProps, styles: { ...checkboxStylesFromProps, ...checkboxStyles } }, void 0)) }, void 0));
}
exports.TableSelectAllCell = TableSelectAllCell;

        