/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const actions_1 = require("../../actions");
const Content_1 = require("../../content/Content");
const Paragraph_1 = require("../../content/Paragraph");
const Dialog_1 = require("../Dialog/Dialog");
const context_1 = require("../Dialog/context");
const Title_1 = require("../../content/Title");
const Header_1 = require("../../content/Header");
const Footer_1 = require("../../content/Footer");
const react_2 = require("../../../utils/react");
const DEFAULT_CONFIRM_PROPS = {
    label: 'Ok',
    type: 'primary',
};
const DEFAULT_CANCEL_PROPS = {
    label: 'Cancel',
};
/**
 * AlertDialogs are a specific type of Dialog. They display important information that users need to acknowledge.
 */
function AlertDialog(props, ref) {
    const { onClose } = (0, context_1.useDialogContext)();
    const { danger, actions, title, styles, noActions, content, ...otherProps } = props;
    let { confirm: confirmProps, secondary: secondaryProps, cancel: cancelProps, } = actions ?? {};
    // the confirm button is present by default
    confirmProps =
        confirmProps !== false
            ? {
                ...DEFAULT_CONFIRM_PROPS,
                ...(typeof confirmProps === 'object' ? confirmProps : null),
            }
            : undefined;
    // the cancel button is hidden by default
    cancelProps = cancelProps
        ? {
            ...DEFAULT_CANCEL_PROPS,
            ...(typeof cancelProps === 'object' ? cancelProps : null),
        }
        : undefined;
    return ((0, jsx_runtime_1.jsxs)(Dialog_1.Dialog, { ref: ref, role: "alertdialog", isDismissable: false, ...otherProps, children: [title ? ((0, jsx_runtime_1.jsx)(Header_1.Header, { children: (0, jsx_runtime_1.jsx)(Title_1.Title, { children: title }, void 0) }, void 0)) : null, content ? ((0, jsx_runtime_1.jsx)(Content_1.Content, { children: typeof content === 'string' ? ((0, jsx_runtime_1.jsx)(Paragraph_1.Paragraph, { children: content }, void 0)) : (content) }, void 0)) : null, !noActions ? ((0, jsx_runtime_1.jsx)(Footer_1.Footer, { children: (0, jsx_runtime_1.jsxs)(actions_1.ButtonGroup, { align: "end", children: [(0, jsx_runtime_1.jsx)(actions_1.Button, { autoFocus: true, theme: danger ? 'danger' : undefined, ...confirmProps, onPress: (e) => (0, react_2.chain)(confirmProps?.onPress?.(e), onClose?.('confirm')) }, void 0), secondaryProps && ((0, jsx_runtime_1.jsx)(actions_1.Button, { ...secondaryProps, onPress: (e) => (0, react_2.chain)(secondaryProps?.onPress?.(e), onClose?.('secondary')) }, void 0)), cancelProps && ((0, jsx_runtime_1.jsx)(actions_1.Button, { ...cancelProps, onPress: (e) => (0, react_2.chain)(cancelProps?.onPress?.(e), onClose?.('cancel')) }, void 0))] }, void 0) }, void 0)) : null] }, void 0));
}
/**
 * AlertDialogs are a specific type of Dialog. They display important information that users need to acknowledge.
 */
const _AlertDialog = (0, react_1.forwardRef)(AlertDialog);
exports.AlertDialog = _AlertDialog;

        