/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertDialogZone = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const portal_1 = require("../../portal");
const Dialog_1 = require("../Dialog");
const AlertDialog_1 = require("./AlertDialog");
const PORTAL_KEY = 'AlertDialogZone';
/**
 * @internal Do not use it
 */
function AlertDialogZone(props) {
    const { openedDialog } = props;
    if (openedDialog === null)
        return (0, jsx_runtime_1.jsx)(portal_1.Portal, {}, PORTAL_KEY);
    const { type, isDismissable = true, actions, onDismiss, content, ...options } = openedDialog.props;
    const { resolve, reject, isVisible, dialogType } = openedDialog.meta;
    const _actions = (() => {
        const mergeActionProps = (action, status) => {
            if (typeof action === 'undefined') {
                return undefined;
            }
            if (typeof action === 'boolean') {
                return (action
                    ? { onPress: () => resolve(status) }
                    : false);
            }
            const onPress = action.onPress;
            return {
                ...action,
                onPress: (e) => {
                    onPress?.(e);
                    resolve(status);
                },
            };
        };
        if (typeof actions === 'undefined')
            return {};
        return {
            confirm: mergeActionProps(actions.confirm, 'confirm'),
            secondary: mergeActionProps(actions.secondary, 'secondary'),
            cancel: mergeActionProps(actions.cancel, 'cancel'),
        };
    })();
    return ((0, jsx_runtime_1.jsx)(portal_1.Portal, { children: (0, jsx_runtime_1.jsx)(Dialog_1.DialogContainer, { isOpen: isVisible, isDismissable: isDismissable, type: type, onDismiss: onDismiss, children: (0, jsx_runtime_1.jsx)(AlertDialog_1.AlertDialog, { noActions: dialogType === 'form', actions: _actions, isHidden: !isVisible, content: typeof content === 'function'
                    ? content({ resolve, reject })
                    : content, ...options }, void 0) }, void 0) }, PORTAL_KEY));
}
exports.AlertDialogZone = AlertDialogZone;

        