/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogForm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Title_1 = require("../../content/Title");
const Form_1 = require("../../forms/Form/Form");
const forms_1 = require("../../forms");
const Content_1 = require("../../content/Content");
const Submit_1 = require("../../actions/Button/Submit");
const actions_1 = require("../../actions");
const actions_2 = require("../../actions");
const Header_1 = require("../../content/Header");
const context_1 = require("./context");
const Dialog_1 = require("./Dialog");
/**
 * DialogForms are a specific type of Dialog. They contain forms to fill.
 */
function DialogForm(props) {
    let { qa, name, form, defaultValues, onDismiss, onSubmit, onSubmitFailed, onValuesChange, labelStyles, labelPosition, requiredMark, isRequired, necessityIndicator, necessityLabel, isReadOnly, validationState, validateTrigger, children, danger, noActions, submitProps, cancelProps, preserve, title, size, closeIcon, ...dialogProps } = props;
    [form] = (0, forms_1.useForm)(form);
    const { onClose } = (0, context_1.useDialogContext)();
    function onLocalDismiss() {
        onClose?.();
        onDismiss?.();
        if (!preserve) {
            form?.resetFields();
        }
    }
    return ((0, jsx_runtime_1.jsxs)(Dialog_1.Dialog, { qa: `${qa || ''}Dialog`, size: size, closeIcon: closeIcon, ...dialogProps, children: [(0, jsx_runtime_1.jsx)(Header_1.Header, { children: (0, jsx_runtime_1.jsx)(Title_1.Title, { ellipsis: true, children: title }, void 0) }, void 0), (0, jsx_runtime_1.jsx)(Content_1.Content, { children: (0, jsx_runtime_1.jsxs)(Form_1.Form, { qa: qa || 'DialogForm', form: form, name: name, defaultValues: defaultValues, labelStyles: labelStyles, labelPosition: labelPosition, requiredMark: requiredMark, isRequired: isRequired, necessityIndicator: necessityIndicator, necessityLabel: necessityLabel, isReadOnly: isReadOnly, validationState: validationState, validateTrigger: validateTrigger, onSubmit: async (data) => {
                        await onSubmit?.(data);
                        onClose?.();
                        if (!preserve) {
                            form?.resetFields();
                        }
                    }, onSubmitFailed: onSubmitFailed, onValuesChange: onValuesChange, children: [typeof children === 'function' ? children(onLocalDismiss) : children, !noActions ? ((0, jsx_runtime_1.jsxs)(actions_2.ButtonGroup, { children: [(0, jsx_runtime_1.jsx)(Submit_1.Submit, { qa: `${qa || ''}SubmitButton`, theme: danger ? 'danger' : undefined, label: "Submit", ...(submitProps || {}) }, void 0), (0, jsx_runtime_1.jsx)(actions_1.Button, { qa: `${qa || ''}CancelButton`, label: "Cancel", onPress: onLocalDismiss, ...(cancelProps || {}) }, void 0)] }, void 0)) : undefined] }, void 0) }, void 0)] }, void 0));
}
exports.DialogForm = DialogForm;

        