/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenTransition = exports.useOpenTransitionContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const OPEN_STATES = {
    entering: false,
    entered: true,
};
const OpenTransitionContext = (0, react_1.createContext)(null);
function useOpenTransitionContext() {
    return (0, react_1.useContext)(OpenTransitionContext);
}
exports.useOpenTransitionContext = useOpenTransitionContext;
function OpenTransition(props) {
    return ((0, jsx_runtime_1.jsx)(react_transition_group_1.Transition, { timeout: { enter: 0, exit: 350 }, ...props, children: (state) => ((0, jsx_runtime_1.jsx)(OpenTransitionContext.Provider, { value: { transitionState: state }, children: react_1.Children.map(props.children, (child) => child &&
                (0, react_1.cloneElement)(child, {
                    isOpen: !!OPEN_STATES[state],
                    transitionState: state,
                })) }, void 0)) }, void 0));
}
exports.OpenTransition = OpenTransition;

        