/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Overlay = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_dom_1 = require("react-dom");
const provider_1 = require("../../../provider");
const OpenTransition_1 = require("./OpenTransition");
function Overlay(props, ref) {
    let { children, isOpen, container = null, onEnter, onEntering, onEntered, onExit, onExiting, onExited, hideOnClose = false, } = props;
    let [exited, setExited] = (0, react_1.useState)(!isOpen);
    let { root } = (0, provider_1.useProviderProps)({});
    let handleEntered = (0, react_1.useCallback)(() => {
        setExited(false);
        onEntered?.();
    }, [onEntered]);
    let handleExited = (0, react_1.useCallback)(() => {
        setExited(true);
        onExited?.();
    }, [onExited]);
    // Don't un-render the overlay while it's transitioning out.
    let mountOverlay = isOpen || !exited;
    if (!mountOverlay) {
        // Don't bother showing anything if we don't have to.
        if (!hideOnClose) {
            return null;
        }
    }
    let contents = ((0, jsx_runtime_1.jsx)(provider_1.Provider, { ref: ref, children: (0, jsx_runtime_1.jsx)(OpenTransition_1.OpenTransition, { appear: true, in: isOpen, onExit: onExit, onExiting: onExiting, onExited: handleExited, onEnter: onEnter, onEntering: onEntering, onEntered: handleEntered, children: children }, void 0) }, void 0));
    return (0, react_dom_1.createPortal)(contents, container || root || document.body);
}
let _Overlay = (0, react_1.forwardRef)(Overlay);
exports.Overlay = _Overlay;

        