/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Popover = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const overlays_1 = require("@react-aria/overlays");
const tasty_1 = require("../../../tasty");
const react_2 = require("../../../utils/react");
const Overlay_1 = require("./Overlay");
const PopoverElement = (0, tasty_1.tasty)({
    role: 'presentation',
    styles: {
        display: {
            '': 'none',
            'entering | entered': 'initial',
            exiting: 'initial',
            exited: 'none',
        },
        pointerEvents: 'auto',
        position: 'absolute',
        transition: 'opacity .120s linear, visibility 0ms linear, transform .120s ease-in-out',
        transform: {
            '': 'scale(1, .9)',
            open: 'scale(1, 1)',
        },
        opacity: {
            '': 0,
            open: '.9999',
        },
        transformOrigin: {
            '': 'top center',
            '[data-placement="top"]': 'bottom center',
        },
    },
});
function Popover(props, ref) {
    let { qa, style, styles, children, placement, arrowProps, onClose, shouldCloseOnBlur, isKeyboardDismissDisabled, isNonModal, isDismissable = true, updatePosition, shouldCloseOnInteractOutside, ...otherProps } = props;
    return ((0, jsx_runtime_1.jsx)(Overlay_1.Overlay, { ...otherProps, children: (0, jsx_runtime_1.jsx)(PopoverWrapper, { ref: ref, qa: qa, style: style, styles: styles, placement: placement, arrowProps: arrowProps, shouldCloseOnBlur: shouldCloseOnBlur, isKeyboardDismissDisabled: isKeyboardDismissDisabled, isNonModal: isNonModal, isDismissable: isDismissable, updatePosition: updatePosition, shouldCloseOnInteractOutside: shouldCloseOnInteractOutside, onClose: onClose, children: children }, void 0) }, void 0));
}
const PopoverWrapper = (0, react_1.forwardRef)(function PopoverWrapper(props, ref) {
    let { qa, children, placement = 'bottom', arrowProps, isOpen, style, styles, shouldCloseOnBlur, isKeyboardDismissDisabled, isNonModal, isDismissable, updatePosition, transitionState, ...otherProps } = props;
    let { overlayProps } = (0, overlays_1.useOverlay)({ ...props, isDismissable: isDismissable && isOpen }, 
    // @ts-ignore
    ref);
    let { modalProps } = (0, overlays_1.useModal)({
        isDisabled: isNonModal,
    });
    (0, react_1.useEffect)(() => {
        if (transitionState === 'entered') {
            updatePosition?.();
        }
    }, [updatePosition, transitionState]);
    return ((0, jsx_runtime_1.jsx)(PopoverElement, { qa: qa || 'Popover', ...(0, react_2.mergeProps)(otherProps, overlayProps, modalProps), ref: ref, styles: styles, mods: {
            open: isOpen,
            entering: transitionState === 'entering',
            exiting: transitionState === 'exiting',
            exited: transitionState === 'exited',
            entered: transitionState === 'entered',
        }, "data-placement": placement, style: style, children: children }, void 0));
});
let _Popover = (0, react_1.forwardRef)(Popover);
exports.Popover = _Popover;

        