/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tray = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const utils_1 = require("@react-spectrum/utils");
const react_1 = require("react");
const overlays_1 = require("@react-aria/overlays");
const tasty_1 = require("../../../tasty");
const react_2 = require("../../../utils/react");
const Modal_1 = require("./Modal");
const Underlay_1 = require("./Underlay");
const Overlay_1 = require("./Overlay");
const TrayWrapperElement = (0, tasty_1.tasty)({
    qa: 'TrayWrapper',
    styles: {
        ...Modal_1.OVERLAY_WRAPPER_STYLES,
        placeContent: 'end center',
        placeItems: 'end center',
    },
});
const TrayElement = (0, tasty_1.tasty)({
    styles: {
        display: {
            '': 'none',
            'entering | entered': 'initial',
            exiting: 'initial',
            exited: 'none',
        },
        zIndex: 2,
        height: 'max 90dvh',
        width: '288px 90vw',
        pointerEvents: 'auto',
        transition: 'transform .25s ease-in-out, opacity .25s linear, visibility 0ms linear',
        opacity: {
            '': 0,
            open: '.9999',
        },
    },
});
function Tray(props, ref) {
    let { qa, children, onClose, isFixedHeight, isNonModal, styles, ...otherProps } = props;
    let domRef = (0, utils_1.useDOMRef)(ref);
    let { overlayProps, underlayProps } = (0, overlays_1.useOverlay)({ ...props, isDismissable: true }, domRef);
    return ((0, jsx_runtime_1.jsxs)(Overlay_1.Overlay, { ...otherProps, children: [(0, jsx_runtime_1.jsx)(Underlay_1.Underlay, { ...underlayProps }, void 0), (0, jsx_runtime_1.jsx)(TrayWrapper, { ref: domRef, qa: qa, overlayProps: overlayProps, isFixedHeight: isFixedHeight, isNonModal: isNonModal, styles: styles, onClose: onClose, children: children }, void 0)] }, void 0));
}
let TrayWrapper = (0, react_1.forwardRef)(function TrayWrapper(props, ref) {
    let { qa, children, isOpen, styles, isFixedHeight, isNonModal, overlayProps, transitionState, ...otherProps } = props;
    (0, overlays_1.usePreventScroll)();
    let { modalProps } = (0, overlays_1.useModal)({
        isDisabled: isNonModal,
    });
    let domProps = (0, react_2.mergeProps)(otherProps, overlayProps);
    return ((0, jsx_runtime_1.jsx)(TrayWrapperElement, { mods: {
            open: isOpen,
        }, children: (0, jsx_runtime_1.jsx)(TrayElement, { qa: qa || 'Tray', styles: styles, mods: {
                open: isOpen,
                entering: transitionState === 'entering',
                exiting: transitionState === 'exiting',
                exited: transitionState === 'exited',
                entered: transitionState === 'entered',
                'fixed-height': isFixedHeight,
            }, ...domProps, ...modalProps, ref: ref, children: children }, void 0) }, void 0));
});
let _Tray = (0, react_1.forwardRef)(Tray);
exports.Tray = _Tray;

        