/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Underlay = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../../tasty");
const UnderlayElement = (0, tasty_1.tasty)({
    qa: 'Underlay',
    styles: {
        position: 'fixed',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        zIndex: 1,
        transitionDelay: '0ms',
        opacity: {
            '': 0,
            open: 0.9999,
        },
        pointerEvents: {
            '': 'none',
            open: 'auto',
        },
        fill: '#dark.30',
        overflow: 'hidden',
        transition: 'transform .25s ease-in-out, opacity .25s linear, visibility 0ms linear',
    },
});
function Underlay({ isOpen, ...otherProps }, ref) {
    return ((0, jsx_runtime_1.jsx)(UnderlayElement, { ref: ref, mods: {
            open: isOpen,
        }, ...otherProps }, void 0));
}
let _Underlay = (0, react_1.forwardRef)(Underlay);
exports.Underlay = _Underlay;

        