/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloatingNotification = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const _internal_1 = require("../../../../_internal");
const tasty_1 = require("../../../../tasty");
const NotificationView_1 = require("../NotificationView");
const hooks_1 = require("../hooks");
const NotificationContainer = (0, tasty_1.tasty)({
    styles: {
        overflow: 'hidden',
        radius: '0.5x',
        boxShadow: '0 0.5x 2x #shadow',
        pointerEvents: 'auto',
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationsBar`.
 */
exports.FloatingNotification = (0, react_1.memo)(function FloatingNotification(props) {
    const { item, state, onRemoveNotification, id, isDisabledTimer, onDismissNotification, } = props;
    const { props: notificationProps, key } = item;
    const ref = (0, react_1.useRef)(null);
    const onCloseEvent = (0, _internal_1.useChainedCallback)(() => onRemoveNotification(id), notificationProps.onClose);
    const chainedOnDismiss = (0, _internal_1.useChainedCallback)(() => onDismissNotification(id), () => onRemoveNotification(id), notificationProps.onDismiss);
    const onKeyDown = (0, _internal_1.useEvent)(({ key }) => {
        if (notificationProps.isDismissible === false) {
            return;
        }
        const closeKeys = ['Delete', 'Backspace', 'Escape'];
        if (closeKeys.includes(key)) {
            chainedOnDismiss();
        }
    });
    const { itemProps } = (0, hooks_1.useNotificationListItem)({ key, ref, state });
    const { timer } = (0, _internal_1.useTimer)({
        callback: chainedOnDismiss,
        delay: notificationProps.duration,
        isDisabled: isDisabledTimer,
    });
    return ((0, jsx_runtime_1.jsx)(NotificationContainer, { children: (0, jsx_runtime_1.jsx)(NotificationView_1.NotificationView, { ref: ref, ...notificationProps, timer: timer, attributes: {
                ...itemProps,
                onKeyDown,
                role: 'status',
                'aria-atomic': 'true',
            }, qa: "FloatingNotification", onDismiss: chainedOnDismiss, onClose: onCloseEvent }, void 0) }, void 0));
});

        