/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationsBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const collections_1 = require("@react-stately/collections");
const interactions_1 = require("@react-aria/interactions");
const focus_1 = require("@react-aria/focus");
const tasty_1 = require("../../../../tasty");
const hooks_1 = require("../hooks");
const react_2 = require("../../../../utils/react");
const _internal_1 = require("../../../../_internal");
const FloatingNotification_1 = require("./FloatingNotification");
const TransitionComponent_1 = require("./TransitionComponent");
// @ts-ignore
const NotificationsContainer = (0, tasty_1.tasty)({
    styles: {
        boxSizing: 'border-box',
        position: 'fixed',
        bottom: 'env(safe-area-inset-bottom, 0)',
        right: 'env(safe-area-inset-right, 0)',
        display: 'flex',
        flexDirection: 'column-reverse',
        width: 'auto 100% 50x',
        height: '100dvh max',
        padding: '2x',
        gap: '1x',
        /* to be sure that we're over the legacy modal and any widget as well */
        zIndex: '2147483647',
        overflow: 'hidden',
        isolation: 'isolate',
        pointerEvents: 'none',
    },
});
/**
 * @internal Do not use it
 */
function NotificationsBar(props) {
    const { items, children, onRemoveNotification, onDismissNotification, limit = 5, } = props;
    const ref = (0, react_1.useRef)(null);
    const [realLimit, setRealLimit] = (0, react_1.useState)(limit + 1);
    const lastShownIdRef = (0, react_1.useRef)();
    const { listProps, state } = (0, hooks_1.useNotificationsList)({ items, children, ref });
    const { hoverProps, isHovered } = (0, interactions_1.useHover)({});
    const { focusProps, isFocusVisible } = (0, focus_1.useFocusRing)({ within: true });
    const moveFocus = (0, _internal_1.useEvent)((key) => {
        const nextKey = state.collection.getKeyBefore(key.toString()) ??
            state.collection.getKeyAfter(key.toString()) ??
            state.collection.getLastKey();
        const elementToFocus = ref.current?.querySelector(`[data-id="${nextKey}"]`);
        if (elementToFocus) {
            (0, focus_1.focusSafely)(elementToFocus);
        }
    });
    const chainedOnRemoveNotification = (0, _internal_1.useChainedCallback)(onRemoveNotification, moveFocus);
    let collection = [...state.collection].reverse();
    const collectionLength = collection.length;
    const lastShownNotificationIndex = collection.findIndex((notification) => notification.props.id === lastShownIdRef.current);
    if (lastShownNotificationIndex !== -1) {
        collection = collection.slice(0, lastShownNotificationIndex);
    }
    /**
     * Handy hack to improve animations if the limit is reached.
     */
    (0, react_1.useLayoutEffect)(() => {
        setRealLimit(limit + 1);
    }, [collectionLength]);
    (0, react_1.useLayoutEffect)(() => {
        if (realLimit > limit) {
            setRealLimit(limit);
        }
    }, [realLimit]);
    // Set the last notification that was gone off the limit
    collection.slice(realLimit).forEach((notification) => {
        // It's safe 'cause there is always only a single notification above the limit
        lastShownIdRef.current = notification.props.id;
    });
    (0, react_1.useEffect)(() => {
        // Auto-dismiss the last shown notification that was off the limit
        if (lastShownIdRef.current) {
            onDismissNotification(lastShownIdRef.current);
            onRemoveNotification(lastShownIdRef.current);
            const lastNotification = collection.find((notification) => notification.props.id === lastShownIdRef.current);
            lastNotification?.props.onDismiss?.();
        }
    }, [lastShownIdRef.current]);
    return ((0, jsx_runtime_1.jsx)(NotificationsContainer, { ref: ref, qa: "NotificationsBar", role: "region", "aria-live": "polite", ...(0, react_2.mergeProps)(listProps, hoverProps, focusProps), children: (0, jsx_runtime_1.jsx)(react_transition_group_1.TransitionGroup, { enter: true, exit: true, component: null, children: collection.slice(0, realLimit).map((notification) => ((0, jsx_runtime_1.jsx)(TransitionComponent_1.TransitionComponent, { children: (0, jsx_runtime_1.jsx)(FloatingNotification_1.FloatingNotification, { isDisabledTimer: isHovered || isFocusVisible, id: notification.props.id, item: notification, state: state, onRemoveNotification: chainedOnRemoveNotification, onDismissNotification: onDismissNotification }, void 0) }, notification.props.id))) }, void 0) }, void 0));
}
exports.NotificationsBar = NotificationsBar;
NotificationsBar.Item = collections_1.Item;

        