/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransitionComponent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const styled_components_1 = __importDefault(require("styled-components"));
const CSS_TRANSITION_CLASS_NAME = 'jenga-notifications-css-transition';
const TRANSITION_TIMEOUT = 250;
function TransitionComponent(props) {
    const { children, ...transitionProps } = props;
    const notificationRef = (0, react_1.useRef)(null);
    const calculateNotificationSize = (0, react_1.useCallback)(() => {
        if (notificationRef.current) {
            notificationRef.current.style.setProperty('--__notification-size__', `${notificationRef.current.scrollHeight}px`);
        }
    }, []);
    return ((0, jsx_runtime_1.jsx)(react_transition_group_1.CSSTransition, { unmountOnExit: true, mountOnEnter: true, timeout: TRANSITION_TIMEOUT, classNames: CSS_TRANSITION_CLASS_NAME, onEnter: calculateNotificationSize, onExit: calculateNotificationSize, ...transitionProps, children: (0, jsx_runtime_1.jsx)(Transition, { ref: notificationRef, children: children }, void 0) }, void 0));
}
exports.TransitionComponent = TransitionComponent;
const Transition = styled_components_1.default.div `
  transition-property: height, opacity, margin-top, margin-bottom;
  transition-duration: ${TRANSITION_TIMEOUT}ms;
  transition-timing-function: cubic-bezier(0.34, 1.56, 0.64, 1);

  &.${CSS_TRANSITION_CLASS_NAME} {
    &-enter {
      height: 0;
      opacity: 0;
      will-change: height, opacity;
    }
    &-enter-active {
      height: var(--__notification-size__);
      opacity: 1;
      will-change: height, opacity;
    }
    &-exit {
      height: var(--__notification-size__);
      opacity: 1;
      will-change: height, opacity, margin-top;
    }
    &-exit-active {
      margin-top: -8px;
      height: 0;
      opacity: 0;
      will-change: height, opacity;
    }
  }
`;

        