/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationsDialog = exports.NotificationsDialogTrigger = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const visually_hidden_1 = require("@react-aria/visually-hidden");
const Dialog_1 = require("../../Dialog");
const tasty_1 = require("../../../../tasty");
const Flex_1 = require("../../../layout/Flex");
const Title_1 = require("../../../content/Title");
const react_1 = require("../../../../utils/react");
const hooks_1 = require("../hooks");
function NotificationsDialogTrigger(props) {
    const { onCloseNotificationInBar, ...dialogTriggerProps } = props;
    (0, hooks_1.useNotificationsObserver)((args) => onCloseNotificationInBar?.(args));
    return (0, jsx_runtime_1.jsx)(Dialog_1.DialogTrigger, { ...dialogTriggerProps, type: "popover" }, void 0);
}
exports.NotificationsDialogTrigger = NotificationsDialogTrigger;
const StyledDialog = (0, tasty_1.tasty)(Dialog_1.Dialog, { height: 'auto calc(100vh - 12x)' });
const StyledDialogContent = (0, tasty_1.tasty)(Flex_1.Flex, {
    styles: {
        flow: 'column',
        placeItems: 'start start',
        styledScrollbar: true,
        height: '100%',
        border: '1bw solid #border',
        radius: '0.5x',
        overflow: 'auto',
    },
});
function NotificationsDialog(props) {
    const { children, title = 'Notifications', ...dialogProps } = props;
    return ((0, jsx_runtime_1.jsxs)(StyledDialog, { ...dialogProps, children: [(0, jsx_runtime_1.jsx)(visually_hidden_1.VisuallyHidden, { children: (0, jsx_runtime_1.jsx)(Title_1.Title, { children: title }, void 0) }, void 0), (0, jsx_runtime_1.jsx)(StyledDialogContent, { children: (0, jsx_runtime_1.jsx)(react_1.ClearSlots, { children: children }, void 0) }, void 0)] }, void 0));
}
exports.NotificationsDialog = NotificationsDialog;

        