/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notification = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const _internal_1 = require("../../../_internal");
const useId_1 = require("../../../utils/react/useId");
const hooks_1 = require("./hooks");
/**
 * Declarative wrap over the `useNotificationsApi` hook
 */
function Notification(props) {
    const { id: propsId, disableRemoveOnUnmount = false } = props;
    const defaultId = (0, useId_1.useId)();
    const disableRemoveOnUnmountRef = (0, _internal_1.useSyncRef)(disableRemoveOnUnmount);
    const { notify, update, remove } = (0, hooks_1.useNotificationsApi)();
    const id = propsId ?? defaultId;
    const removeNotification = (0, _internal_1.useEvent)((id) => disableRemoveOnUnmountRef.current ? void 0 : remove(id));
    (0, react_1.useEffect)(() => {
        notify({ id, ...props });
        // We can safety ignore props, bc we update notification in the another effect, this effect only mounts a notification.
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [id]);
    (0, react_1.useEffect)(() => () => removeNotification(id), [id, removeNotification]);
    (0, react_1.useEffect)(() => update(id, props));
    return null;
}
exports.Notification = Notification;
Notification.Success = function NotificationSuccess(props) {
    return (0, jsx_runtime_1.jsx)(Notification, { type: "success", ...props }, void 0);
};
Notification.Danger = function NotificationDanger(props) {
    return (0, jsx_runtime_1.jsx)(Notification, { type: "danger", ...props }, void 0);
};
Notification.Attention = function NotificationAttention(props) {
    return (0, jsx_runtime_1.jsx)(Notification, { type: "attention", ...props }, void 0);
};

        