/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationAction = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tasty_1 = require("../../../../tasty");
const actions_1 = require("../../../actions");
const _internal_1 = require("../../../../_internal");
const NotificationProvider_1 = require("./NotificationProvider");
const Action = (0, tasty_1.tasty)(actions_1.Button, {
    styles: {
        display: 'block',
        whiteSpace: 'nowrap',
        textOverflow: 'ellipsis',
        overflow: 'hidden',
        color: {
            '': '#purple-text',
            primary: '#purple-text',
            secondary: '#dark-03',
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
function NotificationAction(props) {
    const { children, onPress, type = 'primary', disableCloseOnAction = type !== 'primary', ...buttonProps } = props;
    const { onClose } = (0, NotificationProvider_1.useNotificationContext)();
    const onPressEvent = (0, _internal_1.useEvent)((e) => {
        onPress?.(e);
        if (!disableCloseOnAction) {
            onClose?.();
        }
    });
    return ((0, jsx_runtime_1.jsx)(Action, { ...buttonProps, type: "link", size: "small", mods: { primary: type === 'primary', secondary: type === 'secondary' }, onPress: onPressEvent, children: children }, void 0));
}
exports.NotificationAction = NotificationAction;

        