/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationDescription = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("../../../../tasty");
const Paragraph_1 = require("../../../content/Paragraph");
const react_2 = require("../../../../utils/react");
const Description = (0, tasty_1.tasty)(Paragraph_1.Paragraph, {
    as: 'p',
    preset: 't4',
    styles: {
        gridArea: 'description',
        display: '-webkit-box',
        '-webkit-line-clamp': 3,
        '-webkit-box-orient': 'vertical',
        overflow: 'hidden',
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
exports.NotificationDescription = (0, react_1.memo)(function NotificationDescription(props) {
    const { description, ...descriptionProps } = props;
    return ((0, jsx_runtime_1.jsx)(Description, { ...(0, react_2.mergeProps)(descriptionProps, {
            // To make a proper user selection
            onPointerDown: (e) => e.stopPropagation(),
            onMouseDown: (e) => e.stopPropagation(),
        }), children: description }, void 0));
});

        