/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationIcon = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("@jengaicons/react");
const tasty_1 = require("../../../../tasty");
const IconContainer = (0, tasty_1.tasty)({
    styles: {
        boxSizing: 'border-box',
        display: 'flex',
        alignSelf: 'start',
        gridArea: 'icon',
        minHeight: '3x',
        placeContent: 'center',
    },
});
const IconPreset = (0, tasty_1.tasty)({
    styles: {
        boxSizing: 'border-box',
        display: 'flex',
        fill: {
            '': '#note-bg',
            attention: '#note-bg',
            success: '#success-bg',
            danger: '#danger-bg',
        },
        color: {
            '': '#note-text',
            attention: '#note-text',
            success: '#success-text',
            danger: '#danger-text',
        },
        borderRadius: '0.5x',
        width: '3x',
        height: '3x',
        padding: '0.5x',
        alignItems: 'center',
        justifyContent: 'center',
        '& svg': {
            width: '100%',
            height: '100%',
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
exports.NotificationIcon = (0, react_1.memo)(function NotificationIcon(props) {
    const { icon, type } = props;
    return ((0, jsx_runtime_1.jsx)(IconContainer, { children: icon ? (icon) : ((0, jsx_runtime_1.jsx)(IconPreset, { mods: {
                attention: type === 'attention',
                success: type === 'success',
                danger: type === 'danger',
            }, children: iconsByType[type] }, void 0)) }, void 0));
});
const iconsByType = {
    attention: (0, jsx_runtime_1.jsx)(react_2.WarningCircle, {}, void 0),
    success: (0, jsx_runtime_1.jsx)(react_2.CheckCircle, {}, void 0),
    danger: (0, jsx_runtime_1.jsx)(react_2.Warning, {}, void 0),
};

        