/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotificationsList = void 0;
const list_1 = require("@react-stately/list");
const selection_1 = require("@react-aria/selection");
function useNotificationsList(props) {
    const { ref, children, items } = props;
    const state = (0, list_1.useListState)({
        selectionMode: 'none',
        children: children,
        items: items,
        suppressTextValueWarning: true,
    });
    const { listProps } = (0, selection_1.useSelectableList)({
        ref,
        allowsTabNavigation: true,
        ...state,
    });
    return {
        listProps,
        state,
    };
}
exports.useNotificationsList = useNotificationsList;

        