/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notification = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@jengaicons/react");
const Action_1 = require("../../actions/Action");
const Card_1 = require("../../content/Card/Card");
const Block_1 = require("../../Block");
const themes_1 = __importDefault(require("../../../data/themes"));
const tasty_1 = require("../../../tasty");
const NotificationElement = (0, tasty_1.tasty)(Card_1.Card, {
    role: 'region',
    styles: {
        display: 'grid',
        color: '#dark',
        padding: '.5x',
        shadow: '0 5px 15px #dark.10',
        border: false,
        margin: '1x bottom',
        radius: '1.5r',
        gridColumns: 'auto 1fr auto',
        placeItems: 'center start',
        gap: '2x',
        preset: 't3',
        Icon: {
            display: 'flex',
            radius: '1r',
            width: '5x',
            height: '5x',
            placeContent: 'center',
            placeItems: 'center',
            preset: 't2',
            color: {
                '': '#dark.75',
                ...Object.keys(themes_1.default).reduce((map, theme) => {
                    map[`[data-theme="${theme}"]`] = themes_1.default[theme].color;
                    return map;
                }, {}),
            },
            fill: {
                '': '#clear',
                ...Object.keys(themes_1.default).reduce((map, theme) => {
                    map[`[data-theme="${theme}"]`] = themes_1.default[theme].fill;
                    return map;
                }, {}),
            },
        },
    },
});
const CloseButton = (0, tasty_1.tasty)(Action_1.Action, {
    styles: {
        color: { '': '#dark.75', hovered: '#purple' },
        width: '5x',
        height: '5x',
        label: 'Close',
    },
});
function Notification(allProps) {
    let { theme, type, children, onClose, ...props } = allProps;
    theme = theme || type || 'note';
    let Icon;
    switch (theme) {
        case 'success':
            Icon = react_1.Check;
            break;
        case 'danger':
            Icon = react_1.WarningCircle;
            break;
        default:
            Icon = react_1.Info;
            break;
    }
    return ((0, jsx_runtime_1.jsxs)(NotificationElement, { ...props, "data-theme": theme, children: [(0, jsx_runtime_1.jsx)("div", { "data-element": "Icon", children: (0, jsx_runtime_1.jsx)(Icon, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(Block_1.Block, { children: children }, void 0), (0, jsx_runtime_1.jsx)(CloseButton, { onPress: onClose, children: (0, jsx_runtime_1.jsx)(react_1.X, {}, void 0) }, void 0)] }, void 0));
}
exports.Notification = Notification;

        