/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverlayWrapper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_transition_group_1 = require("react-transition-group");
const react_1 = require("react");
const portal_1 = require("../portal");
function OverlayWrapper({ isOpen, placement, minOffset, minScale, children, container = null, }) {
    const containerRef = (0, react_1.useRef)(container);
    const options = {};
    if (typeof minOffset === 'number') {
        minOffset = `${minOffset}px`;
    }
    if (placement != null) {
        options.placement = placement;
    }
    if (minScale != null) {
        options.minScale = minScale;
    }
    if (minOffset != null) {
        options.minOffset = minOffset;
    }
    const contents = ((0, jsx_runtime_1.jsx)(react_transition_group_1.CSSTransition, { unmountOnExit: true, in: isOpen, timeout: 180, classNames: "jenga-overlay-transition", children: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children }, void 0) }, void 0));
    return (0, jsx_runtime_1.jsx)(portal_1.Portal, { root: containerRef, children: contents }, void 0);
}
exports.OverlayWrapper = OverlayWrapper;

        