/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toast = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const _internal_1 = require("../../../_internal");
const useId_1 = require("../../../utils/react/useId");
const use_toasts_api_1 = require("./use-toasts-api");
function Toast(props) {
    const { id: propsId, disableRemoveOnUnmount } = props;
    const defaultId = (0, useId_1.useId)();
    const disableRemoveOnUnmountRef = (0, _internal_1.useSyncRef)(disableRemoveOnUnmount);
    const { toast, update, remove } = (0, use_toasts_api_1.useToastsApi)();
    const id = propsId ?? defaultId;
    const removeNotification = (0, _internal_1.useEvent)((id) => disableRemoveOnUnmountRef.current ? void 0 : remove(id));
    (0, react_1.useEffect)(() => {
        toast({ id, ...props });
    }, [id]);
    (0, react_1.useEffect)(() => () => removeNotification(id), [id]);
    (0, react_1.useEffect)(() => update(id, props));
    return null;
}
exports.Toast = Toast;
Toast.Success = function ToastSuccess(props) {
    return (0, jsx_runtime_1.jsx)(Toast, { type: "success", ...props }, void 0);
};
Toast.Danger = function ToastDanger(props) {
    return (0, jsx_runtime_1.jsx)(Toast, { type: "danger", ...props }, void 0);
};
Toast.Attention = function ToastAttention(props) {
    return (0, jsx_runtime_1.jsx)(Toast, { type: "attention", ...props }, void 0);
};

        