/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useToastsApi = void 0;
const react_1 = require("react");
const react_is_1 = require("react-is");
const NewNotifications_1 = require("../NewNotifications");
function useToastsApi() {
    const { notify, update, remove } = (0, NewNotifications_1.useNotificationsApi)();
    const toast = (0, react_1.useMemo)(() => Object.assign((props) => notify({
        putNotificationInDropdownOnDismiss: false,
        ...unwrapProps(props),
    }), {
        success: (props) => toast({ type: 'success', ...unwrapProps(props) }),
        danger: (props) => toast({ type: 'danger', ...unwrapProps(props) }),
        attention: (props) => toast({ type: 'attention', ...unwrapProps(props) }),
    }), []);
    return { toast, update, remove };
}
exports.useToastsApi = useToastsApi;
function unwrapProps(props) {
    return {
        ...(propsIsToastProps(props)
            ? {
                isDismissible: props.duration !== null,
                duration: 5000,
                ...props,
            }
            : { description: props, isDismissible: true, duration: 5000 }),
    };
}
function propsIsToastProps(props) {
    const isReactNode = (0, react_is_1.isElement)(props) ||
        (0, react_is_1.isFragment)(props) ||
        typeof props === 'string' ||
        typeof props === 'number';
    return !isReactNode;
}

        