/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const collections_1 = require("@react-stately/collections");
const menu_1 = require("@react-aria/menu");
const utils_1 = require("@react-aria/utils");
const utils_2 = require("@react-spectrum/utils");
const tree_1 = require("@react-stately/tree");
const tasty_1 = require("../../../tasty");
const react_2 = require("../../../utils/react");
const styled_1 = require("./styled");
const MenuItem_1 = require("./MenuItem");
const MenuSection_1 = require("./MenuSection");
const context_1 = require("./context");
function Menu(props, ref) {
    const { header, footer, itemStyles, sectionStyles, sectionHeadingStyles, selectionIcon, qa, } = props;
    const domRef = (0, utils_2.useDOMRef)(ref);
    const contextProps = (0, context_1.useMenuContext)();
    const completeProps = (0, react_2.mergeProps)(contextProps, props);
    const state = (0, tree_1.useTreeState)(completeProps);
    const items = [...state.collection];
    const hasSections = items.some((item) => item.type === 'section');
    const { menuProps } = (0, menu_1.useMenu)(completeProps, state, domRef);
    const styles = (0, tasty_1.extractStyles)(completeProps, tasty_1.CONTAINER_STYLES);
    const defaultProps = {
        qa,
        styles,
        mods: {
            sections: hasSections,
            footer: !!footer,
            header: !!header,
        },
    };
    (0, utils_1.useSyncRef)(contextProps, domRef);
    return ((0, jsx_runtime_1.jsxs)(styled_1.StyledMenu, { ...(0, react_2.mergeProps)(defaultProps, menuProps, (0, tasty_1.filterBaseProps)(completeProps)), ref: domRef, children: [header && (0, jsx_runtime_1.jsx)(styled_1.StyledMenuHeader, { children: header }, void 0), items.map((item) => {
                if (item.type === 'section') {
                    return ((0, jsx_runtime_1.jsx)(MenuSection_1.MenuSection, { item: item, state: state, styles: sectionStyles, itemStyles: itemStyles, headingStyles: sectionHeadingStyles, selectionIcon: selectionIcon, onAction: completeProps.onAction }, item.key));
                }
                let menuItem = ((0, jsx_runtime_1.jsx)(MenuItem_1.MenuItem, { item: item, state: state, styles: itemStyles, selectionIcon: selectionIcon, onAction: completeProps.onAction }, item.key));
                if (item.props.wrapper) {
                    menuItem = item.props.wrapper(menuItem);
                }
                return (0, react_1.cloneElement)(menuItem, {
                    key: item.key,
                });
            })] }, void 0));
}
// forwardRef doesn't support generic parameters, so cast the result to the correct type
// https://stackoverflow.com/questions/58469229/react-with-typescript-generics-while-using-react-forwardref
const _Menu = react_1.default.forwardRef(Menu);
const Item = Object.assign(collections_1.Item, {
    displayName: 'Item',
});
const Section = Object.assign(collections_1.Section, {
    displayName: 'Section',
});
const __Menu = Object.assign(_Menu, {
    Item,
    Section,
    displayName: 'Menu',
});
exports.Menu = __Menu;
__Menu.displayName = 'Menu';

        