/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@jengaicons/react");
const actions_1 = require("../../actions");
const Text_1 = require("../../content/Text");
const tasty_1 = require("../../../tasty");
const Space_1 = require("../../layout/Space");
const StyledButton = (0, tasty_1.tasty)(actions_1.Button, {
    styles: {
        border: {
            '': '#clear',
            pressed: '#clear',
        },
        fill: {
            '': '#op-surface',
            'hovered | focused': '#op-surface-hovered',
            'pressed | selected': '#op-surface-active',
            'focused & selected': '#op-surface-active',
            'focused & pressed': '#op-surface-active',
            disabled: '#clear',
        },
        color: {
            '': '#op-text',
            'hovered | focused': '#op-text',
            'pressed | selected': '#op-text-strong',
            'focused & selected': '#op-text-strong',
            'focused & pressed': '#op-text-strong',
            disabled: '#dark-04',
        },
        cursor: {
            '': 'pointer',
            disabled: 'not-allowed',
        },
        shadow: '#clear',
        padding: {
            '': '(0.75x - 1px) (1.5x - 1px)',
            'selectable & !selected': '(0.75x - 1px) (1.5x - 1px) (0.75x - 1px) (1.5x - 1px)',
            'selectionIcon & selectable & !selected': '(0.75x - 1px) (1.5x - 1px) (0.75x - 1px) (1.5x - 1px + 22px)',
        },
        display: 'flex',
        flow: 'row',
        justifyContent: 'start',
        Postfix: {
            color: {
                '': '#op-text-soft',
                'hovered | focused': '#op-text-soft',
            },
        },
    },
});
const RadioIcon = (0, tasty_1.tasty)({
    styles: {
        display: 'flex',
        width: '1.875x',
        placeContent: 'center',
        '&::before': {
            display: 'block',
            content: '""',
            width: '1x',
            height: '1x',
            radius: 'round',
            fill: '#current',
        },
    },
});
const getPostfix = (postfix) => typeof postfix === 'string' ? ((0, jsx_runtime_1.jsx)(Text_1.Text, { nowrap: true, color: "inherit", "data-element": "Postfix", children: postfix }, void 0)) : (postfix);
const getSelectionTypeIcon = (selectionIcon) => {
    switch (selectionIcon) {
        case 'checkbox':
            return (0, jsx_runtime_1.jsx)(react_1.Check, {}, void 0);
        case 'radio':
            return (0, jsx_runtime_1.jsx)(RadioIcon, {}, void 0);
        default:
            return undefined;
    }
};
function MenuButton({ children, icon, postfix, ...props }) {
    const { selectionIcon, isSelected, isSelectable } = props;
    const checkIcon = isSelectable && isSelected
        ? getSelectionTypeIcon(selectionIcon)
        : undefined;
    const mods = {
        ...props.mods,
        selectionIcon: !!selectionIcon,
        selectable: isSelectable,
        selected: isSelected,
    };
    return ((0, jsx_runtime_1.jsxs)(StyledButton, { type: "neutral", size: "small", ...props, icon: checkIcon, mods: mods, children: [icon && (0, jsx_runtime_1.jsx)(Text_1.Text, { color: "inherit", children: icon }, void 0), (0, jsx_runtime_1.jsxs)(Space_1.Space, { gap: "1x", placeContent: "space-between", overflow: "auto", width: "100%", children: [(0, jsx_runtime_1.jsx)(Text_1.Text, { ellipsis: true, color: "inherit", children: children }, void 0), postfix && getPostfix(postfix)] }, void 0)] }, void 0));
}
exports.MenuButton = MenuButton;

        