/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuSection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const menu_1 = require("@react-aria/menu");
const MenuItem_1 = require("./MenuItem");
const styled_1 = require("./styled");
/** @private */
function MenuSection(props) {
    const { item, state, styles, itemStyles, headingStyles, onAction } = props;
    const heading = item.rendered;
    const { itemProps, headingProps, groupProps } = (0, menu_1.useMenuSection)({
        heading,
        'aria-label': item['aria-label'],
    });
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsxs)(styled_1.StyledMenuSection, { ...itemProps, styles: styles, children: [heading && ((0, jsx_runtime_1.jsx)(styled_1.StyledMenuSectionHeading, { ...headingProps, styles: headingStyles, children: heading }, void 0)), (0, jsx_runtime_1.jsx)(styled_1.StyledMenu, { ...groupProps, mods: { section: true }, children: [...item.childNodes].map((node) => {
                        let item = ((0, jsx_runtime_1.jsx)(MenuItem_1.MenuItem, { item: node, styles: itemStyles, state: state, onAction: onAction }, node.key));
                        if (node.props.wrapper) {
                            item = node.props.wrapper(item);
                        }
                        return item;
                    }) }, void 0)] }, void 0) }, void 0));
}
exports.MenuSection = MenuSection;

        