/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuTrigger = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const utils_1 = require("@react-spectrum/utils");
const overlays_1 = require("@react-aria/overlays");
const interactions_1 = require("@react-aria/interactions");
const menu_1 = require("@react-aria/menu");
const menu_2 = require("@react-stately/menu");
const Modal_1 = require("../../overlays/Modal");
const react_2 = require("../../../utils/react");
const context_1 = require("./context");
function MenuTrigger(props, ref) {
    const menuPopoverRef = (0, react_1.useRef)(null);
    const triggerRef = (0, react_1.useRef)();
    const domRef = (0, utils_1.useDOMRef)(ref);
    const menuTriggerRef = domRef || triggerRef;
    const menuRef = (0, react_1.useRef)(null);
    const { children, align = 'start', shouldFlip = true, direction = 'bottom', closeOnSelect, trigger = 'press', isDisabled, } = props;
    const [menuTrigger, menu] = react_1.default.Children.toArray(children);
    const state = (0, menu_2.useMenuTriggerState)(props);
    const { menuTriggerProps, menuProps } = (0, menu_1.useMenuTrigger)({ isDisabled }, state, menuTriggerRef);
    let initialPlacement;
    switch (direction) {
        case 'left':
        case 'right':
        case 'start':
        case 'end':
            initialPlacement = `${direction} ${align === 'end' ? 'bottom' : 'top'}`;
            break;
        case 'bottom':
        case 'top':
        default:
            initialPlacement = `${direction} ${align}`;
    }
    const isMobile = (0, utils_1.useIsMobileDevice)();
    const { overlayProps: positionProps, placement } = (0, overlays_1.useOverlayPosition)({
        targetRef: menuTriggerRef,
        overlayRef: menuPopoverRef,
        scrollRef: menuRef,
        placement: initialPlacement,
        shouldFlip: shouldFlip,
        isOpen: state.isOpen && !isMobile,
        onClose: state.close,
        containerPadding: props.containerPadding,
        offset: props.offset || 8,
        crossOffset: props.crossOffset,
    });
    const menuContext = {
        ...menuProps,
        ref: menuRef,
        onClose: state.close,
        closeOnSelect,
        autoFocus: state.focusStrategy || true,
        style: isMobile
            ? {
                width: '100%',
                maxHeight: 'inherit',
            }
            : undefined,
        mods: {
            popover: !isMobile,
        },
    };
    const contents = ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(overlays_1.DismissButton, { onDismiss: state.close }, void 0), menu, (0, jsx_runtime_1.jsx)(overlays_1.DismissButton, { onDismiss: state.close }, void 0)] }, void 0));
    // On small screen devices, the menu is rendered in a tray, otherwise a popover.
    let overlay;
    if (isMobile) {
        overlay = ((0, jsx_runtime_1.jsx)(Modal_1.Tray, { isOpen: state.isOpen, onClose: state.close, children: contents }, void 0));
    }
    else {
        overlay = ((0, jsx_runtime_1.jsx)(Modal_1.Popover, { ref: menuPopoverRef, hideArrow: true, isNonModal: true, isOpen: state.isOpen, style: positionProps.style, placement: placement, onClose: state.close, children: contents }, void 0));
    }
    return ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(react_2.SlotProvider, { slots: { actionButton: { holdAffordance: trigger === 'longPress' } }, children: (0, jsx_runtime_1.jsx)(interactions_1.PressResponder, { ...menuTriggerProps, ref: menuTriggerRef, isPressed: state.isOpen, children: menuTrigger }, void 0) }, void 0), (0, jsx_runtime_1.jsx)(context_1.MenuContext.Provider, { value: menuContext, children: overlay }, void 0)] }, void 0));
}
/**
 * The MenuTrigger serves as a wrapper around a Menu and its associated trigger,
 * linking the Menu's open state with the trigger's press state.
 */
let _MenuTrigger = (0, react_1.forwardRef)(MenuTrigger);
exports.MenuTrigger = _MenuTrigger;
_MenuTrigger.displayName = 'MenuTrigger';

        