/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePortal = void 0;
const react_1 = require("react");
const tiny_invariant_1 = __importDefault(require("tiny-invariant"));
const PortalProvider_1 = require("./PortalProvider");
/**
 * @internal Do not use it
 */
function usePortal(props) {
    const { children, isDisabled = false, root = null, onMount } = props;
    const onMountRef = (0, react_1.useRef)(onMount);
    const portalContext = (0, PortalProvider_1.usePortalContext)();
    const [mountRoot, setMountRoot] = (0, react_1.useState)(null);
    onMountRef.current = onMount;
    (0, react_1.useEffect)(() => {
        if (!isDisabled) {
            const contextRoot = portalContext.root;
            const currentRoot = root?.current ?? null;
            const currentContextRoot = contextRoot?.current ?? null;
            (0, tiny_invariant_1.default)(!(contextRoot === null && currentRoot === null), 'Before using Portal, you need to specify a root, where the component should be mounted or put the component under the <Root /> component');
            setMountRoot(currentRoot ?? currentContextRoot);
        }
    }, [root, portalContext.root, isDisabled]);
    (0, react_1.useEffect)(() => {
        if (isDisabled || mountRoot) {
            onMountRef.current?.();
        }
    }, [isDisabled, mountRoot]);
    return {
        isDisabled,
        children,
        mountRoot,
    };
}
exports.usePortal = usePortal;

        