/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useProviderProps = exports.Provider = exports.UIKitContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tasty_1 = require("./tasty");
exports.UIKitContext = (0, react_1.createContext)({});
function Provider(allProps) {
    let { breakpoints, children, insideForm, isDisabled, isReadOnly, isRequired, validationState, router, root, ref, } = allProps;
    const parentContext = (0, react_1.useContext)(exports.UIKitContext);
    if (breakpoints) {
        children = ((0, jsx_runtime_1.jsx)(tasty_1.BreakpointsProvider, { value: breakpoints, children: children }, void 0));
    }
    const props = (0, react_1.useMemo)(() => ({
        ref,
        breakpoints,
        insideForm,
        isDisabled,
        isReadOnly,
        isRequired,
        validationState,
        router,
        root,
    }), [
        ref,
        breakpoints,
        insideForm,
        isDisabled,
        isReadOnly,
        isRequired,
        validationState,
        router,
        root,
    ]);
    const newValue = (0, react_1.useMemo)(() => {
        let newValue = Object.assign({}, parentContext);
        Object.keys(props).forEach((key) => {
            if (props[key] != null) {
                newValue[key] = props[key];
            }
        });
        return newValue;
    }, [parentContext, props]);
    return ((0, jsx_runtime_1.jsx)(exports.UIKitContext.Provider, { value: newValue, children: children }, void 0));
}
exports.Provider = Provider;
function useProviderProps(props) {
    const contextProps = (0, react_1.useContext)(exports.UIKitContext);
    return { ...contextProps, ...props };
}
exports.useProviderProps = useProviderProps;

        