/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTracking = exports.TrackingProvider = exports.TrackingContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.TrackingContext = (0, react_1.createContext)({
    event() {
        // noop
    },
});
function TrackingProvider({ children, event, }) {
    const tracking = (0, react_1.useMemo)(() => ({ event }), [event]);
    if (!event)
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children }, void 0);
    return ((0, jsx_runtime_1.jsx)(exports.TrackingContext.Provider, { value: tracking, children: children }, void 0));
}
exports.TrackingProvider = TrackingProvider;
function useTracking() {
    const tracking = (0, react_1.useContext)(exports.TrackingContext);
    return tracking;
}
exports.useTracking = useTracking;

        