/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.notification = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_dom_1 = __importDefault(require("react-dom"));
const react_transition_group_1 = require("react-transition-group");
const Notification_1 = require("../components/overlays/Notification/Notification");
let ID = 0;
/**
 * @deprecated consider using `useNotificationsApi` instead
 */
exports.notification = {
    root: null,
    defaultOptions: {
        duration: 5000,
    },
    items: [],
    init() {
        if (this.root)
            return;
        this.root = document.createElement('div');
        this.root.classList.add('jenga-notification-container');
        document.body.appendChild(this.root);
        this._render([]);
    },
    render() {
        this.init();
        this._render();
    },
    _render(items) {
        if (!items) {
            items = this.items;
        }
        react_dom_1.default.render((0, jsx_runtime_1.jsx)(react_transition_group_1.TransitionGroup, { className: "jenga-notifications", children: items.map((item) => ((0, jsx_runtime_1.jsx)(react_transition_group_1.CSSTransition, { timeout: 400, classNames: "jenga-notification", children: (0, jsx_runtime_1.jsx)(Notification_1.Notification, { type: item.type, onClose: () => this.close(item.id), children: item.message }, void 0) }, item.id))) }, void 0), this.root);
    },
    show(type, message, options = {}) {
        options = Object.assign({}, this.defaultOptions, options);
        const id = ++ID;
        this.items.push({ id, type, message });
        this.render();
        setTimeout(() => {
            this.close(id);
        }, options.duration);
    },
    close(id) {
        this.items = this.items.filter((item) => item.id !== id);
        this.render();
    },
    success(message, options) {
        this.show('success', message, options);
    },
    danger(message, options) {
        this.show('danger', message, options);
    },
    info(message, options) {
        this.show('note', message, options);
    },
};

        