/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.borderStyle = void 0;
const styles_1 = require("../utils/styles");
const BORDER_STYLES = [
    'none',
    'hidden',
    'dotted',
    'dashed',
    'solid',
    'double',
    'groove',
    'ridge',
    'inset',
    'outset',
];
/**
 *
 * @param border
 * @return {{border: string}|*}
 */
function borderStyle({ border }) {
    if (!border && border !== 0)
        return;
    if (border === true)
        border = '1bw';
    const { values, mods, color } = (0, styles_1.parseStyle)(String(border));
    const directions = (0, styles_1.filterMods)(mods, styles_1.DIRECTIONS);
    const typeMods = (0, styles_1.filterMods)(mods, BORDER_STYLES);
    const value = values[0] || 'var(--border-width)';
    const type = typeMods[0] || 'solid';
    const borderColor = color || 'var(--border-color)';
    const styleValue = [value, type, borderColor].join(' ');
    if (!directions.length) {
        return { border: styleValue };
    }
    const zeroValue = [0, type, borderColor].join(' ');
    return styles_1.DIRECTIONS.reduce((styles, dir) => {
        if (mods.includes(dir)) {
            styles[`border-${dir}`] = styleValue;
        }
        else {
            styles[`border-${dir}`] = zeroValue;
        }
        return styles;
    }, {});
}
exports.borderStyle = borderStyle;
borderStyle.__lookupStyles = ['border'];

        