/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colorStyle = void 0;
const styles_1 = require("../utils/styles");
function colorStyle({ color }) {
    if (!color)
        return '';
    if (color === true)
        color = 'currentColor';
    if (color.startsWith('#')) {
        color = (0, styles_1.parseColor)(color).color || color;
    }
    const match = color.match(/var\(--(.+?)-color/);
    let name = '';
    if (match) {
        name = match[1];
    }
    const styles = [
        {
            color: color,
        },
    ];
    if (name) {
        styles.push([
            {
                '--current-color': `var(--${name}-color, ${name})`,
                '--current-color-rgb': `var(--${name}-color-rgb)`,
            },
        ]);
    }
    return styles;
}
exports.colorStyle = colorStyle;
colorStyle.__lookupStyles = ['color'];

        