/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fillStyle = void 0;
const styles_1 = require("../utils/styles");
function fillStyle({ fill }) {
    if (!fill)
        return '';
    if (fill.startsWith('#')) {
        fill = (0, styles_1.parseStyle)(fill).color || fill;
    }
    const match = fill.match(/var\(--(.+?)-color/);
    let name = '';
    if (match) {
        name = match[1];
    }
    const styles = [
        {
            'background-color': fill,
        },
    ];
    if (name) {
        styles.push([
            {
                $: '>*',
                '--context-fill-color': fill,
                '--context-fill-color-rgb': `var(--${name}-color-rgb)`,
            },
        ]);
    }
    return styles;
}
exports.fillStyle = fillStyle;
fillStyle.__lookupStyles = ['fill'];

        