/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.marginStyle = void 0;
const styles_1 = require("../utils/styles");
function marginStyle({ margin, marginBlock, marginInline, marginTop, marginRight, marginBottom, marginLeft, }) {
    if (typeof margin === 'number') {
        margin = `${margin}px`;
    }
    if (!margin)
        return '';
    if (margin === true)
        margin = '1x';
    let { values, mods } = (0, styles_1.parseStyle)(margin);
    let directions = (0, styles_1.filterMods)(mods, styles_1.DIRECTIONS);
    if (!values.length) {
        values = ['var(--gap)'];
    }
    if (!directions.length) {
        directions = styles_1.DIRECTIONS;
    }
    const marginDirs = [marginTop, marginRight, marginBottom, marginLeft];
    return directions.reduce((styles, dir) => {
        const index = styles_1.DIRECTIONS.indexOf(dir);
        if (((!!(index % 2) && marginInline == null) ||
            (!(index % 2) && marginBlock == null)) &&
            marginDirs[index] == null) {
            styles[`margin-${dir}`] = values[index] || values[index % 2] || values[0];
        }
        return styles;
    }, {});
}
exports.marginStyle = marginStyle;
marginStyle.__lookupStyles = [
    'margin',
    'marginTop',
    'marginRight',
    'marginBottom',
    'marginLeft',
    'marginBlock',
    'marginInline',
];

        