/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.outlineStyle = void 0;
const styles_1 = require("../utils/styles");
function outlineStyle({ outline }) {
    if (!outline && outline !== 0)
        return '';
    if (outline === true)
        outline = '1ow';
    const { values, color, mods } = (0, styles_1.parseStyle)(String(outline));
    const inset = mods.includes('inset');
    const size = values[0] || 'var(--outline-width)';
    const outlineColor = color || 'var(--outline-color)';
    return {
        '--local-outline-box-shadow': `${inset ? 'inset ' : ''}0 0 0 ${size} ${outlineColor}`,
    };
}
exports.outlineStyle = outlineStyle;
outlineStyle.__lookupStyles = ['outline'];

        