/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paddingStyle = void 0;
const styles_1 = require("../utils/styles");
function paddingStyle({ padding, paddingBlock, paddingInline, paddingTop, paddingRight, paddingBottom, paddingLeft, }) {
    if (typeof padding === 'number') {
        padding = `${padding}px`;
    }
    if (!padding)
        return '';
    if (padding === true)
        padding = '1x';
    let { values, mods } = (0, styles_1.parseStyle)(padding);
    let directions = (0, styles_1.filterMods)(mods, styles_1.DIRECTIONS);
    if (!values.length) {
        values = ['var(--gap)'];
    }
    if (!directions.length) {
        directions = styles_1.DIRECTIONS;
    }
    const paddingDirs = [paddingTop, paddingRight, paddingBottom, paddingLeft];
    return directions.reduce((styles, dir) => {
        const index = styles_1.DIRECTIONS.indexOf(dir);
        if (((!!(index % 2) && paddingInline == null) ||
            (!(index % 2) && paddingBlock == null)) &&
            paddingDirs[index] == null) {
            styles[`padding-${dir}`] =
                values[index] || values[index % 2] || values[0];
        }
        return styles;
    }, {});
}
exports.paddingStyle = paddingStyle;
paddingStyle.__lookupStyles = [
    'padding',
    'paddingTop',
    'paddingRight',
    'paddingBottom',
    'paddingLeft',
    'paddingBlock',
    'paddingInline',
];

        