/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shadowStyle = void 0;
const styles_1 = require("../utils/styles");
function toBoxShadow(shadow) {
    const { values, mods, color } = (0, styles_1.parseStyle)(shadow);
    const mod = mods[0] || '';
    const shadowColor = color || 'var(--shadow-color)';
    return [mod, ...values, shadowColor].join(' ');
}
function shadowStyle({ shadow }) {
    if (!shadow)
        return '';
    if (shadow === true)
        shadow = '0 5px 15px #shadow';
    return {
        '--local-shadow-box-shadow': shadow.split(',').map(toBoxShadow).join(','),
    };
}
exports.shadowStyle = shadowStyle;
shadowStyle.__lookupStyles = ['shadow'];

        