/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cacheWrapper = void 0;
/**
 * Create a function that caches the result up to the limit.
 */
function cacheWrapper(handler, limit = 1000) {
    let cache = {};
    let count = 0;
    return ((firstArg, secondArg) => {
        const key = typeof firstArg === 'string' && secondArg == null
            ? firstArg
            : JSON.stringify([firstArg, secondArg]);
        if (!cache[key]) {
            if (count > limit) {
                cache = {};
                count = 0;
            }
            count++;
            cache[key] =
                secondArg == null ? handler(firstArg) : handler(firstArg, secondArg);
        }
        return cache[key];
    });
}
exports.cacheWrapper = cacheWrapper;

        