/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModCombinations = void 0;
function filterCombinations(combinations) {
    return combinations.filter((combination) => {
        const list = [];
        return !combination.find((mod) => {
            const match = mod.match(/\[(.+?)[=\]]/);
            if (match) {
                if (list.includes(match[1])) {
                    return true;
                }
                list.push(match[1]);
                return false;
            }
            return false;
        });
    });
}
function getModCombinations(array, allowEmpty) {
    const result = allowEmpty ? [[]] : [];
    if (array.length === 0) {
        return [array];
    }
    if (array.length < 2) {
        return result.concat([array]);
    }
    const f = function (prefix = [], array) {
        for (let i = 0; i < array.length; i++) {
            result.push([...prefix, array[i]]);
            f([...prefix, array[i]], array.slice(i + 1));
        }
    };
    f([], array);
    return filterCombinations(result);
}
exports.getModCombinations = getModCombinations;

        