/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClearSlots = exports.SlotProvider = exports.useSlotProps = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const mergeProps_1 = require("./mergeProps");
const INITIAL_VALUE = {};
let SlotContext = (0, react_1.createContext)(INITIAL_VALUE);
function useSlotProps(props, defaultSlot) {
    let slot = props.slot || defaultSlot;
    let allSlots = (0, react_1.useContext)(SlotContext) ?? INITIAL_VALUE;
    let slotProps = allSlots[slot];
    return (0, mergeProps_1.mergeProps)(slotProps, props);
}
exports.useSlotProps = useSlotProps;
function SlotProvider(props) {
    let parentSlots = (0, react_1.useContext)(SlotContext) ?? INITIAL_VALUE;
    let { slots = {}, children } = props;
    // Merge props for each slot from parent context and props
    let value = (0, react_1.useMemo)(() => Object.keys(parentSlots)
        .concat(Object.keys(slots))
        .reduce((o, p) => ({
        ...o,
        [p]: (0, mergeProps_1.mergeProps)(parentSlots[p] ?? {}, slots[p] ?? {}),
    }), {}), [parentSlots, slots]);
    return (0, jsx_runtime_1.jsx)(SlotContext.Provider, { value: value, children: children }, void 0);
}
exports.SlotProvider = SlotProvider;
function ClearSlots(props) {
    const { children, ...otherProps } = props;
    let content = children;
    if (react_1.Children.toArray(children).length <= 1) {
        if (typeof children === 'function') {
            // need to know if the node is a string or something else that react can render that doesn't get props
            content = (0, react_1.cloneElement)(react_1.Children.only(children), otherProps);
        }
    }
    return ((0, jsx_runtime_1.jsx)(SlotContext.Provider, { value: INITIAL_VALUE, children: content }, void 0));
}
exports.ClearSlots = ClearSlots;

        