/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chain = void 0;
/**
 * Calls all functions in the order they were chained with the same arguments.
 */
function chain(...callbacks) {
    return (...args) => {
        for (let callback of callbacks) {
            if (typeof callback === 'function') {
                callback(...args);
            }
        }
    };
}
exports.chain = chain;

        