/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFocus = void 0;
const react_1 = require("react");
const interactions_1 = require("@react-aria/interactions");
function useFocus({ isDisabled }, onlyVisible = false) {
    (0, react_1.useEffect)(() => {
        setIsFocused(false);
    }, [isDisabled]);
    let [isFocused, setIsFocused] = (0, react_1.useState)(false);
    let { isFocusVisible } = (0, interactions_1.useFocusVisible)({});
    let { focusProps } = (0, interactions_1.useFocus)({
        onFocusChange: setIsFocused,
    });
    return {
        focusProps,
        isFocused: isFocused && (onlyVisible ? isFocusVisible : true),
    };
}
exports.useFocus = useFocus;

        