/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.castNullableField = exports.castNullableSelectedKey = exports.castNullableIsSelected = exports.castNullableArrayValue = exports.castNullableNumberValue = exports.castNullableStringValue = void 0;
function castNullableStringValue(props) {
    return castNullableField(props, ['value', 'defaultValue'], 'string', (v) => String(v));
}
exports.castNullableStringValue = castNullableStringValue;
function castNullableNumberValue(props) {
    return castNullableField(props, ['value', 'defaultValue'], 'number', (v) => Number(v));
}
exports.castNullableNumberValue = castNullableNumberValue;
function castNullableArrayValue(props) {
    return castNullableField(props, ['value', 'defaultValue'], 'object', (v) => Array.isArray(v) ? v : []);
}
exports.castNullableArrayValue = castNullableArrayValue;
function castNullableIsSelected(props) {
    return castNullableField(props, ['isSelected', 'defaultSelected'], 'boolean', (v) => !!v);
}
exports.castNullableIsSelected = castNullableIsSelected;
function castNullableSelectedKey(props) {
    return castNullableField(props, ['selectedKey', 'defaultSelectedKey']);
}
exports.castNullableSelectedKey = castNullableSelectedKey;
function castNullableField(props, keys, type, cast) {
    props = { ...props };
    keys.forEach((key) => {
        if (props[key] === null) {
            props[key] = undefined;
        }
        if (type && cast && props[key] != null && typeof props[key] != type) {
            props[key] = cast(props[key]);
            console.warn('Wrong value type in', props, 'in keys', JSON.stringify(keys));
        }
    });
    return props;
}
exports.castNullableField = castNullableField;

        