/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCombinedRefs = void 0;
const react_1 = require("react");
function useCombinedRefs(...refs) {
    const targetRef = (0, react_1.useRef)();
    (0, react_1.useEffect)(() => {
        refs.forEach((ref) => {
            if (!ref)
                return;
            if (typeof ref === 'function') {
                ref(targetRef.current);
            }
            else {
                ref.current = targetRef.current;
            }
        });
    }, [refs]);
    return targetRef;
}
exports.useCombinedRefs = useCombinedRefs;

        