/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toFlatTree = void 0;
function toFlatTree(tree, includingFolders) {
    return tree.reduce((result, node) => {
        if (!node.isLeaf) {
            result = [
                ...result,
                ...(includingFolders ? [node] : []),
                ...toFlatTree(node.children || [], includingFolders),
            ];
        }
        else {
            result.push(node);
        }
        return result;
    }, []);
}
exports.toFlatTree = toFlatTree;

        