/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

/* eslint-disable @typescript-eslint/no-explicit-any */
import { useCallback } from 'react';
import { useSyncRef } from './use-sync-ref';
/**
 * useEvent shim from the latest React RFC.
 *
 * @see https://github.com/reactjs/rfcs/pull/220
 * @see https://github.com/reactjs/rfcs/blob/useevent/text/0000-useevent.md#internal-implementation
 */
export function useEvent(callback) {
    const callbackRef = useSyncRef(callback);
    return useCallback((...args) => callbackRef.current(...args), []);
}

        