/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, TEXT_STYLES, tasty, } from '../../tasty';
import { useAction } from './use-action';
const DEFAULT_ACTION_STYLES = {
    reset: 'button',
    position: 'relative',
    margin: 0,
    preset: 'inherit',
    border: 0,
    padding: 0,
    outline: {
        '': '#purple-03.0',
        focused: '#purple-03',
    },
    transition: 'theme',
    cursor: 'pointer',
    textDecoration: 'none',
    fill: '#clear',
};
const ActionElement = tasty({
    as: 'button',
    styles: DEFAULT_ACTION_STYLES,
});
const STYLE_PROPS = [...CONTAINER_STYLES, ...TEXT_STYLES];
export const Action = forwardRef(function Action({ to, as, htmlType, label, theme, mods, onPress, ...props }, ref) {
    const { actionProps } = useAction({ to, as, htmlType, label, onPress, mods, ...props }, ref);
    const styles = extractStyles(props, STYLE_PROPS);
    return _jsx(ActionElement, { "data-theme": theme, ...actionProps, styles: styles }, void 0);
});

        