/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useHover } from '@react-aria/interactions';
import { useFocusableRef } from '@react-spectrum/utils';
import { useFocusable } from '@react-aria/focus';
import { mergeProps } from '../../../utils/react';
import { CONTAINER_STYLES, Element, extractStyles, filterBaseProps, TEXT_STYLES, } from '../../../tasty';
import { useFocus } from '../../../utils/react/interactions';
const DEFAULT_STYLES = {
    display: 'inline-grid',
    position: 'relative',
    opacity: {
        '': 1,
        '[disabled]': 0.4,
    },
    transition: 'theme',
};
const STYLE_PROPS = [...CONTAINER_STYLES, ...TEXT_STYLES];
function ActiveZone({ as, label, onClick, ...props }, ref) {
    const isDisabled = props.isDisabled;
    const styles = extractStyles(props, STYLE_PROPS, DEFAULT_STYLES);
    const domRef = useFocusableRef(ref);
    let { hoverProps, isHovered } = useHover({ isDisabled });
    let { focusProps, isFocused } = useFocus({ isDisabled });
    let { focusableProps } = useFocusable(props, domRef);
    return (_jsx(Element, { "data-is-hovered": isHovered && !isDisabled ? '' : null, "data-is-focused": isFocused && !isDisabled ? '' : null, "data-is-disabled": isDisabled || null, "aria-label": label, ...mergeProps(hoverProps, focusProps, focusableProps, { onClick }, filterBaseProps(props, { eventProps: true })), ref: domRef, tabIndex: props.excludeFromTabOrder || isDisabled ? -1 : 0, as: as, styles: styles }, void 0));
}
const _ActiveZone = forwardRef(ActiveZone);
export { _ActiveZone as ActiveZone };

        