/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import THEMES from '../../../data/themes';
import { tasty } from '../../../tasty';
import { useAlert } from './use-alert';
const AlertElement = tasty({
    name: 'Alert',
    role: 'alert',
    qa: 'Alert',
    styles: {
        display: 'block',
        flow: 'column',
        radius: '1r',
        padding: '1.5x',
        preset: 't3',
        color: {
            '': '#dark',
            '[data-type="disabled"]': THEMES.disabled.color,
        },
        fill: {
            '': '#clear',
            ...Object.keys(THEMES).reduce((map, type) => {
                map[`[data-type="${type}"]`] = THEMES[type].fill;
                return map;
            }, {}),
        },
        border: {
            '': '#clear',
            ...Object.keys(THEMES).reduce((map, type) => {
                map[`[data-type="${type}"]`] = THEMES[type].border;
                return map;
            }, {}),
        },
    },
});
export const Alert = forwardRef(function Alert(props, ref) {
    const { styles, theme, filteredProps } = useAlert(props);
    return (_jsx(AlertElement, { ...filteredProps, ref: ref, "data-type": theme, styles: styles }, void 0));
});

        