/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { CONTAINER_STYLES, extractStyles, filterBaseProps, TEXT_STYLES, } from '../../../tasty';
import { useDeprecationWarning } from '../../../_internal';
const STYLE_LIST = [...CONTAINER_STYLES, ...TEXT_STYLES];
export function useAlert(props) {
    const { type, isDisabled = false, theme } = props;
    const styles = extractStyles(props, STYLE_LIST);
    useDeprecationWarning(typeof type === 'undefined', {
        property: 'type',
        name: 'Alert',
        betterAlternative: 'theme',
    });
    const _theme = isDisabled ? 'disabled' : theme ?? type ?? 'note';
    return {
        styles,
        theme: _theme,
        filteredProps: filterBaseProps(props, { eventProps: true }),
    };
}

        