/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../../../tasty';
const CardElement = tasty({
    role: 'region',
    styles: {
        display: 'block',
        flow: 'column',
        radius: '1r',
        fill: '#white',
        border: true,
        padding: '1.5x',
        preset: 't3',
    },
    styleProps: CONTAINER_STYLES,
});
export const Card = forwardRef(function Card(props, ref) {
    const styles = extractStyles(props, CONTAINER_STYLES);
    return (_jsx(CardElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        