/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, TEXT_STYLES, } from '../../tasty';
import { useSlotProps } from '../../utils/react';
const STYLE_LIST = [...CONTAINER_STYLES, ...TEXT_STYLES];
const ContentElement = tasty({
    qa: 'Content',
    as: 'section',
    styles: {
        gridArea: 'content',
        preset: 'p3',
        color: '#dark.75',
        display: 'block',
        flow: 'column',
        gap: '2x',
        overflow: 'auto',
        styledScrollbar: true,
    },
});
export const Content = forwardRef(function Content(props, ref) {
    props = useSlotProps(props, 'content');
    const styles = extractStyles(props, STYLE_LIST);
    return (_jsx(ContentElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        