/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { BASE_STYLES, COLOR_STYLES, filterBaseProps, OUTER_STYLES, tasty, } from '../../tasty';
import { useSlotProps } from '../../utils/react';
const DividerElement = tasty({
    styles: {
        gridArea: 'divider',
        display: {
            '': 'block',
            text: 'grid',
        },
        gridColumns: '1fr auto 1fr',
        placeItems: 'center stretch',
        gap: '1x',
        preset: 'c1',
        height: {
            '': '1bw 1bw',
            text: 'auto',
        },
        fill: {
            '': '#border',
            text: 'none',
        },
        border: '0',
        margin: '0',
        Line: {
            height: '1bw 1bw',
            fill: '#border',
        },
    },
    styleProps: [...OUTER_STYLES, ...BASE_STYLES, ...COLOR_STYLES],
});
export const Divider = forwardRef(function Divider(props, ref) {
    const { mods, children, styles, ...otherProps } = useSlotProps(props, 'divider');
    return (_jsx(DividerElement, { as: children ? 'div' : 'hr', role: children ? 'separator' : undefined, mods: {
            text: !!children,
            ...mods,
        }, ...filterBaseProps(otherProps, { eventProps: true }), ref: ref, styles: styles, children: children && (_jsxs(_Fragment, { children: [_jsx("div", { "data-element": "Line" }, void 0), _jsx("div", { children: children }, void 0), _jsx("div", { "data-element": "Line" }, void 0)] }, void 0)) }, void 0));
});

        