/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, TEXT_STYLES, } from '../../tasty';
import { useSlotProps } from '../../utils/react';
const STYLE_LIST = [...CONTAINER_STYLES, ...TEXT_STYLES];
const HeaderElement = tasty({
    qa: 'Header',
    as: 'header',
    styles: {
        display: 'block',
        gridArea: 'header',
        flow: 'column',
    },
});
export const Header = forwardRef(function Header(props, ref) {
    props = useSlotProps(props, 'header');
    const styles = extractStyles(props, STYLE_LIST);
    return (_jsx(HeaderElement, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles }, void 0));
});

        