/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import styled from 'styled-components';
import { CONTAINER_STYLES, extractStyles, filterBaseProps, tasty, } from '../../../tasty';
const PlaceholderElement = tasty({
    role: 'alert',
    'aria-live': 'polite',
    'aria-label': 'Content is loading',
    styles: {
        display: 'block',
        fill: '#dark.10',
        height: '2x',
        opacity: '.35',
    },
});
const StyledPlaceholder = styled(PlaceholderElement) `
  --placeholder-animation-time: 1.4s;
  --placeholder-animation-size: calc((180rem + 100vw) / 3);
  background-image: linear-gradient(
    135deg,
    rgba(var(--dark-color-rgb), 0.15) 0%,
    rgba(var(--dark-color-rgb), 0.15) 5%,
    rgba(var(--dark-color-rgb), 0) 35%,
    rgba(var(--dark-03-color-rgb), 0.2) 50%,
    rgba(var(--dark-03-color-rgb), 0) 65%,
    rgba(var(--dark-color-rgb), 0.15) 95%,
    rgba(var(--dark-color-rgb), 0.15) 100%
  );
  background-repeat: repeat;
  background-size: var(--placeholder-animation-size);
  animation: placeholder-animation var(--placeholder-animation-time) linear
    infinite;

  @keyframes placeholder-animation {
    0% {
      background-position: 0 0;
    }
    100% {
      background-position: var(--placeholder-animation-size) 0;
    }
  }
`;
export const Placeholder = forwardRef(function Placeholder(allProps, ref) {
    let { size = '2x', circle, ...props } = allProps;
    let styles = extractStyles(props, CONTAINER_STYLES);
    return (_jsx(StyledPlaceholder, { role: "region", ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: {
            height: size,
            width: circle ? size : false,
            radius: circle ? '9999rem' : '1r',
            ...styles,
        } }, void 0));
});

        