/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef, useEffect } from 'react';
import Prism from 'prismjs';
import { CONTAINER_STYLES, tasty, } from '../../../tasty';
const PreElement = tasty({
    as: 'pre',
    qa: 'CodeBlock',
    styleProps: CONTAINER_STYLES.concat([]),
    className: 'jenga-prism-code',
    styles: {
        margin: 0,
        padding: 0,
        Code: {
            display: 'block',
        },
    },
});
function PrismCode(props, ref) {
    let { code, language = 'javascript', ...otherProps } = props;
    useEffect(() => {
        Prism.highlightAll();
    });
    return (_jsx(PreElement, { ref: ref, className: "jenga-prism-code", ...otherProps, children: _jsx("code", { "data-element": "Code", className: `language-${language}`, children: code }, void 0) }, void 0));
}
/**
 * Code block with syntax highlighting
 */
const _PrismCode = forwardRef(PrismCode);
export { _PrismCode as PrismCode };

        