/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Placeholder } from '../Placeholder/Placeholder';
import { Flow } from '../../layout/Flow';
import { Space } from '../../layout/Space';
import { Grid } from '../../layout/Grid';
const LAYOUT_MAP = {
    page({ lines, children, ...props }) {
        return (_jsxs(Flow, { gap: "4x", ...props, children: [_jsxs(Space, { placeContent: "space-between", children: [_jsx(Placeholder, { width: "100px 25% 300px" }, void 0), _jsx(Placeholder, { width: "50px 10% 150px" }, void 0)] }, void 0), _jsx(Flow, { gap: "2x", children: children ||
                        Array(lines || 5)
                            .fill(0)
                            .map((item, i) => _jsx(Placeholder, {}, i)) }, void 0)] }, void 0));
    },
    content({ children, lines, ...props }) {
        return (_jsx(Flow, { gap: "2x", ...props, children: children ||
                Array(lines || 5)
                    .fill(0)
                    .map((item, i) => _jsx(Placeholder, {}, i)) }, void 0));
    },
    topbar(props) {
        return (_jsxs(Space, { gap: "4x", placeContent: "space-between", height: "6x", padding: "1x", border: "bottom", ...props, children: [_jsxs(Space, { children: [_jsx(Placeholder, { circle: true, size: "4x" }, void 0), _jsx(Placeholder, { width: "20x" }, void 0)] }, void 0), _jsxs(Space, { children: [_jsx(Placeholder, { width: "10x" }, void 0), _jsx(Placeholder, { circle: true, size: "4x" }, void 0)] }, void 0)] }, void 0));
    },
    menu({ lines, ...props }) {
        return (_jsx(Flow, { gap: "3.25x", ...props, padding: "3x 1x", children: Array(lines || 5)
                .fill(0)
                .map((item, i) => (_jsx(Placeholder, {}, i))) }, void 0));
    },
    stats({ cards, ...props }) {
        return (_jsx(Space, { gap: "4x", ...props, children: Array(cards || 3)
                .fill(0)
                .map((item, i) => (_jsx(Placeholder, { radius: "1x", width: "20x", height: "12x", flexGrow: 1 }, i))) }, void 0));
    },
    tabs({ tabs, children, lines, ...props }) {
        return (_jsxs(Flow, { gap: "4x", ...props, children: [_jsx(Space, { children: Array(tabs || 3)
                        .fill(0)
                        .map((item, i) => (_jsx(Placeholder, { width: "15x" }, i))) }, void 0), _jsx(Flow, { gap: "2x", children: children ||
                        Array(lines || 5)
                            .fill(0)
                            .map((item, i) => _jsx(Placeholder, {}, i)) }, void 0)] }, void 0));
    },
    table({ rows, columns, ...props }) {
        columns = columns || 5;
        rows = rows || 5;
        return (_jsx(Grid, { columns: `repeat(${columns}, 1fr)`, gap: "3x", ...props, padding: "1x 0", children: Array(rows)
                .fill(0)
                .map((item, i) => {
                return Array(columns)
                    .fill(0)
                    .map((item, j) => {
                    return (_jsx(Placeholder, { size: !i ? '3x' : '2x' }, `${i}.${j}`));
                });
            }) }, void 0));
    },
    chart({ columns, ...props }) {
        columns = columns || 12;
        const heightMap = [1, 4, 2, 5, 8, 9, 5, 3, 4, 2, 6, 7, 2];
        return (_jsx(Grid, { columns: `repeat(${columns}, 1fr)`, gap: "3x", padding: "1x 0", placeItems: "end stretch", height: "40x", ...props, children: Array(columns)
                .fill(0)
                .map((item, i) => {
                return (_jsx(Placeholder, { height: `${heightMap[i % 12] * 10}%`, width: "max 6x" }, i));
            }) }, void 0));
    },
};
export function Skeleton({ layout, ...props }) {
    layout = layout || 'page';
    return LAYOUT_MAP[layout] ? (LAYOUT_MAP[layout]({ ...props, qa: 'Skeleton' })) : (_jsx(Placeholder, { ...props }, void 0));
}

        