/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useProviderProps } from '../../../../provider';
import { useFormProps } from '../Form';
import { Button } from '../../../actions';
export const Submit = forwardRef(function Submit(props, ref) {
    props = useProviderProps(props);
    props = useFormProps(props);
    const { form, ...otherProps } = props;
    const formData = form?.getFieldsValue() ?? {};
    const isInvalid = Object.keys(formData).some((name) => form?.isFieldInvalid(name) ?? false);
    return (_jsx(Button, { ref: ref, type: "primary", htmlType: "submit", isLoading: form?.isSubmitting, isDisabled: isInvalid, ...otherProps }, void 0));
});

        