/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useContext, isValidElement } from 'react';
import { Alert } from '../../content/Alert';
import { FormContext } from './Form';
/**
 * An alert that shows a form error message received from the onSubmit callback.
 */
export const SubmitError = function SubmitError(props) {
    let { submitError } = useContext(FormContext);
    if (!submitError) {
        return null;
    }
    if (!isValidElement(submitError) &&
        typeof submitError !== 'string') {
        submitError = 'Internal error';
    }
    return (_jsx(Alert, { theme: "danger", ...props, children: submitError }, void 0));
};

        