/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef, useRef } from 'react';
import { useLocale } from '@react-aria/i18n';
import { useNumberFieldState } from '@react-stately/numberfield';
import { useNumberField } from '@react-aria/numberfield';
import { useFieldProps } from '../Form';
import { useProviderProps } from '../../../provider';
import { TextInputBase, } from '../TextInput/TextInputBase';
import { tasty } from '../../../tasty';
import { castNullableNumberValue, } from '../../../utils/react/nullableValue';
import { StepButton } from './StepButton';
const StyledTextInputBase = tasty(TextInputBase, {});
const StepperContainer = tasty({
    styles: {
        display: 'grid',
        gridColumns: '1fr',
        gridRows: 'minmax(1px, 1fr) minmax(1px, 1fr)',
        flow: 'column',
        placeSelf: 'stretch',
    },
});
function NumberInput(props, ref) {
    props = castNullableNumberValue(props);
    props = useProviderProps(props);
    props = useFieldProps(props);
    let { hideStepper, suffix, value, defaultValue, onChange, ...otherProps } = props;
    let showStepper = !hideStepper;
    let { locale } = useLocale();
    let state = useNumberFieldState({ ...props, locale });
    let inputRef = useRef(null);
    let { groupProps, labelProps, inputProps, incrementButtonProps, decrementButtonProps, } = useNumberField(props, state, inputRef);
    return (_jsx(StyledTextInputBase, { ...otherProps, ref: ref, labelProps: labelProps, inputProps: inputProps, inputRef: inputRef, wrapperProps: groupProps, suffixPosition: "after", suffix: showStepper ? (_jsxs(StepperContainer, { children: [_jsx(StepButton, { isDisabled: props.isDisabled, direction: "up", ...incrementButtonProps, size: otherProps.size }, void 0), _jsx(StepButton, { isDisabled: props.isDisabled, direction: "down", ...decrementButtonProps, size: otherProps.size }, void 0)] }, void 0)) : (suffix) }, void 0));
}
/**
 * NumberFields allow users to enter a number, and increment or decrement the value using stepper buttons.
 */
const _NumberInput = forwardRef(NumberInput);
_NumberInput.jengaInputType = 'Number';
export { _NumberInput as NumberInput };

        