/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { CaretDownFill, CaretUpFill } from '@jengaicons/react';
import { Button } from '../../actions';
const STEP_BUTTON_STYLES = {
    width: '4x',
    radius: {
        '': '0 (1r - 1bw) 0 0',
        down: '0 0 (1r - 1bw) 0',
    },
    fontSize: '12px',
    lineHeight: '12px',
    height: 'auto',
    fill: {
        '': '#dark.0',
        hovered: '#dark.04',
        pressed: '#purple.10',
        '[disabled]': '#dark.0',
    },
    '@icon-size': {
        '': '14px',
        '[data-size="small"]': '13px',
    },
};
/**
 * Buttons for NumberField.
 */
export function StepButton(props) {
    return (_jsx(Button, { preventDefault: true, type: "clear", border: "0", padding: "0", styles: STEP_BUTTON_STYLES, icon: props.direction === 'up' ? (_jsx(CaretUpFill, { style: { fontSize: 'var(--icon-size)' } }, void 0)) : (_jsx(CaretDownFill, { style: { fontSize: 'var(--icon-size)' } }, void 0)), mods: {
            up: props.direction === 'up',
            down: props.direction === 'down',
        }, label: `Step ${props.direction}`, ...props }, void 0));
}

        