/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef, useRef } from 'react';
import { X, SearchFill } from '@jengaicons/react';
import { useSearchFieldState } from '@react-stately/searchfield';
import { useSearchField } from '@react-aria/searchfield';
import { TextInputBase, } from '../TextInput/TextInputBase';
import { useProviderProps } from '../../../provider';
import { Button } from '../../actions';
import { ariaToJengaButtonProps } from '../../../utils/react/mapProps';
import { castNullableStringValue, } from '../../../utils/react/nullableValue';
import { tasty } from '../../../tasty';
const ClearButton = tasty(Button, {
    icon: _jsx(X, {}, void 0),
    type: 'clear',
    styles: {
        radius: 'right (1r - 1bw)',
        width: '4x',
        height: 'auto',
        placeSelf: 'stretch',
    },
});
export const SearchInput = forwardRef(function SearchInput(props, ref) {
    props = castNullableStringValue(props);
    props = useProviderProps(props);
    let { isClearable, validationState } = props;
    let inputRef = useRef(null);
    let state = useSearchFieldState(props);
    let { inputProps, clearButtonProps } = useSearchField(props, state, inputRef);
    let showClearButton = isClearable && state.value !== '' && !props.isReadOnly;
    return (_jsx(TextInputBase, { ref: ref, inputProps: inputProps, inputRef: inputRef, type: "search", icon: _jsx(SearchFill, {}, void 0), suffixPosition: "after", ...props, suffix: props.suffix || showClearButton ? (_jsxs(_Fragment, { children: [props.suffix, showClearButton && (_jsx(ClearButton, { type: validationState === 'invalid' ? 'invisible' : 'invisible', theme: validationState === 'invalid' ? 'danger' : undefined, ...ariaToJengaButtonProps(clearButtonProps) }, void 0))] }, void 0)) : undefined }, void 0));
});

        