/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { SliderThumb } from './SliderThumb';
import { SliderTrack } from './SliderTrack';
import { SliderBase } from './SliderBase';
import { Gradation } from './Gradation';
const INTL_MESSAGES = {
    minimum: 'Minimum',
    maximum: 'Maximum',
};
function RangeSlider(props, ref) {
    let { isDisabled, styles, gradation, ...otherProps } = props;
    return (_jsx(SliderBase, { ...otherProps, children: ({ trackRef, inputRef, state }) => {
            return (_jsxs(_Fragment, { children: [_jsx(Gradation, { state: state, ranges: [0, 1], values: gradation }, void 0), _jsx(SliderTrack, { state: state, isDisabled: isDisabled }, void 0), _jsx(SliderThumb, { index: 0, "aria-label": INTL_MESSAGES['minimum'], state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0), _jsx(SliderThumb, { index: 1, "aria-label": INTL_MESSAGES['maximum'], state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0)] }, void 0));
        } }, void 0));
}
const _RangeSlider = forwardRef(RangeSlider);
const __RangeSlider = Object.assign(_RangeSlider, {
    jengaInputType: 'Number',
});
export { __RangeSlider as RangeSlider };

        