/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { extractStyles, OUTER_STYLES } from '../../../tasty';
import { SliderThumb } from './SliderThumb';
import { SliderTrack } from './SliderTrack';
import { SliderBase, } from './SliderBase';
import { Gradation } from './Gradation';
function Slider(props, ref) {
    const { onChange, onChangeEnd, value, defaultValue, getValueLabel, isDisabled, styles, gradation, orientation, ...otherProps } = props;
    let baseProps = {
        ...otherProps,
        // Normalize `value: number[]` to `value: number`
        value: value != null ? [value] : undefined,
        defaultValue: defaultValue != null ? [defaultValue] : undefined,
        onChange: (v) => {
            onChange?.(v[0]);
        },
        onChangeEnd: (v) => {
            onChangeEnd?.(v[0]);
        },
        getValueLabel: getValueLabel ? ([v]) => getValueLabel(v) : undefined,
    };
    const extractedStyles = extractStyles(otherProps, OUTER_STYLES, styles);
    return (_jsx(SliderBase, { ...otherProps, ...baseProps, ref: ref, orientation: orientation, styles: extractedStyles, children: ({ trackRef, inputRef, state }) => {
            return (_jsxs(_Fragment, { children: [_jsx(Gradation, { state: state, ranges: [0, 1], values: gradation }, void 0), _jsx(SliderTrack, { state: state, isDisabled: isDisabled, orientation: orientation }, void 0), _jsx(SliderThumb, { index: 0, state: state, inputRef: inputRef, trackRef: trackRef, isDisabled: isDisabled }, void 0)] }, void 0));
        } }, void 0));
}
const _Slider = forwardRef(Slider);
const __Slider = Object.assign(_Slider, {
    jengaInputType: 'Number',
});
export { __Slider as Slider };

        