/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useRef } from 'react';
import { useSliderThumb } from '@react-aria/slider';
import { useHover } from '@react-aria/interactions';
import { VisuallyHidden } from '@react-aria/visually-hidden';
import { mergeProps } from '../../../utils/react';
import { SliderThumbElement } from './elements';
export function SliderThumb(props) {
    let { state, inputRef, isDisabled } = props;
    const backupRef = useRef(null);
    inputRef = inputRef || backupRef;
    const { thumbProps, inputProps, isDragging, isFocused } = useSliderThumb({
        ...props,
        inputRef,
    }, state);
    const { hoverProps, isHovered } = useHover({ isDisabled });
    return (_jsx(SliderThumbElement, { mods: {
            hovered: isHovered,
            dragged: isDragging,
            focused: !isDragging && isFocused,
            disabled: isDisabled,
        }, ...mergeProps(thumbProps, hoverProps), role: "presentation", children: _jsx(VisuallyHidden, { children: _jsx("input", { ref: inputRef, ...inputProps }, void 0) }, void 0) }, void 0));
}

        