/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { SliderTrackContainerElement } from './elements';
export function SliderTrack(props) {
    const { isDisabled, state, orientation = 'horizontal' } = props;
    const selectedTrack = [state.getThumbPercent(0), state.getThumbPercent(1)];
    const showRangeTrack = !Number.isNaN(selectedTrack[1]);
    const mods = useMemo(() => ({
        disabled: isDisabled,
        horizontal: orientation === 'horizontal',
        range: showRangeTrack,
    }), [isDisabled, showRangeTrack]);
    return (_jsx(SliderTrackContainerElement, { mods: mods, style: showRangeTrack
            ? {
                '--slider-range-start': `${selectedTrack[0] * 100}%`,
                '--slider-range-end': `${selectedTrack[1] * 100}%`,
            }
            : {} }, void 0));
}

        