/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef, useRef } from 'react';
import { useTextField } from '@react-aria/textfield';
import { useProviderProps } from '../../../provider';
import { castNullableStringValue, } from '../../../utils/react/nullableValue';
import { useFieldProps } from '../Form';
import { TextInputBase } from './TextInputBase';
export const TextInput = forwardRef(function TextInput(props, ref) {
    props = castNullableStringValue(props);
    props = useProviderProps(props);
    props = useFieldProps(props, {
        defaultValidationTrigger: 'onBlur',
        valuePropsMapper: ({ value, onChange }) => ({
            onChange,
            value: value?.toString() ?? '',
        }),
    });
    let inputRef = useRef(null);
    let { labelProps, inputProps } = useTextField(props, inputRef);
    return (_jsx(TextInputBase, { ...props, ref: ref, labelProps: labelProps, inputProps: inputProps, inputRef: inputRef }, void 0));
});
/**
 * TextInputs are text inputs that allow users to input custom text entries
 * with a keyboard. Various decorations can be displayed around the field to
 * communicate the entry requirements.
 */
TextInput.jengaInputType = 'Text';

        