/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from 'react';
import { AligmentFromDTCatalog } from './ReactStatelyCollections';
import { TableCell } from './TableCell';
import { TableCheckboxCell } from './TableCheckboxCell';
import { JengaTablePropsContext } from './TableElementsBase';
import { TableRow } from './TableRow';
import { TableRowGroup } from './TableRowGroup';
export function TableBodySection(props) {
    const { state, alternateBody, showAlternateBody, onEmpty, ...otherProps } = props;
    const { collection } = state;
    const { cellPadding } = useContext(JengaTablePropsContext);
    return (_jsx(TableRowGroup, { as: "tbody", ...otherProps, children: showAlternateBody
            ? alternateBody
            : [...collection.body.childNodes].length === 0
                ? onEmpty
                : [...collection.body.childNodes].map((row) => (_jsx(TableRow, { item: row, state: state, styles: {
                        borderTop: '1px solid #E5E5FC',
                    }, children: [...row.childNodes].map((cell) => {
                        const align = cell.column?.props.align ||
                            AligmentFromDTCatalog[cell.column?.props.dataType || 'generic'] ||
                            'left';
                        const stylesFromColumn = cell.column?.props.colCellStyles || {};
                        return cell.props.isSelectionCell ? (_jsx(TableCheckboxCell, { item: cell, state: state, styles: {
                                padding: cellPadding,
                                textAlign: align,
                                ...stylesFromColumn,
                            } }, cell.key)) : (_jsx(TableCell, { item: cell, state: state, styles: {
                                padding: cellPadding,
                                textAlign: align,
                                ...stylesFromColumn,
                            } }, cell.key));
                    }) }, row.key))) }, void 0));
}

        