/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useContext, useRef } from 'react';
import { useTableCell } from '@react-aria/table';
import { useHover } from '@react-aria/interactions';
import { mergeProps } from '../../../utils/react';
import { useFocus } from '../../../utils/react/interactions';
import { JengaTablePropsContext, Td } from './TableElementsBase';
export function TableCell(props) {
    const { item: cell, state, styles, ...otherProps } = props;
    let ref = useRef(null);
    let { gridCellProps } = useTableCell({ node: cell }, state, ref);
    let { isFocused, focusProps } = useFocus({ isDisabled: false });
    const { hoverProps, isHovered } = useHover({});
    const { cellProps, cellStyles } = useContext(JengaTablePropsContext);
    const { styles: cellStylesFromProps, ...otherCellProps } = cellProps;
    return (_jsx(Td, { ref: ref, ...otherProps, ...otherCellProps, ...mergeProps(gridCellProps, focusProps, hoverProps), ...cell.props, mods: {
            focused: isFocused,
            hovered: isHovered,
            ...(cell.props?.mods || {}),
        }, styles: {
            outline: { '': 'none', 'focused ': '1px solid rgba(94, 234, 212, 1)' },
            cursor: 'default',
            color: 'rgba(43, 41, 98, 1)',
            ...styles,
            ...cellStylesFromProps,
            ...cellStyles,
            ...(cell.props.styles || {}),
        }, children: cell.rendered }, void 0));
}

        