/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useTableSelectionCheckbox } from '@react-aria/table';
import { useTableCell } from '@react-aria/table';
import { useContext, useRef } from 'react';
import { Checkbox } from '../../forms/Checkbox/Checkbox';
import { JengaTablePropsContext, Td } from './TableElementsBase';
export function TableCheckboxCell(props) {
    const { item: cell, state, ...otherProps } = props;
    let ref = useRef(null);
    let { gridCellProps } = useTableCell({ node: cell }, state, ref);
    let { checkboxProps } = useTableSelectionCheckbox({ key: cell.parentKey || 'randomKey' }, state);
    const { checkboxProps: jengCheckboxProps, checkboxStyles } = useContext(JengaTablePropsContext);
    const { styles: checkboxStylesFromProps, ...otherCheckboxProps } = jengCheckboxProps;
    return (_jsx(Td, { ...cell.props, ...gridCellProps, ...otherProps, ref: ref, children: _jsx(Checkbox, { ...checkboxProps, styles: { ...checkboxStylesFromProps, ...checkboxStyles }, ...otherCheckboxProps }, void 0) }, void 0));
}

        