/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from 'react';
import { useTableColumnHeader } from '@react-aria/table';
import { useHover } from '@react-aria/interactions';
import { mergeProps } from '../../../utils/react';
import { useFocus } from '../../../utils/react/interactions';
import { Flex } from '../../layout/Flex';
import { Th } from './TableElementsBase';
import { AligmentFromDTCatalog } from './ReactStatelyCollections';
export function TableColumnHeader(props) {
    const { item: column, state, styles = {}, isDisabled, ...otherProps } = props;
    let ref = useRef(null);
    let { columnHeaderProps } = useTableColumnHeader({ node: column }, state, ref);
    const { hoverProps, isHovered } = useHover({ isDisabled });
    const { isFocused, focusProps } = useFocus({ isDisabled });
    const colspan = column.colspan ? column.colspan : 1;
    const align = column.props.align ||
        AligmentFromDTCatalog[column.props.dataType || 'generic'] ||
        'left';
    const sortState = state.sortDescriptor?.column === column.key
        ? state.sortDescriptor?.direction
        : 'unknown';
    return (_jsx(Th, { ...mergeProps(columnHeaderProps, focusProps, hoverProps), ref: ref, colSpan: colspan, mods: {
            ...(column.props?.mods || {}),
            focused: isFocused,
            hovered: isHovered,
        }, styles: {
            outline: { '': 'none', focused: '2px solid orange' },
            cursor: 'default',
            color: 'rgba(43, 41, 98, 1)',
            ...styles,
            ...(column.props?.colCellStyles || {}),
            ...(column.props?.styles || {}),
        }, ...otherProps, children: column.props.allowsSorting ? (_jsxs(Flex, { height: "100%", width: "100%", alignItems: 'center', justifyContent: align, children: [_jsxs(Flex, { flow: 'column', display: 'inline-flex', alignItems: 'center', margin: '0 3px', gap: '2px', children: [_jsx("div", { style: {
                                width: 0,
                                height: 0,
                                borderLeft: '5px solid transparent',
                                borderRight: '5px solid transparent',
                                borderBottom: `5px solid ${sortState === 'ascending' ? 'black' : 'lightgrey'}`,
                            } }, void 0), _jsx("div", { style: {
                                width: 0,
                                height: 0,
                                borderLeft: '5px solid transparent',
                                borderRight: '5px solid transparent',
                                borderTop: `5px solid ${sortState === 'descending' ? 'black' : 'lightgrey'}`,
                            } }, void 0)] }, void 0), column.rendered] }, void 0)) : (column.rendered) }, void 0));
}

        