/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, 
// ForwardedRef,
forwardRef,
// ReactElement,
 } from 'react';
import { tasty, Element, } from '../../../tasty';
export const Tr = tasty({
    as: 'tr',
    role: 'row',
});
export const Th = tasty({
    as: 'th',
    role: 'gridcell',
});
export const Td = tasty({
    as: 'td',
    role: 'gridcell',
});
export const TableWrapper = tasty({
    styles: {
        border: '1px solid #e5e5fc',
        overflow: 'auto',
        position: 'relative',
        padding: '0',
    },
});
export const TableTemplate = tasty(Element, {
    as: 'table',
});
export const JengaTablePropsContext = createContext({
    zebraStripes: false,
    cellPadding: '10px',
    rowProps: {},
    rowStyles: {},
    cellProps: {},
    cellStyles: {},
    checkboxProps: {},
    checkboxStyles: {},
});
const cellPaddingCatalog = {
    dense: '6px 12px',
    regular: '16px 12px',
    spacious: '12px',
};
const parseCellPadding = (cellPadding) => {
    if (Array.isArray(cellPadding)) {
        return cellPadding.map((cp) => cellPaddingCatalog.hasOwnProperty(cp) ? cellPaddingCatalog[cp] : cp);
    }
    return cellPaddingCatalog.hasOwnProperty(cellPadding)
        ? cellPaddingCatalog[cellPadding]
        : cellPadding;
};
export function _TableBase(props, ref) {
    let { styles, zebraStripes = false, cellPadding = ['regular', 'dense'], checkboxProps = {}, checkboxStyles = {}, cellStyles = {}, cellProps = {}, rowProps = {}, rowStyles = {}, ...otherProps } = props;
    return (_jsx(JengaTablePropsContext.Provider, { value: {
            zebraStripes,
            cellPadding: parseCellPadding(cellPadding),
            checkboxProps,
            checkboxStyles,
            cellStyles,
            cellProps,
            rowProps,
            rowStyles,
        }, children: _jsx(TableTemplate, { styles: {
                borderCollapse: 'collapse',
                display: 'table',
                height: '100%',
                width: '100%',
                fill: '#fffff',
                ...styles,
            }, role: 'Table', ...otherProps, ref: ref }, void 0) }, void 0));
}
export const TableBase = forwardRef(_TableBase);

        