/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from 'react';
import { TableColumnHeader } from './TableColumnHeader';
import { JengaTablePropsContext } from './TableElementsBase';
import { TableHeaderRow } from './TableHeaderRow';
import { TableRowGroup } from './TableRowGroup';
import { TableSelectAllCell } from './TableSelectAllCells';
export function TableHeadSection(props) {
    const { state, stickyHeader = false, styles, children, headerRowProps, customHeaderPosition, ...otherProps } = props;
    const { collection } = state;
    const { cellPadding } = useContext(JengaTablePropsContext);
    const stickyStyles = stickyHeader
        ? { position: 'sticky', top: 0 }
        : {};
    return (_jsxs(TableRowGroup, { as: 'thead', styles: {
            background: '#fff',
            zIndex: 1,
            ...stickyStyles,
            ...styles,
        }, ...otherProps, children: [customHeaderPosition === 'top' && children, collection.headerRows.map((headerRow) => (_jsx(TableHeaderRow, { item: headerRow, state: state, ...headerRowProps, children: [...headerRow.childNodes].map((column) => column.props.isSelectionCell ? (_jsx(TableSelectAllCell, { item: column, state: state, element: 'TableSelectAllElement', styles: { padding: cellPadding } }, column.key)) : (_jsx(TableColumnHeader, { item: column, element: 'TableColumnElement', state: state, styles: { padding: cellPadding } }, column.key))) }, headerRow.key))), customHeaderPosition === 'bottom' && children] }, void 0));
}

        