/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useTableColumnHeader, useTableSelectAllCheckbox, } from '@react-aria/table';
import { VisuallyHidden } from '@react-aria/visually-hidden';
import { useContext, useRef } from 'react';
import { Checkbox } from '../../forms/Checkbox/Checkbox';
import { JengaTablePropsContext, Th } from './TableElementsBase';
export function TableSelectAllCell(props) {
    const { state, item: column, ...otherProps } = props;
    let ref = useRef(null);
    // @ts-ignore
    let isSingleSelectionMode = state.selectionManager.selectionMode === 'single';
    let { columnHeaderProps } = useTableColumnHeader({ node: column }, state, ref);
    const { checkboxProps: jengaCheckboxProps, checkboxStyles } = useContext(JengaTablePropsContext);
    let { checkboxProps } = useTableSelectAllCheckbox(state);
    const { styles: checkboxStylesFromProps, ...otherCheckboxProps } = jengaCheckboxProps;
    return (_jsx(Th, { ...columnHeaderProps, ...otherProps, ref: ref, children: isSingleSelectionMode ? (_jsx(VisuallyHidden, { children: checkboxProps['aria-label'] }, void 0)) : (_jsx(Checkbox, { ...otherCheckboxProps, ...checkboxProps, styles: { ...checkboxStylesFromProps, ...checkboxStyles } }, void 0)) }, void 0));
}

        