/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { forwardRef, useState } from 'react';
import styled from 'styled-components';
import { Button } from '../../actions';
import { Block } from '../../Block';
import { Text } from '../../content/Text';
import { extractStyles, filterBaseProps, POSITION_STYLES, } from '../../../tasty';
const DEFAULT_STYLES = {
    display: 'inline-flex',
    padding: '.75x 1x',
    gap: '1x',
    flow: 'row',
    placeItems: 'center',
    fill: '#white',
    border: true,
    preset: 't3',
};
export const Base64Upload = styled(forwardRef(function Base64Upload(allProps, ref) {
    const { onInput, ...props } = allProps;
    const styles = extractStyles(props, POSITION_STYLES, DEFAULT_STYLES);
    const [file, setFile] = useState();
    const [error, setError] = useState('');
    function onInputFile(e) {
        if (!e.target)
            return;
        const localFile = e.target.files[0];
        const reader = new FileReader();
        setError('');
        if (!localFile)
            return;
        if (!localFile.name.endsWith('.json')) {
            setError('Incorrect format. JSON file is required');
            return;
        }
        reader.onload = function () {
            /**
             * @type {string}
             */
            const text = String(reader.result);
            let base64text;
            try {
                JSON.parse(text);
                base64text = btoa(text);
            }
            catch (e) {
                setError('Invalid JSON file');
                console.error(e);
                return;
            }
            onInput &&
                onInput({
                    encoded: base64text,
                    raw: JSON.parse(text),
                });
            setFile(localFile.name);
        };
        try {
            reader.readAsText(localFile);
        }
        catch (e) {
            setError('Invalid file');
        }
    }
    return (_jsxs(_Fragment, { children: [_jsxs(Button, { ...filterBaseProps(props, { eventProps: true }), ref: ref, styles: styles, children: [_jsx(Block, { radius: "round", fill: "#purple.10", color: "#dark-02", padding: ".5x 1x", children: "Choose file" }, void 0), _jsx(Block, { color: "#dark-04", children: file || 'No file selected' }, void 0), _jsx("input", { type: "file", name: "base64", accept: ".json", onInput: onInputFile }, void 0)] }, void 0), error && _jsx(Text.Danger, { color: "danger", children: error }, void 0)] }, void 0));
})) `
  appearance: none;
  cursor: pointer;
  outline: none;

  & input {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    cursor: pointer;
    width: 100%;
    height: 100%;
  }

  && {
    border: var(--border-width) solid rgba(var(--dark-02-color-rgb), 0.1);
  }

  &&:not([data-is-hovered]) {
    background: rgba(var(--purple-color), 0);
  }

  &&[data-is-hovered] {
    background: rgba(var(--purple-color), 0.1);
  }
`;

        