/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Title } from '../../content/Title';
import { Form } from '../../forms/Form/Form';
import { useForm } from '../../forms';
import { Content } from '../../content/Content';
import { Submit } from '../../actions/Button/Submit';
import { Button } from '../../actions';
import { ButtonGroup } from '../../actions';
import { Header } from '../../content/Header';
import { useDialogContext } from './context';
import { Dialog } from './Dialog';
/**
 * DialogForms are a specific type of Dialog. They contain forms to fill.
 */
export function DialogForm(props) {
    let { qa, name, form, defaultValues, onDismiss, onSubmit, onSubmitFailed, onValuesChange, labelStyles, labelPosition, requiredMark, isRequired, necessityIndicator, necessityLabel, isReadOnly, validationState, validateTrigger, children, danger, noActions, submitProps, cancelProps, preserve, title, size, closeIcon, ...dialogProps } = props;
    [form] = useForm(form);
    const { onClose } = useDialogContext();
    function onLocalDismiss() {
        onClose?.();
        onDismiss?.();
        if (!preserve) {
            form?.resetFields();
        }
    }
    return (_jsxs(Dialog, { qa: `${qa || ''}Dialog`, size: size, closeIcon: closeIcon, ...dialogProps, children: [_jsx(Header, { children: _jsx(Title, { ellipsis: true, children: title }, void 0) }, void 0), _jsx(Content, { children: _jsxs(Form, { qa: qa || 'DialogForm', form: form, name: name, defaultValues: defaultValues, labelStyles: labelStyles, labelPosition: labelPosition, requiredMark: requiredMark, isRequired: isRequired, necessityIndicator: necessityIndicator, necessityLabel: necessityLabel, isReadOnly: isReadOnly, validationState: validationState, validateTrigger: validateTrigger, onSubmit: async (data) => {
                        await onSubmit?.(data);
                        onClose?.();
                        if (!preserve) {
                            form?.resetFields();
                        }
                    }, onSubmitFailed: onSubmitFailed, onValuesChange: onValuesChange, children: [typeof children === 'function' ? children(onLocalDismiss) : children, !noActions ? (_jsxs(ButtonGroup, { children: [_jsx(Submit, { qa: `${qa || ''}SubmitButton`, theme: danger ? 'danger' : undefined, label: "Submit", ...(submitProps || {}) }, void 0), _jsx(Button, { qa: `${qa || ''}CancelButton`, label: "Cancel", onPress: onLocalDismiss, ...(cancelProps || {}) }, void 0)] }, void 0)) : undefined] }, void 0) }, void 0)] }, void 0));
}

        