/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { Children, cloneElement, createContext, useContext, } from 'react';
import { Transition } from 'react-transition-group';
const OPEN_STATES = {
    entering: false,
    entered: true,
};
const OpenTransitionContext = createContext(null);
export function useOpenTransitionContext() {
    return useContext(OpenTransitionContext);
}
export function OpenTransition(props) {
    return (_jsx(Transition, { timeout: { enter: 0, exit: 350 }, ...props, children: (state) => (_jsx(OpenTransitionContext.Provider, { value: { transitionState: state }, children: Children.map(props.children, (child) => child &&
                cloneElement(child, {
                    isOpen: !!OPEN_STATES[state],
                    transitionState: state,
                })) }, void 0)) }, void 0));
}

        