/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { tasty } from '../../../tasty';
const UnderlayElement = tasty({
    qa: 'Underlay',
    styles: {
        position: 'fixed',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        zIndex: 1,
        transitionDelay: '0ms',
        opacity: {
            '': 0,
            open: 0.9999,
        },
        pointerEvents: {
            '': 'none',
            open: 'auto',
        },
        fill: '#dark.30',
        overflow: 'hidden',
        transition: 'transform .25s ease-in-out, opacity .25s linear, visibility 0ms linear',
    },
});
function Underlay({ isOpen, ...otherProps }, ref) {
    return (_jsx(UnderlayElement, { ref: ref, mods: {
            open: isOpen,
        }, ...otherProps }, void 0));
}
let _Underlay = forwardRef(Underlay);
export { _Underlay as Underlay };

        