/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { VisuallyHidden } from '@react-aria/visually-hidden';
import { Dialog, DialogTrigger, } from '../../Dialog';
import { tasty } from '../../../../tasty';
import { Flex } from '../../../layout/Flex';
import { Title } from '../../../content/Title';
import { ClearSlots } from '../../../../utils/react';
import { useNotificationsObserver } from '../hooks';
export function NotificationsDialogTrigger(props) {
    const { onCloseNotificationInBar, ...dialogTriggerProps } = props;
    useNotificationsObserver((args) => onCloseNotificationInBar?.(args));
    return _jsx(DialogTrigger, { ...dialogTriggerProps, type: "popover" }, void 0);
}
const StyledDialog = tasty(Dialog, { height: 'auto calc(100vh - 12x)' });
const StyledDialogContent = tasty(Flex, {
    styles: {
        flow: 'column',
        placeItems: 'start start',
        styledScrollbar: true,
        height: '100%',
        border: '1bw solid #border',
        radius: '0.5x',
        overflow: 'auto',
    },
});
export function NotificationsDialog(props) {
    const { children, title = 'Notifications', ...dialogProps } = props;
    return (_jsxs(StyledDialog, { ...dialogProps, children: [_jsx(VisuallyHidden, { children: _jsx(Title, { children: title }, void 0) }, void 0), _jsx(StyledDialogContent, { children: _jsx(ClearSlots, { children: children }, void 0) }, void 0)] }, void 0));
}

        