/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { tasty } from '../../../../tasty';
import { Paragraph } from '../../../content/Paragraph';
import { mergeProps } from '../../../../utils/react';
const Description = tasty(Paragraph, {
    as: 'p',
    preset: 't4',
    styles: {
        gridArea: 'description',
        display: '-webkit-box',
        '-webkit-line-clamp': 3,
        '-webkit-box-orient': 'vertical',
        overflow: 'hidden',
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export const NotificationDescription = memo(function NotificationDescription(props) {
    const { description, ...descriptionProps } = props;
    return (_jsx(Description, { ...mergeProps(descriptionProps, {
            // To make a proper user selection
            onPointerDown: (e) => e.stopPropagation(),
            onMouseDown: (e) => e.stopPropagation(),
        }), children: description }, void 0));
});

        