/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import React, { memo } from 'react';
import { isElement } from 'react-is';
import flatten from 'react-keyed-flatten-children';
import { tasty } from '../../../../tasty';
import { ButtonGroup } from '../../../actions';
const FooterArea = tasty(ButtonGroup, {
    styles: {
        gridArea: 'footer',
        gap: '1x 2x',
        flow: 'row wrap',
        '&:not(:empty)': {
            margin: { '': '0.5x top', 'has-description': '1x top' },
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export const NotificationFooter = memo(function NotificationFooter(props) {
    const { actions, onClose, onDismiss, hasDescription } = props;
    return (_jsx(FooterArea, { mods: { 'has-description': hasDescription }, children: flatten(typeof actions === 'function'
            ? actions({ onClose, onDismiss })
            : actions)
            .filter((action) => isElement(action))
            .map((action, index) => {
            const { props } = action;
            const defaultType = index === 0 ? 'primary' : 'secondary';
            return React.cloneElement(action, {
                ...props,
                type: props.type ?? defaultType,
            }, props.children);
        }) }, void 0));
});

        