/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { Warning, CheckCircle, WarningCircle } from '@jengaicons/react';
import { tasty } from '../../../../tasty';
const IconContainer = tasty({
    styles: {
        boxSizing: 'border-box',
        display: 'flex',
        alignSelf: 'start',
        gridArea: 'icon',
        minHeight: '3x',
        placeContent: 'center',
    },
});
const IconPreset = tasty({
    styles: {
        boxSizing: 'border-box',
        display: 'flex',
        fill: {
            '': '#note-bg',
            attention: '#note-bg',
            success: '#success-bg',
            danger: '#danger-bg',
        },
        color: {
            '': '#note-text',
            attention: '#note-text',
            success: '#success-text',
            danger: '#danger-text',
        },
        borderRadius: '0.5x',
        width: '3x',
        height: '3x',
        padding: '0.5x',
        alignItems: 'center',
        justifyContent: 'center',
        '& svg': {
            width: '100%',
            height: '100%',
        },
    },
});
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export const NotificationIcon = memo(function NotificationIcon(props) {
    const { icon, type } = props;
    return (_jsx(IconContainer, { children: icon ? (icon) : (_jsx(IconPreset, { mods: {
                attention: type === 'attention',
                success: type === 'success',
                danger: type === 'danger',
            }, children: iconsByType[type] }, void 0)) }, void 0));
});
const iconsByType = {
    attention: _jsx(WarningCircle, {}, void 0),
    success: _jsx(CheckCircle, {}, void 0),
    danger: _jsx(Warning, {}, void 0),
};

        