/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from 'react';
import invariant from 'tiny-invariant';
const NotificationContext = createContext(null);
/**
 * @internal This component is unstable and must not be used outside of `NotificationView`.
 */
export function NotificationProvider(props) {
    const { children, ...value } = props;
    return (_jsx(NotificationContext.Provider, { value: value, children: children }, void 0));
}
export function useNotificationContext() {
    const context = useContext(NotificationContext);
    invariant(context, 'This component cannot be used outside of <Notification />');
    return context;
}

        