/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { useRef } from 'react';
import { useNotificationListItem } from '../hooks';
import { tasty } from '../../../../tasty';
import { useEvent } from '../../../../_internal';
import { NotificationView } from '../NotificationView';
const NotificationListItemWrap = tasty({
    styles: { borderBottom: { '': '1bw solid #border', ':last-child': 'none' } },
});
/**
 * @internal This component is not intended to be used
 */
export function NotificationListItem(props) {
    const { item, state, onDismiss } = props;
    const { key, props: notificationProps } = item;
    const ref = useRef(null);
    const onDismissEvent = useEvent(() => onDismiss?.(key));
    const { itemProps } = useNotificationListItem({ ref, key, state });
    return (_jsx(NotificationListItemWrap, { children: _jsx(NotificationView, { ref: ref, attributes: itemProps, ...notificationProps, isDismissible: !!onDismiss, onDismiss: onDismissEvent }, void 0) }, void 0));
}

        