/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { useListState } from '@react-stately/list';
import { useSelectableList } from '@react-aria/selection';
export function useNotificationsList(props) {
    const { ref, children, items } = props;
    const state = useListState({
        selectionMode: 'none',
        children: children,
        items: items,
        suppressTextValueWarning: true,
    });
    const { listProps } = useSelectableList({
        ref,
        allowsTabNavigation: true,
        ...state,
    });
    return {
        listProps,
        state,
    };
}

        