/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { CSSTransition } from 'react-transition-group';
import { useRef } from 'react';
import { Portal } from '../portal';
export function OverlayWrapper({ isOpen, placement, minOffset, minScale, children, container = null, }) {
    const containerRef = useRef(container);
    const options = {};
    if (typeof minOffset === 'number') {
        minOffset = `${minOffset}px`;
    }
    if (placement != null) {
        options.placement = placement;
    }
    if (minScale != null) {
        options.minScale = minScale;
    }
    if (minOffset != null) {
        options.minOffset = minOffset;
    }
    const contents = (_jsx(CSSTransition, { unmountOnExit: true, in: isOpen, timeout: 180, classNames: "jenga-overlay-transition", children: _jsx(_Fragment, { children: children }, void 0) }, void 0));
    return _jsx(Portal, { root: containerRef, children: contents }, void 0);
}

        