/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { useMemo } from 'react';
import { isElement, isFragment } from 'react-is';
import { useNotificationsApi } from '../NewNotifications';
export function useToastsApi() {
    const { notify, update, remove } = useNotificationsApi();
    const toast = useMemo(() => Object.assign((props) => notify({
        putNotificationInDropdownOnDismiss: false,
        ...unwrapProps(props),
    }), {
        success: (props) => toast({ type: 'success', ...unwrapProps(props) }),
        danger: (props) => toast({ type: 'danger', ...unwrapProps(props) }),
        attention: (props) => toast({ type: 'attention', ...unwrapProps(props) }),
    }), []);
    return { toast, update, remove };
}
function unwrapProps(props) {
    return {
        ...(propsIsToastProps(props)
            ? {
                isDismissible: props.duration !== null,
                duration: 5000,
                ...props,
            }
            : { description: props, isDismissible: true, duration: 5000 }),
    };
}
function propsIsToastProps(props) {
    const isReactNode = isElement(props) ||
        isFragment(props) ||
        typeof props === 'string' ||
        typeof props === 'number';
    return !isReactNode;
}

        