/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Check } from '@jengaicons/react';
import { Button } from '../../actions';
import { Text } from '../../content/Text';
import { tasty } from '../../../tasty';
import { Space } from '../../layout/Space';
const StyledButton = tasty(Button, {
    styles: {
        border: {
            '': '#clear',
            pressed: '#clear',
        },
        fill: {
            '': '#op-surface',
            'hovered | focused': '#op-surface-hovered',
            'pressed | selected': '#op-surface-active',
            'focused & selected': '#op-surface-active',
            'focused & pressed': '#op-surface-active',
            disabled: '#clear',
        },
        color: {
            '': '#op-text',
            'hovered | focused': '#op-text',
            'pressed | selected': '#op-text-strong',
            'focused & selected': '#op-text-strong',
            'focused & pressed': '#op-text-strong',
            disabled: '#dark-04',
        },
        cursor: {
            '': 'pointer',
            disabled: 'not-allowed',
        },
        shadow: '#clear',
        padding: {
            '': '(0.75x - 1px) (1.5x - 1px)',
            'selectable & !selected': '(0.75x - 1px) (1.5x - 1px) (0.75x - 1px) (1.5x - 1px)',
            'selectionIcon & selectable & !selected': '(0.75x - 1px) (1.5x - 1px) (0.75x - 1px) (1.5x - 1px + 22px)',
        },
        display: 'flex',
        flow: 'row',
        justifyContent: 'start',
        Postfix: {
            color: {
                '': '#op-text-soft',
                'hovered | focused': '#op-text-soft',
            },
        },
    },
});
const RadioIcon = tasty({
    styles: {
        display: 'flex',
        width: '1.875x',
        placeContent: 'center',
        '&::before': {
            display: 'block',
            content: '""',
            width: '1x',
            height: '1x',
            radius: 'round',
            fill: '#current',
        },
    },
});
const getPostfix = (postfix) => typeof postfix === 'string' ? (_jsx(Text, { nowrap: true, color: "inherit", "data-element": "Postfix", children: postfix }, void 0)) : (postfix);
const getSelectionTypeIcon = (selectionIcon) => {
    switch (selectionIcon) {
        case 'checkbox':
            return _jsx(Check, {}, void 0);
        case 'radio':
            return _jsx(RadioIcon, {}, void 0);
        default:
            return undefined;
    }
};
export function MenuButton({ children, icon, postfix, ...props }) {
    const { selectionIcon, isSelected, isSelectable } = props;
    const checkIcon = isSelectable && isSelected
        ? getSelectionTypeIcon(selectionIcon)
        : undefined;
    const mods = {
        ...props.mods,
        selectionIcon: !!selectionIcon,
        selectable: isSelectable,
        selected: isSelected,
    };
    return (_jsxs(StyledButton, { type: "neutral", size: "small", ...props, icon: checkIcon, mods: mods, children: [icon && _jsx(Text, { color: "inherit", children: icon }, void 0), _jsxs(Space, { gap: "1x", placeContent: "space-between", overflow: "auto", width: "100%", children: [_jsx(Text, { ellipsis: true, color: "inherit", children: children }, void 0), postfix && getPostfix(postfix)] }, void 0)] }, void 0));
}

        