/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useMenuSection } from '@react-aria/menu';
import { MenuItem } from './MenuItem';
import { StyledMenu, StyledMenuSection, StyledMenuSectionHeading, } from './styled';
/** @private */
export function MenuSection(props) {
    const { item, state, styles, itemStyles, headingStyles, onAction } = props;
    const heading = item.rendered;
    const { itemProps, headingProps, groupProps } = useMenuSection({
        heading,
        'aria-label': item['aria-label'],
    });
    return (_jsx(_Fragment, { children: _jsxs(StyledMenuSection, { ...itemProps, styles: styles, children: [heading && (_jsx(StyledMenuSectionHeading, { ...headingProps, styles: headingStyles, children: heading }, void 0)), _jsx(StyledMenu, { ...groupProps, mods: { section: true }, children: [...item.childNodes].map((node) => {
                        let item = (_jsx(MenuItem, { item: node, styles: itemStyles, state: state, onAction: onAction }, node.key));
                        if (node.props.wrapper) {
                            item = node.props.wrapper(item);
                        }
                        return item;
                    }) }, void 0)] }, void 0) }, void 0));
}

        