/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo, } from 'react';
import { BreakpointsProvider } from './tasty';
export const UIKitContext = createContext({});
export function Provider(allProps) {
    let { breakpoints, children, insideForm, isDisabled, isReadOnly, isRequired, validationState, router, root, ref, } = allProps;
    const parentContext = useContext(UIKitContext);
    if (breakpoints) {
        children = (_jsx(BreakpointsProvider, { value: breakpoints, children: children }, void 0));
    }
    const props = useMemo(() => ({
        ref,
        breakpoints,
        insideForm,
        isDisabled,
        isReadOnly,
        isRequired,
        validationState,
        router,
        root,
    }), [
        ref,
        breakpoints,
        insideForm,
        isDisabled,
        isReadOnly,
        isRequired,
        validationState,
        router,
        root,
    ]);
    const newValue = useMemo(() => {
        let newValue = Object.assign({}, parentContext);
        Object.keys(props).forEach((key) => {
            if (props[key] != null) {
                newValue[key] = props[key];
            }
        });
        return newValue;
    }, [parentContext, props]);
    return (_jsx(UIKitContext.Provider, { value: newValue, children: children }, void 0));
}
export function useProviderProps(props) {
    const contextProps = useContext(UIKitContext);
    return { ...contextProps, ...props };
}

        