/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo } from 'react';
export const TrackingContext = createContext({
    event() {
        // noop
    },
});
export function TrackingProvider({ children, event, }) {
    const tracking = useMemo(() => ({ event }), [event]);
    if (!event)
        return _jsx(_Fragment, { children: children }, void 0);
    return (_jsx(TrackingContext.Provider, { value: tracking, children: children }, void 0));
}
export function useTracking() {
    const tracking = useContext(TrackingContext);
    return tracking;
}

        