/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { parseColor } from '../utils/styles';
export function colorStyle({ color }) {
    if (!color)
        return '';
    if (color === true)
        color = 'currentColor';
    if (color.startsWith('#')) {
        color = parseColor(color).color || color;
    }
    const match = color.match(/var\(--(.+?)-color/);
    let name = '';
    if (match) {
        name = match[1];
    }
    const styles = [
        {
            color: color,
        },
    ];
    if (name) {
        styles.push([
            {
                '--current-color': `var(--${name}-color, ${name})`,
                '--current-color-rgb': `var(--${name}-color-rgb)`,
            },
        ]);
    }
    return styles;
}
colorStyle.__lookupStyles = ['color'];

        