/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { isSelector } from './renderStyles';
export function mergeStyles(...objects) {
    let styles = objects[0] ? { ...objects[0] } : {};
    let pos = 1;
    while (pos in objects) {
        const selectorKeys = Object.keys(styles).filter((key) => isSelector(key) && styles[key]);
        const newStyles = objects[pos];
        if (newStyles) {
            const resultStyles = { ...styles, ...newStyles };
            for (let key of selectorKeys) {
                if (newStyles?.[key]) {
                    resultStyles[key] = {
                        ...styles[key],
                        ...newStyles[key],
                    };
                }
            }
            styles = resultStyles;
        }
        pos++;
    }
    return styles;
}

        