/**
 * @license MIT
 * author: undefined
 * jenga-ui v0.6.0
 * Released under the MIT license.
 */

import { useEffect, useState } from 'react';
import { useFocus as reactAriaUseFocus, useFocusVisible, } from '@react-aria/interactions';
export function useFocus({ isDisabled }, onlyVisible = false) {
    useEffect(() => {
        setIsFocused(false);
    }, [isDisabled]);
    let [isFocused, setIsFocused] = useState(false);
    let { isFocusVisible } = useFocusVisible({});
    let { focusProps } = reactAriaUseFocus({
        onFocusChange: setIsFocused,
    });
    return {
        focusProps,
        isFocused: isFocused && (onlyVisible ? isFocusVisible : true),
    };
}

        