/**
 * useEvent shim from the latest React RFC.
 *
 * @see https://github.com/reactjs/rfcs/pull/220
 * @see https://github.com/reactjs/rfcs/blob/useevent/text/0000-useevent.md#internal-implementation
 */
export declare function useEvent<Func extends (...args: Args) => Result, Args extends Parameters<any> = Parameters<Func>, Result extends ReturnType<any> = ReturnType<Func>>(callback: Func): (...args: Args) => Result;
