import { warn } from '../../utils/warnings';
export declare type WarnKey = string | unknown[];
export declare type WarnArgs = Parameters<typeof warn>;
export declare type WarnParameters<T extends WarnKey = WarnKey> = {
    /**
     * If true, the warning will only be shown once per session.
     * If false, the warning will be shown once for a component instance.
     *
     * @default true
     */
    once?: boolean;
    key?: T;
    args: [...WarnArgs];
};
export declare function useWarn<Condition, Key extends WarnKey>(condition: Condition, params: WarnParameters<Key>): void;
