import { MouseEventHandler } from 'react';
import { AriaButtonProps } from '@react-types/button';
import { FocusableRef } from '@react-types/shared';
import { BaseProps, TagNameProps } from '../../tasty';
export interface JengaUseActionProps extends BaseProps, TagNameProps, Omit<AriaButtonProps, 'type'> {
    to?: string;
    label?: string;
    htmlType?: 'button' | 'submit' | 'reset' | undefined;
    onClick?: MouseEventHandler;
    onMouseEnter?: MouseEventHandler;
    onMouseLeave?: MouseEventHandler;
}
/**
 * Helper to open link.
 * @param {String} href
 * @param {String|Boolean} [target]
 */
export declare function openLink(href: any, target?: any): void;
export declare function parseTo(to: any): {
    newTab: boolean;
    nativeRoute: boolean;
    href: string | undefined;
};
export declare function performClickHandler(evt: any, { router, to, onPress, tracking }: {
    router: any;
    to: any;
    onPress: any;
    tracking: any;
}): void;
export declare const useAction: ({ to, as, htmlType, label, mods, onPress, ...props }: JengaUseActionProps, ref: FocusableRef<HTMLElement>) => {
    actionProps: {
        ref: import("react").RefObject<HTMLElement>;
        type: "button" | "reset" | "submit";
        rel: string | undefined;
        as: "object" | "link" | "small" | "sub" | "sup" | "a" | "abbr" | "address" | "area" | "article" | "aside" | "audio" | "b" | "base" | "bdi" | "bdo" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "cite" | "code" | "col" | "colgroup" | "data" | "datalist" | "dd" | "del" | "details" | "dfn" | "dialog" | "div" | "dl" | "dt" | "em" | "embed" | "fieldset" | "figcaption" | "figure" | "footer" | "form" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "header" | "hgroup" | "hr" | "html" | "i" | "iframe" | "img" | "input" | "ins" | "kbd" | "label" | "legend" | "li" | "main" | "map" | "mark" | "menu" | "meta" | "meter" | "nav" | "noscript" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "progress" | "q" | "rp" | "rt" | "ruby" | "s" | "samp" | "slot" | "script" | "section" | "select" | "source" | "span" | "strong" | "style" | "summary" | "table" | "template" | "tbody" | "td" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "u" | "ul" | "var" | "video" | "wbr" | "font" | "dir" | "frame" | "frameset" | "marquee";
        isDisabled: boolean | undefined;
        target: string | undefined;
        href: string | undefined;
        mods: {
            hovered: boolean;
            pressed: boolean;
            focused: boolean;
            disabled: boolean | undefined;
        };
    };
};
