import { ReactNode } from 'react';
import { BaseProps, ContainerStyleProps } from '../../../tasty';
export interface JengaResultProps extends BaseProps, ContainerStyleProps {
    /** Additional block content. For example, a set of buttons */
    children?: ReactNode;
    /** Custom icon element */
    icon?: ReactNode;
    /**
     * Result status from ready-made templates
     * @default 'info'
     */
    status?: JengaResultStatus;
    /**
     * The subTitle
     * @deprecated The subTitle prop is deprecated and will be removed in next major release. consider using subtitle instead
     */
    subTitle?: ReactNode;
    /**
     * Subtitle of the Result component
     */
    subtitle?: ReactNode;
    /** The title */
    title?: ReactNode;
}
export declare type JengaResultStatus = 'success' | 'error' | 'info' | 'warning' | 404 | 403 | 500;
declare const _Result: import("react").ForwardRefExoticComponent<JengaResultProps & import("react").RefAttributes<unknown>>;
export { _Result as Result };
