/// <reference types="react" />
import { JengaPlaceholderProps } from '../Placeholder/Placeholder';
import { JengaGridProps } from '../../layout/Grid';
import { BaseProps, ContainerStyleProps } from '../../../tasty';
declare const LAYOUT_MAP: {
    readonly page: ({ lines, children, ...props }: {
        [x: string]: any;
        lines: any;
        children: any;
    }) => JSX.Element;
    readonly content: ({ children, lines, ...props }: {
        [x: string]: any;
        children: any;
        lines: any;
    }) => JSX.Element;
    readonly topbar: (props: any) => JSX.Element;
    readonly menu: ({ lines, ...props }: {
        [x: string]: any;
        lines: any;
    }) => JSX.Element;
    readonly stats: ({ cards, ...props }: {
        [x: string]: any;
        cards: any;
    }) => JSX.Element;
    readonly tabs: ({ tabs, children, lines, ...props }: {
        [x: string]: any;
        tabs: any;
        children: any;
        lines: any;
    }) => JSX.Element;
    readonly table: ({ rows, columns, ...props }: {
        [x: string]: any;
        rows: any;
        columns: any;
    }) => JSX.Element;
    readonly chart: ({ columns, ...props }: {
        [x: string]: any;
        columns: any;
    }) => JSX.Element;
};
export interface JengaSkeletonProps extends JengaGridProps, JengaPlaceholderProps, BaseProps, ContainerStyleProps {
    /** The type of the layout */
    layout?: keyof typeof LAYOUT_MAP;
    /** The number of columns for table layout */
    columns?: number;
    /** The number of rows for table layout */
    rows?: number;
    /** The number of placeholder lines */
    lines?: number;
    /** The number of tabs */
    tabs?: number;
    /** The number of cards */
    cards?: number;
}
export declare function Skeleton({ layout, ...props }: JengaSkeletonProps): JSX.Element;
export {};
