import { CSSProperties } from 'react';
import { BaseProps, BaseStyleProps, ColorStyleProps, ResponsiveStyleValue, TagNameProps, TextStyleProps } from '../../tasty';
export declare const TEXT_PROP_MAP: {
    readonly transform: "textTransform";
    readonly weight: "fontWeight";
    readonly italic: "fontStyle";
};
export interface JengaTextProps extends BaseProps, TagNameProps, TextStyleProps, BaseStyleProps, ColorStyleProps {
    /**
     * Whether the text uses the monospace font.
     */
    monospace?: boolean;
    /**
     * Whether the text overflow is ellipsis
     */
    ellipsis?: boolean;
    /**
     * Whether the text is not wrapping
     */
    nowrap?: boolean;
    /**
     * Whether the text has italic style
     */
    italic?: ResponsiveStyleValue<CSSProperties['fontStyle']>;
    weight?: string | number;
    transform?: ResponsiveStyleValue<CSSProperties['textTransform']>;
}
declare const Text: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>> & {
    Minor: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
    Danger: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
    Success: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
    Strong: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
    Emphasis: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
    Selection: import("react").ForwardRefExoticComponent<JengaTextProps & import("react").RefAttributes<unknown>>;
};
export { Text };
