/// <reference types="react" />
import { BaseProps, ContainerStyleProps, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import type { AriaCheckboxGroupProps } from '@react-types/checkbox';
export interface JengaCheckboxGroupProps extends BaseProps, AriaCheckboxGroupProps, FormFieldProps, ContainerStyleProps {
    orientation?: 'vertical' | 'horizontal';
    inputStyles?: Styles;
}
/**
 * Checkbox groups allow users to select a single option from a list of mutually exclusive options.
 * All possible options are exposed up front for users to compare.
 */
declare const _CheckboxGroup: import("react").ForwardRefExoticComponent<Omit<JengaCheckboxGroupProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
export { _CheckboxGroup as CheckboxGroup };
