import { RefObject } from 'react';
import { BaseProps, BlockStyleProps, ContainerStyleProps, PositionStyleProps, Props, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import type { AriaTextFieldProps } from '@react-types/textfield';
export interface JengaFileInputProps extends BaseProps, PositionStyleProps, ContainerStyleProps, BlockStyleProps, AriaTextFieldProps, FormFieldProps {
    /**
     * The size of the input
     * @default default
     */
    size?: 'small' | 'default' | 'large' | string;
    /** The input ref */
    inputRef?: RefObject<HTMLInputElement>;
    /** Style map for the input */
    inputStyles?: Styles;
    /**
     * The type of the input
     * @default file
     */
    type?: 'file' | 'text';
    /** Direct input props */
    inputProps?: Props;
}
/**
 * FileInputs are file inputs that allow users to select local files to
 * upload them to the server.
 */
declare const _FileInput: import("react").ForwardRefExoticComponent<JengaFileInputProps & import("react").RefAttributes<unknown>>;
export { _FileInput as FileInput };
