import { FormHTMLAttributes } from 'react';
import { DOMRef } from '@react-types/shared';
import { BaseProps, ContainerStyleProps, Styles } from '../../../tasty';
import { FormBaseProps } from '../../../shared';
import { JengaFormData, JengaFormInstance } from './useForm';
import { FieldTypes } from './types';
export declare const FormContext: import("react").Context<{}>;
export declare function useFormProps(props: any): any;
export interface JengaFormProps<T extends FieldTypes = FieldTypes> extends FormBaseProps, BaseProps, ContainerStyleProps, Pick<FormHTMLAttributes<HTMLFormElement>, 'action' | 'autoComplete' | 'encType' | 'method' | 'target'> {
    /** Form name */
    name?: string;
    /** Default field values */
    defaultValues?: Partial<T>;
    /** Trigger when any value of the Field is changed */
    onValuesChange?: JengaFormInstance<T>['onValuesChange'];
    /** Trigger on form submit and success */
    onSubmit?: JengaFormInstance<T>['onSubmit'];
    /** Trigger on form submit and failed */
    onSubmitFailed?: (any?: any) => void | Promise<any>;
    /** Set form instance created by useForm */
    form?: JengaFormInstance<T, JengaFormData<T>>;
    /** The size of the side area with labels. Only for `labelPosition="side"` */
    labelWidth?: Styles['width'];
    orientation?: 'vertical' | 'horizontal';
}
/**
 * Forms allow users to enter data that can be submitted while providing alignment and styling for form fields.
 */
declare const _Form: <T extends FieldTypes>(props: JengaFormProps<T> & {
    ref?: DOMRef<HTMLFormElement> | undefined;
}) => JSX.Element;
export { _Form as Form };
