/// <reference types="react" />
import { BaseProps, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import { RadioGroup } from './RadioGroup';
import type { AriaRadioProps } from '@react-types/radio';
export interface JengaRadioProps extends BaseProps, AriaRadioProps, FormFieldProps {
    inputStyles?: Styles;
    type?: 'button' | 'radio';
}
/**
 * Radio buttons allow users to select a single option from a list of mutually exclusive options.
 * All possible options are exposed up front for users to compare.
 */
declare const _RadioButton: import("react").ForwardRefExoticComponent<JengaRadioProps & import("react").RefAttributes<unknown>>;
declare const __Radio: import("react").ForwardRefExoticComponent<JengaRadioProps & import("react").RefAttributes<unknown>> & {
    Group: typeof RadioGroup;
    Button: typeof _RadioButton;
} & {
    Group: import("react").ForwardRefExoticComponent<Omit<import("./RadioGroup").JengaRadioGroupProps, "value" | "defaultValue"> & {
        value?: any;
        defaultValue?: any;
    } & import("react").RefAttributes<unknown>>;
    Button: import("react").ForwardRefExoticComponent<JengaRadioProps & import("react").RefAttributes<unknown>>;
};
export { __Radio as Radio };
export { _RadioButton as RadioButton };
