/// <reference types="react" />
import { BaseProps, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import type { AriaRadioGroupProps } from '@react-types/radio';
export interface JengaRadioGroupProps extends BaseProps, AriaRadioGroupProps, FormFieldProps {
    groupStyles?: Styles;
}
/**
 * Radio groups allow users to select a single option from a list of mutually exclusive options.
 * All possible options are exposed up front for users to compare.
 */
declare const _RadioGroup: import("react").ForwardRefExoticComponent<Omit<JengaRadioGroupProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
export { _RadioGroup as RadioGroup };
