/// <reference types="react" />
import { BaseProps, BlockStyleProps, OuterStyleProps, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import type { AriaSwitchProps } from '@react-types/switch';
export interface JengaSwitchProps extends BaseProps, OuterStyleProps, BlockStyleProps, FormFieldProps, AriaSwitchProps {
    inputStyles?: Styles;
    isLoading?: boolean;
    size?: 'large' | 'small';
}
/**
 * Switches allow users to turn an individual option on or off.
 * They are usually used to activate or deactivate a specific setting.
 */
declare let _Switch: import("react").ForwardRefExoticComponent<Omit<JengaSwitchProps, "isSelected" | "defaultSelected"> & {
    isSelected?: any;
    defaultSelected?: any;
} & import("react").RefAttributes<unknown>>;
export { _Switch as Switch };
