/// <reference types="react" />
import { JengaTextInputBaseProps } from '../TextInput/TextInputBase';
export interface JengaTextAreaProps extends JengaTextInputBaseProps {
    /** Whether the textarea should change its size depends on content */
    autoSize?: boolean;
    /** The rows attribute in HTML is used to specify the number of visible text lines for the
     * control i.e the number of rows to display. */
    rows?: number;
}
/**
 * TextInputs are text inputs that allow users to input custom text entries
 * with a keyboard. Various decorations can be displayed around the field to
 * communicate the entry requirements.
 */
declare const _TextArea: import("react").ForwardRefExoticComponent<Omit<JengaTextAreaProps, "value" | "defaultValue"> & {
    value?: any;
    defaultValue?: any;
} & import("react").RefAttributes<unknown>>;
export { _TextArea as TextArea };
