import { ReactNode } from 'react';
import { JengaFlexProps } from '../../layout/Flex';
import { JengaButtonProps } from '../../actions';
import { Styles } from '../../../tasty';
export interface JengaTabData {
    id: string | number;
    qa?: string;
    title?: string;
    isDisabled?: boolean;
    isHidden?: boolean;
}
export interface LegacyJengaTabsContextValue {
    addTab: (JengaTabData: any) => void;
    setTab: (id: string | number) => void;
    removeTab: (JengaTabData: any) => void;
    changeTab: (JengaTabData: any) => void;
    currentTab?: string | number;
}
export interface LegacyJengaTabProps extends Omit<JengaButtonProps, 'id'> {
    id?: string | number;
    title?: string;
    isSelected?: boolean;
    isHidden?: boolean;
    onClose?: () => void;
}
export interface JengaTabsProps extends JengaFlexProps {
    /** The initial active key in the tabs (uncontrolled). */
    defaultActiveKey?: string;
    /** The currently active key in the tabs (controlled). */
    activeKey?: string | number;
    /** Handler that is called when the tab is clicked. */
    onTabClick?: (string: any) => void;
    /** Handler that is called when the tab is closed. */
    onTabClose?: (string: any) => void;
    /** Styles for the each tab pane */
    paneStyles?: Styles;
    /** Additional content along the tabs */
    extra?: ReactNode;
}
export declare function LegacyTabs({ defaultActiveKey, activeKey: activeKeyProp, onTabClick, onTabClose, paneStyles, extra, children, ...props }: JengaTabsProps): JSX.Element;
export declare namespace LegacyTabs {
    var TabPane: ({ id, title, qa, isHidden, isDisabled, children, ...props }: LegacyJengaTabProps) => JSX.Element;
}
