import { ReactNode } from 'react';
import { JengaActionProps } from '../../actions/Action';
import { JengaFlexProps } from '../../layout/Flex';
import { Styles } from '../../../tasty';
/**
 * @deprecated consider using <Tabs /> instead
 */
export interface FileTabProps extends Omit<JengaActionProps, 'id'> {
    isDirty?: boolean;
    isDisabled?: boolean;
    children?: ReactNode;
    isClosable?: boolean;
    onClose?: () => void;
}
export interface JengaFileTabsProps extends JengaFlexProps {
    /** The initial active key in the tabs (uncontrolled). */
    defaultActiveKey?: string;
    /** The currently active key in the tabs (controlled). */
    activeKey?: string | number;
    /** Handler that is called when the tab is clicked. */
    onTabClick?: (string: any) => void;
    /** Handler that is called when the tab is closed. */
    onTabClose?: (string: any) => void;
    /** Styles for the each tab pane */
    paneStyles?: Styles;
    /** Whether the tabs are closable */
    isClosable?: boolean;
    children?: ReactNode;
}
export declare function FileTabs({ defaultActiveKey, activeKey: activeKeyProp, onTabClick, onTabClose, paneStyles, isClosable, children, ...props }: JengaFileTabsProps): JSX.Element;
export declare namespace FileTabs {
    var TabPane: (allProps: JengaFileTabProps) => JSX.Element;
}
export interface JengaFileTabProps extends FileTabProps {
    id: string | number;
    title: string;
}
