import { ReactNode } from 'react';
import { JengaButtonProps } from '../../actions';
import { JengaDialogProps } from '../Dialog/Dialog';
export interface JengaAlertDialogActionsProps {
    confirm?: JengaButtonProps | boolean;
    secondary?: JengaButtonProps;
    cancel?: JengaButtonProps | boolean;
}
export interface JengaAlertDialogProps extends Omit<JengaDialogProps, 'children'> {
    content?: ReactNode;
    /** Whether the dialog is an important prompt */
    danger?: boolean;
    actions?: JengaAlertDialogActionsProps;
    title?: string;
    noActions?: boolean;
}
/**
 * AlertDialogs are a specific type of Dialog. They display important information that users need to acknowledge.
 */
declare const _AlertDialog: import("react").ForwardRefExoticComponent<JengaAlertDialogProps & import("react").RefAttributes<unknown>>;
export { _AlertDialog as AlertDialog };
