import { ReactElement } from 'react';
import { BaseProps, BaseStyleProps, BlockStyleProps, DimensionStyleProps, Styles } from '../../../tasty';
import type { AriaDialogProps } from '@react-types/dialog';
export interface JengaDialogProps extends Omit<BaseProps, 'role'>, AriaDialogProps, BaseStyleProps, BlockStyleProps, DimensionStyleProps {
    /** The size of the dialog */
    size?: 'S' | 'M' | 'L' | 'small' | 'medium' | 'large';
    /** Whether the dialog is dismissable */
    isDismissable?: boolean;
    /** Trigger when the dialog is dismissed */
    onDismiss?: (arg?: any) => void;
    /** That you can replace the close icon with */
    closeIcon?: ReactElement;
    closeButtonStyles?: Styles;
}
/**
 * Dialogs are windows containing contextual information, tasks, or workflows that appear over the user interface.
 * Depending on the kind of Dialog, further interactions may be blocked until the Dialog is acknowledged.
 */
export declare const Dialog: import("react").ForwardRefExoticComponent<JengaDialogProps & import("react").RefAttributes<import("@react-types/shared").DOMRefValue<HTMLDivElement>>>;
