/// <reference types="react" />
import { JengaFormProps } from '../../forms/Form/Form';
import { JengaButtonProps } from '../../actions';
import { FieldTypes } from '../../forms';
import { JengaDialogProps } from './Dialog';
export interface JengaDialogFormProps<T extends FieldTypes = FieldTypes> extends Omit<JengaDialogProps, 'children'>, Omit<JengaFormProps<T>, 'role' | 'children'> {
    /** Whether the submit button has a `danger` theme */
    danger?: boolean;
    /** Properties for submit button. Use `label` to change text. */
    submitProps?: JengaButtonProps;
    /** Properties for cancel button. Use `label` to change text. */
    cancelProps?: JengaButtonProps;
    /** WIP. Preserve form values even if field is deleted */
    preserve?: boolean;
    /** Whether to hide action button so developer can manually specify them */
    noActions?: boolean;
    /** The title of the dialog */
    title?: string;
    /** Children nodes or render function  */
    children?: JengaFormProps['children'] | ((onLocalDismiss: () => void) => JengaFormProps['children']);
}
export interface JengaDialogFormRef {
    open: () => void;
    close: () => void;
}
/**
 * DialogForms are a specific type of Dialog. They contain forms to fill.
 */
export declare function DialogForm<T extends FieldTypes = FieldTypes>(props: JengaDialogFormProps<T>): JSX.Element;
