/// <reference types="react" />
import { JengaNotifyApiProps } from './types';
export declare type NotificationProps = {
    /**
     * If set to true, when the component gets unmounted, notifications will not be removed from the bar
     *
     * @default false
     */
    disableRemoveOnUnmount?: boolean;
} & JengaNotifyApiProps;
/**
 * Declarative wrap over the `useNotificationsApi` hook
 */
export declare function Notification(props: NotificationProps): null;
export declare namespace Notification {
    var Success: (props: NotificationProps) => JSX.Element;
    var Danger: (props: NotificationProps) => JSX.Element;
    var Attention: (props: NotificationProps) => JSX.Element;
}
