/// <reference types="react" />
import type { NotificationsListProps } from './types';
/**
 * Provides ability to show notifications as a list.
 *
 * @example
 *   <NotificationsList>
 *     <NotificationsList.Item key="id_1" type="success" description="Edit and test your schema without affecting the production." />
 *     <NotificationsList.Item key="id_2" type="attention" description="Edit and test your schema without affecting the production." />
 *     <NotificationsList.Item key="id_3" type="danger" description="Edit and test your schema without affecting the production." />
 *   </NotificationsList>
 *
 * @example Removing a notification
 *   <NotificationsList onDismiss={(id) => removeNotification(id)}>
 *     <NotificationsList.Item key="id_1" type="success" description="Edit and test your schema without affecting the production." />
 *   </NotificationsList>
 */
export declare function NotificationsList<T extends object>(props: NotificationsListProps<T>): JSX.Element;
export declare namespace NotificationsList {
    var Item: (props: Omit<import("../types").BaseNotificationProps, "onDismiss">) => null;
}
