import type { Key, ReactChild, ReactFragment, ReactNode } from 'react';
import type { JengaNotificationType, JengaNotifyApiProps } from '../NewNotifications';
export declare type JengaToastsApiProps = {
    description: ReactChild | ReactFragment;
    header?: ReactChild | ReactFragment;
    id?: Key;
    onDismiss?: () => void;
    duration?: number | null;
    icon?: ReactNode;
    type?: JengaNotificationType;
};
export declare type JengaToastsApi = {
    toast: JengaToastsApiToastAction;
    update: (id: Key, props: Partial<JengaToastsApiProps>) => void;
    remove: (id: Key) => void;
};
export declare type JengaToastsApiToastCallback = (props: JengaToastsApiProps | ReactChild | ReactFragment) => {
    id: Key;
    update: (props: Partial<JengaNotifyApiProps>) => void;
    remove: () => void;
};
export declare type JengaToastsApiToastShortcuts = Record<JengaNotificationType, JengaToastsApiToastCallback>;
export declare type JengaToastsApiToastAction = JengaToastsApiToastCallback & JengaToastsApiToastShortcuts;
