import { ReactElement } from 'react';
import type { TooltipTriggerProps } from '@react-types/tooltip';
export interface JengaTooltipTriggerProps extends TooltipTriggerProps {
    children: [ReactElement | string, ReactElement];
    crossOffset?: number;
    offset?: number;
    placement?: 'start' | 'end' | 'right' | 'left' | 'top' | 'bottom';
    isMaterial?: boolean;
    /** Whether the trigger should have an ActiveZone wrap to make sure it's focusable and hoverable.
     * Otherwise, tooltip won't work. */
    activeWrap?: boolean;
}
declare function TooltipTrigger(props: JengaTooltipTriggerProps): JSX.Element;
/**
 * TooltipTrigger wraps around a trigger element and a Tooltip. It handles opening and closing
 * the Tooltip when the user hovers over or focuses the trigger, and positioning the Tooltip
 * relative to the trigger.
 */
declare let _TooltipTrigger: typeof TooltipTrigger;
export { _TooltipTrigger as TooltipTrigger };
