import { ReactElement, ReactNode } from 'react';
import { DOMRef, ItemProps } from '@react-types/shared';
import { BaseProps, ContainerStyleProps, Styles } from '../../../tasty';
import { MenuButtonProps, MenuSelectionType } from './MenuButton';
import type { AriaMenuProps } from '@react-types/menu';
export interface JengaMenuProps<T> extends ContainerStyleProps, AriaMenuProps<T> {
    selectionIcon?: MenuSelectionType;
    header?: ReactNode;
    footer?: ReactNode;
    styles?: Styles;
    itemStyles?: Styles;
    sectionStyles?: Styles;
    sectionHeadingStyles?: Styles;
    qa?: BaseProps['qa'];
}
declare type PartialMenuButton = Partial<MenuButtonProps>;
declare type ItemComponent = <T>(props: ItemProps<T> & PartialMenuButton & {
    wrapper?: (item: ReactElement) => ReactElement;
}) => JSX.Element;
declare const Item: ItemComponent;
declare const Section: <T>(props: import("@react-types/shared").SectionProps<T>) => JSX.Element;
declare const __Menu: (<T>(props: JengaMenuProps<T> & {
    ref?: DOMRef<HTMLUListElement> | undefined;
}) => ReactElement) & {
    Item: typeof Item;
    Section: typeof Section;
} & {
    Item: ItemComponent;
    Section: <T_1>(props: import("@react-types/shared").SectionProps<T_1>) => JSX.Element;
    displayName: string;
};
export { __Menu as Menu };
