import React, { ReactNode } from 'react';
import { PositionProps } from '@react-types/overlays';
import { MenuTriggerProps as BaseTriggerProps } from '@react-types/menu';
export declare type JengaMenuTriggerProps = BaseTriggerProps & PositionProps & {
    trigger?: string;
    isDisabled?: boolean;
    children: ReactNode[];
};
/**
 * The MenuTrigger serves as a wrapper around a Menu and its associated trigger,
 * linking the Menu's open state with the trigger's press state.
 */
declare let _MenuTrigger: React.ForwardRefExoticComponent<BaseTriggerProps & PositionProps & {
    trigger?: string | undefined;
    isDisabled?: boolean | undefined;
    children: ReactNode[];
} & React.RefAttributes<import("@react-types/shared").DOMRefValue<HTMLElement>>>;
export { _MenuTrigger as MenuTrigger };
