import { ReactElement, ReactNode, RefObject } from 'react';
import { Item } from '@react-stately/collections';
import { BasePropsWithoutChildren, BlockStyleProps, OuterStyleProps, Props, Styles } from '../../../tasty';
import { FormFieldProps } from '../../../shared';
import type { AriaSelectProps } from '@react-types/select';
export interface JengaSelectBaseProps<T> extends BasePropsWithoutChildren, OuterStyleProps, FormFieldProps, BlockStyleProps, AriaSelectProps<T> {
    icon?: ReactElement;
    prefix?: ReactNode;
    suffix?: ReactNode;
    triggerRef?: RefObject<HTMLButtonElement>;
    isLoading?: boolean;
    loadingIndicator?: ReactNode;
    overlayOffset?: number;
    hideTrigger?: boolean;
    inputStyles?: Styles;
    optionStyles?: Styles;
    triggerStyles?: Styles;
    listBoxStyles?: Styles;
    overlayStyles?: Styles;
    direction?: 'top' | 'bottom';
    shouldFlip?: boolean;
    inputProps?: Props;
    type?: 'secondary' | 'clear' | 'primary' | (string & {});
    suffixPosition?: 'before' | 'after';
}
export interface JengaSelectProps<T> extends JengaSelectBaseProps<T> {
    popoverRef?: RefObject<HTMLInputElement>;
    /** The ref for the list box. */
    listBoxRef?: RefObject<HTMLElement>;
    size?: 'small' | 'default' | 'large' | string;
    ellipsis?: boolean;
}
export declare function ListBoxPopup({ state, popoverRef, listBoxRef, listBoxStyles, overlayStyles, optionStyles, overlayProps: parentOverlayProps, shouldUseVirtualFocus, placement, minWidth, ...otherProps }: {
    [x: string]: any;
    state: any;
    popoverRef: any;
    listBoxRef: any;
    listBoxStyles: any;
    overlayStyles: any;
    optionStyles: any;
    overlayProps: any;
    shouldUseVirtualFocus?: boolean | undefined;
    placement: any;
    minWidth: any;
}): JSX.Element;
declare const __Select: import("react").ForwardRefExoticComponent<JengaSelectProps<object> & import("react").RefAttributes<import("@react-types/shared").DOMRefValue<HTMLDivElement>>> & {
    Item: typeof Item;
} & {
    Item: <T>(props: import("@react-types/shared").ItemProps<T>) => JSX.Element;
};
export { __Select as Select };
