import { ForwardedRef, PropsWithChildren } from 'react';
import { Props } from './tasty';
export interface ProviderProps extends Props {
    breakpoints?: number[];
    insideForm?: boolean;
    isDisabled?: boolean;
    isReadOnly?: boolean;
    isRequired?: boolean;
    validationState?: string;
    router?: Function;
    ref?: JSX.Element;
    root?: ForwardedRef<any>;
}
export declare type ProviderInsideProps = Omit<ProviderProps, 'styles' | 'breakpoints'>;
export declare const UIKitContext: import("react").Context<ProviderInsideProps>;
export declare function Provider(allProps: PropsWithChildren<ProviderProps>): JSX.Element;
export declare function useProviderProps<T extends Props = Props>(props: T): T;
