import { JengaNotificationProps } from '../components/overlays/Notification/Notification';
export interface NotificationData {
    id: number;
    type?: JengaNotificationProps['type'];
    message?: string;
}
export interface NotificationService {
    root: Element | null;
    defaultOptions: {
        duration: number;
    };
    items: NotificationData[];
    init: () => void;
    render: () => void;
    _render: (items?: NotificationData[]) => void;
    show: (type: JengaNotificationProps['type'], message: string, options?: JengaNotificationOptions) => void;
    close: (number: any) => void;
    success: (message: string, options?: JengaNotificationOptions) => void;
    info: (message: string, options?: JengaNotificationOptions) => void;
    danger: (message: string, options?: JengaNotificationOptions) => void;
}
export interface JengaNotificationOptions {
    duration?: number;
}
/**
 * @deprecated consider using `useNotificationsApi` instead
 */
export declare const notification: NotificationService;
