import { Props } from '../../tasty';
export declare function castNullableStringValue<T>(props: T): T;
export declare function castNullableNumberValue<T>(props: T): T;
export declare function castNullableArrayValue<T>(props: T): T;
export declare function castNullableIsSelected<T>(props: T): T;
export declare function castNullableSelectedKey<T>(props: T): T;
export declare function castNullableField<T>(props: T, keys: string[], type?: string, cast?: (k: any) => any): T;
export declare type WithNullableValue<T extends Props> = Omit<T, 'value' | 'defaultValue'> & {
    value?: T['value'] | any;
    defaultValue?: T['defaultValue'] | any;
};
export declare type WithNullableSelected<T extends Props> = Omit<T, 'isSelected' | 'defaultSelected'> & {
    isSelected?: T['isSelected'] | any;
    defaultSelected?: T['defaultSelected'] | any;
};
export declare type WithNullableSelectedKey<T extends Props> = Omit<T, 'selectedKey' | 'defaultSelectedKey'> & {
    selectedKey?: T['selectedKey'] | any;
    defaultSelectedKey?: T['defaultSelectedKey'] | any;
};
